<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:transform>
<xsl:transform 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:saxon="http://icl.com/saxon"
  extension-element-prefixes="saxon"
  version="1.0">

<xsl:output 
	version="1.0" 
	indent="yes" 
	encoding="utf-8" 
	omit-xml-declaration="no" 
	standalone="no" 
  doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" 
  doctype-system="http://www.w3.org/TR/html40/loose.dtd"
	media-type="text/html"/>

<!-- 3 September 2004 -->
<!-- Updated: 05 January 2005 -->
<!-- Creator: Michael A. Ferrando -->
<!-- Editor used: NoteTab Pro 4.5 -->
<!-- EAD 2002 tag set -->
<!-- Library of Congress best practices respected -->
<!-- Templates closed: notestmt -->
<!-- Attributes not respected: @audience -->
<!-- extptr Library of Congress seal respected -->
<!-- Otherwise: extptr become @external-destination links -->

<xsl:strip-space elements="accessrestrict accruals acqinfo address altformavail appraisal arc archdesc arrangement bibliography bioghist blockquote c c01 c02 c03 c04 c05 c06 c07 c08 c09 c10 c11 c12 change chronitem chronlist colspec controlaccess custodhist dao daodesc daogrp daoloc defitem descgrp did div dsc ead eadheader editionstmt eventgrp extptr extptrloc filedesc fileplan frontmatter index indexentry lb linkgrp list listhead namegrp note notestmt odd originalsloc otherfindaid phystech prefercite processinfo profiledesc ptr ptrgrp ptrloc publicationstmt relatedmaterial revisiondesc row scopecontent separatedmaterial seriesstmt table tbody tgroup thead titlepage titlestmt userestrict"/>
<xsl:preserve-space elements="abbr abstract addressline archref author bibref bibseries container corpname creation date descrules dimensions eadid edition emph entry event expan extent extref extrefloc famname function genreform geogname head head01 head02 imprint item label langmaterial language langusage legalstatus materialspec name num occupation origination p persname physdesc physfacet physloc publisher ref refloc repository resource runner sponsor subarea subject subtitle title titleproper unitdate unitid unittitle"/>

<xsl:param name="replace"/>

<xsl:variable name="insert_label_1">
	<xsl:text>Finding aid URL: </xsl:text>
</xsl:variable>

<xsl:variable name="insert_label_2">
	<xsl:text>Latest revision: </xsl:text>
</xsl:variable>

<xsl:variable 
	name="eadid_1_mainagencycode" 
	select="
			normalize-space(
				translate(
					//*[not(parent::*)]/descendant::eadid[1]/@mainagencycode, 
					'ABCDEFGHIJKLMNOPQRSTUVWXYZ', 
					'abcdefghijklmnopqrstuvwxyz'
				)
			)
	"
/>

<xsl:variable 
	name="agg_x_c" 
	select="substring(//eadid[1], string-length(//eadid[1])-7, 2)"
/>

<xsl:variable name="special_eadid_x_unitid">
	<xsl:variable name="agg_x" select="substring(//eadid[1], string-length(//eadid[1])-7, 2)"/>
	<xsl:variable name="eadid_x" select="substring(//eadid[1], string-length(//eadid[1])-7, string-length(//eadid[1]))"/>
		<xsl:choose>
			<xsl:when test="document('ead_special_fa-1.xml')//division[@aggregate=$agg_x]/special_fa[@eadid=$eadid_x and @type='unitid']">
				<xsl:value-of select="document('ead_special_fa-1.xml')//division[@aggregate=$agg_x]/special_fa[@eadid=$eadid_x and @type='unitid']/@eadid"/>
			</xsl:when>
			<xsl:otherwise>
			</xsl:otherwise>
		</xsl:choose>
</xsl:variable>

<xsl:variable name="special_eadid_x_tabular">
	<xsl:variable name="agg_x" select="substring(//eadid[1], string-length(//eadid[1])-7, 2)"/>
	<xsl:variable name="eadid_x" select="substring(//eadid[1], string-length(//eadid[1])-7, string-length(//eadid[1]))"/>
		<xsl:choose>
			<xsl:when test="document('ead_special_fa-1.xml')//division[@aggregate=$agg_x]/special_fa[@eadid=$eadid_x and @type='tabular_dsc']">
				<xsl:value-of select="document('ead_special_fa-1.xml')//division[@aggregate=$agg_x]/special_fa[@eadid=$eadid_x and @type='tabular_dsc']/@eadid"/>
			</xsl:when>
			<xsl:otherwise>
			</xsl:otherwise>
		</xsl:choose>
</xsl:variable>

<xsl:variable name="special_eadid_x_tabular_file">
	<xsl:variable name="agg_x" select="substring(//eadid[1], string-length(//eadid[1])-7, 2)"/>
	<xsl:variable name="eadid_x" select="substring(//eadid[1], string-length(//eadid[1])-7, string-length(//eadid[1]))"/>
		<xsl:choose>
			<xsl:when test="document('ead_special_fa-1.xml')//division[@aggregate=$agg_x]/special_fa[@eadid=$eadid_x and @type='tabular_dsc']">
				<xsl:value-of select="document('ead_special_fa-1.xml')//division[@aggregate=$agg_x]/special_fa[@eadid=$eadid_x and @type='tabular_dsc']/div/@level"/>
			</xsl:when>
			<xsl:otherwise>
			</xsl:otherwise>
		</xsl:choose>
</xsl:variable>

<xsl:variable name="lnk_clr">
	<xsl:variable name="agg_x" select="substring(//eadid[1], string-length(//eadid[1])-7, 2)"/>
		<xsl:choose>
			<xsl:when test="document('ead_links-1.xml')//division[@aggregate=$agg_x]">
				<xsl:value-of select="document('ead_links-1.xml')//division[@aggregate=$agg_x]/link_color[@type='link']"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="document('ead_links-1.xml')//division[@aggregate='ms']/link_color[@type='link']"/>
			</xsl:otherwise>
		</xsl:choose>
</xsl:variable>

<xsl:variable name="a_lnk_clr">
	<xsl:variable name="agg_x" select="substring(//eadid[1], string-length(//eadid[1])-7, 2)"/>
		<xsl:choose>
			<xsl:when test="document('ead_links-1.xml')//division[@aggregate=$agg_x]">
				<xsl:value-of select="document('ead_links-1.xml')//division[@aggregate=$agg_x]/link_color[@type='alink']"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="document('ead_links-1.xml')//division[@aggregate='ms']/link_color[@type='alink']"/>
			</xsl:otherwise>
		</xsl:choose>
</xsl:variable>

<xsl:variable name="v_lnk_clr">
	<xsl:variable name="agg_x" select="substring(//eadid[1], string-length(//eadid[1])-7, 2)"/>
		<xsl:choose>
			<xsl:when test="document('ead_links-1.xml')//division[@aggregate=$agg_x]">
				<xsl:value-of select="document('ead_links-1.xml')//division[@aggregate=$agg_x]/link_color[@type='vlink']"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="document('ead_links-1.xml')//division[@aggregate='ms']/link_color[@type='vlink']"/>
			</xsl:otherwise>
		</xsl:choose>
</xsl:variable>

<xsl:template match="/">
<xsl:text>&#xA;</xsl:text>
	<xsl:comment>
		<xsl:value-of select="concat(' Transformed with ', $replace, '.xsl ')"/>
	</xsl:comment>
	<xsl:for-each select="comment()">
		<xsl:text>&#xA;</xsl:text>
		<xsl:comment>
			<xsl:value-of select="."/>
		</xsl:comment>
	</xsl:for-each>
<!-- 
<xsl:variable name="agg_x" select="substring(//eadid[1], string-length(//eadid[1])-7, 2)"/>
<xsl:variable name="eadid_x" select="substring(//eadid[1], string-length(//eadid[1])-7, string-length(//eadid[1]))"/>
<Z 
	agg_x="{
		substring(//eadid[1], string-length(//eadid[1])-7, 2)
	}"
	eadid_x="{
		substring(//eadid[1], string-length(//eadid[1])-7, string-length(//eadid[1]))
	}"
	special_eadid_x_unitid="{$special_eadid_x_unitid}" 
	special_eadid_x_tabular="{$special_eadid_x_tabular}" 
	special_eadid_x_file="{$special_eadid_x_tabular_file}"
/> -->
	<xsl:apply-templates select="eadgrp"/>
	<xsl:apply-templates select="ead" mode="start"/>
</xsl:template>

<xsl:template match="eadgrp">
</xsl:template>

<xsl:template match="ead" mode="start">
	<!-- attributes -->
	<!-- <attribute name="id" type="xs:ID" use="optional" /> -->
	<xsl:variable name="t_245_a_n">
		<xsl:apply-templates select="archdesc/did/unittitle" mode="footer_x"/>
	</xsl:variable>
<xsl:variable name="t_245_1x">
	<xsl:text> ; </xsl:text>
	<xsl:apply-templates select="eadheader/filedesc/publicationstmt/publisher"/>
	<xsl:text>, </xsl:text>
	<xsl:apply-templates select="eadheader/filedesc/publicationstmt/address"/>
	<xsl:text> ; </xsl:text>
	<xsl:apply-templates select="eadheader/filedesc/publicationstmt/date"/>
</xsl:variable>
<!-- collection name -->

<xsl:text>

</xsl:text>
<xsl:comment>
	<xsl:text> </xsl:text>
	<xsl:value-of select="$replace"/>
	<xsl:text>.xsl</xsl:text>
	<xsl:text> created by Michael Ferrando at the Library of Congress for transforming EAD 2002 into HTML</xsl:text>
</xsl:comment>
<xsl:text>
</xsl:text>

<xsl:text>
</xsl:text>
<xsl:comment>
	<xsl:text> This stylesheet has been created primarily to meet the needs of the Library of Congress EAD users. This stylesheet is provided 'as-is', without any express or implied warranty. </xsl:text>
</xsl:comment>
<xsl:text>

</xsl:text>

<HTML>
<HEAD>
	<TITLE>
		<xsl:value-of select="normalize-space($t_245_a_n)"/>
		<xsl:value-of select="normalize-space($t_245_1x)"/>
</TITLE>
<!-- meta tag supplied by SAXON via stylesheet -->
<!-- 
<xsl:text disable-output-escaping="yes">&lt;</xsl:text>
<xsl:text>META HTTP-EQUIV="Content-Type" CONTENT="text/html;charset=utf-8"</xsl:text>
<xsl:text disable-output-escaping="yes">&gt;</xsl:text> -->

<!-- STYLESHEET SETTING PAGE BREAK AFTER ALL P TAGS -->
<STYLE TYPE="text/css">
<xsl:text>
P.breakmypage
{
PAGE-BREAK-AFTER: always;
}
</xsl:text>
<xsl:text>
BODY { background: #ffffff; color: #000000 }
</xsl:text>
<xsl:value-of select="
	concat(
		'A:link { color: ', $lnk_clr, ' }'
	)
"/>
<xsl:text>
</xsl:text>
<xsl:value-of select="
	concat(
		'A:visited { color: ', $v_lnk_clr, ' }'
	)
"/>
<xsl:text>
</xsl:text>
<xsl:value-of select="
	concat(
		'A:active { color: ', $a_lnk_clr, ' }'
	)
"/>
<xsl:text>
</xsl:text>
</STYLE>
</HEAD>
<BODY>
<TABLE CELLSPACING="3" CELLPADDING="0" WIDTH="88%" ALIGN="center" BORDER="0">
<TBODY>
<TR>
<TD VALIGN="top">
<H1><BR/><BR/><BR/></H1>
<!-- &nbsp; -->
<!-- <H1><BR/></H1> -->
<!-- begin FA table -->
<!-- 
<A name="TOP" href="http://lcweb.loc.gov/rr/perform/homepage.html">
	<IMG height="36" alt="Performing Arts Reading Room" src="http://lcweb.loc.gov/rr/perform/perf-bar.gif" width="620" border="0"/>
</A> -->

<!-- <P CLASS="breakmypage"></P> -->

<!-- title page -->

		<xsl:text>&#xA;&#xA;</xsl:text>
		<xsl:comment>
			<xsl:text> title page </xsl:text>
		</xsl:comment>
		<xsl:text>&#xA;</xsl:text>

<xsl:apply-templates select="eadheader"/>

	<xsl:apply-templates select="frontmatter"/>
	<xsl:apply-templates select="archdescgrp"/>
	<xsl:apply-templates select="archdesc"/>

<!-- end FA table -->

</TD>
</TR>
</TBODY>
</TABLE>
</BODY>
</HTML>
</xsl:template>

<xsl:template match="eadheader">
	<!-- attributes -->
	<!-- <attribute name="id" type="xs:ID" use="optional" /> -->
	<xsl:apply-templates select="eadid" mode="eadid_1.1"/>
			<xsl:text>&#xA;</xsl:text>
		<xsl:comment>
			<xsl:text> Title Page </xsl:text>
		</xsl:comment>
			<xsl:text>&#xA;&#xA;</xsl:text>
				<xsl:apply-templates select="filedesc" mode="filedesc_1.2"/>
				<xsl:apply-templates select="profiledesc" mode="profiledesc_1.3"/>
				<xsl:apply-templates select="revisiondesc" mode="revisiondesc_1.4"/>
		<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<!-- EAD/FRONTMATTER -->
<xsl:template match="frontmatter">
</xsl:template>
<!-- EAD/ARCHDESCGRP -->
<xsl:template match="archdescgrp">
</xsl:template>

<!-- EAD/EADHEADER/EADID -->
<xsl:template match="eadid" mode="eadid_1.1">
</xsl:template>

<!-- EAD/EADHEADER/FILEDESC -->
<xsl:template match="filedesc" mode="filedesc_1.2">
	<xsl:param name="desc_series_query"/>
	<!-- children only -->
		<!-- @id; -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates select="titlestmt" mode="titlestmt_1.2.1"/>
	<xsl:apply-templates select="editionstmt" mode="editionstmt_1.2.2"/>
<!-- lcseal.gif in publicationstmt/publisher -->
	<xsl:apply-templates select="publicationstmt" mode="publicationstmt_1.2.3"/>
<!-- LC Practices SERIESSTMT Suppressed -->
	<xsl:apply-templates select="seriesstmt" mode="seriesstmt_1.2.4"/>
	<xsl:apply-templates select="notestmt" mode="notestmt_1.2.5"/>
	<xsl:apply-templates select="parent::eadheader/profiledesc" mode="profiledesc_1.2.6x"/>
<!-- LC URL -->
	<xsl:if 
		test="
			string-length(ancestor::*[not(parent::*)]/descendant::eadid[1])!=0 
			and 
			$eadid_1_mainagencycode='dlc'
		"
	>
		<P ALIGN="center">
			<xsl:value-of select="$insert_label_1"/>
			<xsl:value-of 
				select="
					normalize-space(
						ancestor::*[not(parent::*)]/descendant::eadid[1]
					)
				"
			/>
		</P>
	</xsl:if>
	<xsl:apply-templates select="parent::eadheader/revisiondesc" mode="revisiondesc_1.2.7x"/>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<!-- EAD/EADHEADER/PROFILEDESC -->
<xsl:template match="profiledesc" mode="profiledesc_1.3">
	<!-- children only -->
		<!-- creation; langusage; descrules; -->
		<!-- @id; -->
</xsl:template>

<!-- EAD/EADHEADER/REVISIONDESC -->
<xsl:template match="revisiondesc" mode="revisiondesc_1.4">
	<!-- children only -->
		<!-- change; list; -->
		<!-- @id; -->
</xsl:template>

<!-- EAD/EADHEADER/FILEDESC/TITLESTMT -->
<xsl:template match="titlestmt" mode="titlestmt_1.2.1">
	<xsl:param name="desc_series_query"/>
	<!-- children only -->
		<!-- @id; -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates select="*" mode="titleproper_1.2.1.x"/>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<!-- EAD/EADHEADER/FILEDESC/EDITIONSTMT -->
<xsl:template match="editionstmt" mode="editionstmt_1.2.2">
	<!-- children only -->
		<!-- edition; p; -->
		<!-- @id; -->
	<xsl:if test="string-length(@id)&gt;0">
		<xsl:apply-templates select="@id"/>
	</xsl:if>
	<xsl:apply-templates select="*" mode="edition_1.2.2.x"/>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<!-- EAD/EADHEADER/FILEDESC/PUBLICATIONSTMT -->
<xsl:template match="publicationstmt" mode="publicationstmt_1.2.3">
	<!-- children only -->
		<!-- publisher; date; address; num; p; -->
		<!-- @id; -->
	<xsl:if test="string-length(@id)&gt;0">
		<xsl:apply-templates select="@id"/>
	</xsl:if>
	<xsl:apply-templates select="*" mode="publisher_1.2.3.x"/>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<!-- EAD/EADHEADER/FILEDESC/SERIESSTMT -->
<xsl:template match="seriesstmt" mode="seriesstmt_1.2.4">
	<!-- children only -->
		<!-- titleproper; num; p; -->
		<!-- @id; -->
	<xsl:apply-templates select="*" mode="seriesstmt_1.2.4.x"/>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
<!-- LC Practices SUPPRESSED -->
</xsl:template>

<!-- EAD/EADHEADER/FILEDESC/NOTESTMT -->
<xsl:template match="notestmt" mode="notestmt_1.2.5">
	<xsl:param name="desc_series_query"/>
	<!-- children only -->
		<!-- note; -->
		<!-- @id; -->
			<xsl:if test="string-length(@id)&gt;0">
					<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
			</xsl:if>
			<xsl:apply-templates select="*"/>
			<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<!-- EAD/EADHEADER/FILEDESC/TITLESTMT/TITLEPROPER -->
<xsl:template match="titleproper" mode="titleproper_1.2.1.x">
	<xsl:param name="desc_series_query"/>
<!-- mixed=true -->
	<!-- ptr; exptr; emph; lb; abbr; date; expan; num; -->
		<H2 ALIGN="center">
			<xsl:if test="string-length(@id)&gt;0">
					<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
			</xsl:if>
	<xsl:choose>
		<xsl:when test="@altrender='normal' or string-length(@render)=0">
<!-- @altrender=normal -->
			<xsl:if test="@altrender='normal'">
					<xsl:apply-templates/>
			</xsl:if>
<!-- @render = 0 -->
			<xsl:if test="string-length(@render)=0">
					<xsl:apply-templates/>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
<!-- @render -->
<!-- altrender -->
<!-- bold -->
<!-- bolddoublequote -->
<!-- bolditalic -->
<!-- boldsinglequote -->
<!-- boldsmcaps -->
<!-- boldunderline -->
<!-- doublequote -->
<!-- italic -->
<!-- nonproport -->
<!-- singlequote -->
<!-- smcaps -->
<!-- sub -->
<!-- super -->
<!-- underline -->
<xsl:choose>
<xsl:when test="@altrender='strikeout'">
	<STRIKE>
					<xsl:apply-templates/>
	</STRIKE>
</xsl:when>
<xsl:otherwise>
<!-- bold -->
	<xsl:if test="@render='bold'">
		<B>
					<xsl:apply-templates/>
		</B>
	</xsl:if>
<!-- bolddoublequote -->
	<xsl:if test="@render='bolddoublequote'">
		<B>
			<xsl:text>"</xsl:text>
					<xsl:apply-templates/>
			<xsl:text>"</xsl:text>
		</B>
	</xsl:if>
<!-- bolditalic -->
	<xsl:if test="@render='bolditalic'">
		<B>
			<I>
					<xsl:apply-templates/>
			</I>
		</B>
	</xsl:if>
<!-- boldsinglequote -->
	<xsl:if test="@render='boldsinglequote'">
		<B>
			<xsl:text>'</xsl:text>
					<xsl:apply-templates/>
			<xsl:text>'</xsl:text>
		</B>
	</xsl:if>
<!-- boldsmcaps -->
	<xsl:if test="@render='boldsmcaps'">
		<B>
			<SMALL>
					<xsl:apply-templates/>
			</SMALL>
		</B>
	</xsl:if>
<!-- boldunderline -->
	<xsl:if test="@render='boldunderline'">
		<B>
			<U>
					<xsl:apply-templates/>
			</U>
		</B>
	</xsl:if>
<!-- doublequote -->
	<xsl:if test="@render='doublequote'">
		<xsl:text>"</xsl:text>
					<xsl:apply-templates/>
		<xsl:text>"</xsl:text>
	</xsl:if>
<!-- italic -->
	<xsl:if test="@render='italic'">
		<I>
					<xsl:apply-templates/>
		</I>
	</xsl:if>
<!-- nonproport -->
	<xsl:if test="@render='nonproport'">
					<xsl:apply-templates/>
	</xsl:if>
<!-- singlequote -->
	<xsl:if test="@render='singlequote'">
		<xsl:text>'</xsl:text>
					<xsl:apply-templates/>
		<xsl:text>'</xsl:text>
	</xsl:if>
<!-- smcaps -->
	<xsl:if test="@render='smcaps'">
		<SMALL>
					<xsl:apply-templates/>
		</SMALL>
	</xsl:if>
<!-- sub -->
	<xsl:if test="@render='sub'">
		<SUB>
					<xsl:apply-templates/>
		</SUB>
	</xsl:if>
<!-- super -->
	<xsl:if test="@render='super'">
		<SUP>
					<xsl:apply-templates/>
		</SUP>
	</xsl:if>
<!-- underline -->
	<xsl:if test="@render='underline'">
		<U>
					<xsl:apply-templates/>
		</U>
	</xsl:if>
</xsl:otherwise>
</xsl:choose>
		</xsl:otherwise>
	</xsl:choose>
	</H2>
</xsl:template>

<!-- EAD/EADHEADER/FILEDESC/TITLESTMT/SUBTITLE -->
<xsl:template match="subtitle" mode="titleproper_1.2.1.x">
	<xsl:param name="desc_series_query"/>
<!-- mixed=true -->
	<!-- ptr; exptr; emph; lb; abbr; date; expan; num;  -->
	<H3 ALIGN="center">
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:apply-templates/>
	</H3>
</xsl:template>

<!-- EAD/EADHEADER/FILEDESC/TITLESTMT/AUTHOR -->
<xsl:template match="author" mode="titleproper_1.2.1.x">
	<xsl:param name="desc_series_query"/>
<!-- mixed=true -->
	<!-- ptr; exptr; emph; lb; -->
	<H4 ALIGN="center">
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:apply-templates/>
	</H4>
</xsl:template>

<!-- EAD/EADHEADER/FILEDESC/TITLESTMT/SPONSOR -->
<xsl:template match="sponsor" mode="titleproper_1.2.1.x">
	<xsl:param name="desc_series_query"/>
<!-- mixed=true -->
	<!-- ptr; extptr; emph; lb; -->
	<H4 ALIGN="center">
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:apply-templates/>
	</H4>
</xsl:template>

<!-- EAD/EADHEADER/FILEDESC/EDITIONSTMT/EDITION -->
<xsl:template match="edition" mode="edition_1.2.2.x">
	<xsl:param name="desc_series_query"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; emph; lb; -->
		<!-- @id; -->
	<P ALIGN="center">
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:apply-templates/>
	</P>
</xsl:template>

<!-- EAD/EADHEADER/FILEDESC/EDITIONSTMT/P -->
<xsl:template match="p" mode="edition_1.2.2.x">
	<xsl:param name="desc_series_query"/>
	<!-- mixed=true -->
		<!-- archref; bibref; ptr; extptr; ref; extref; linkgrp; -->
		<!-- blockquote; emph; lb; -->
		<!-- abbr; address; date; expan; note; num; title; -->
		<!-- coprname; famname; function; genreform; -->
		<!-- geogname; name; occupation; persname; subject; -->
		<!-- origination; repository; unitdate; unittitle; -->
		<!-- chronlist; list; table; -->
		<!-- @id; -->
	<P>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:apply-templates/>
	</P>
</xsl:template>

<!-- EAD/EADHEADER/FILEDESC/PUBLICATIONSTMT/PUBLISHER -->
<xsl:template match="publisher" mode="publisher_1.2.3.x">
	<xsl:param name="desc_series_query"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; emph; lb; -->
		<!-- @id; -->
	<H4 ALIGN="center">
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:apply-templates/>
	</H4>
</xsl:template>

<!-- EAD/EADHEADER/FILEDESC/PUBLICATIONSTMT/DATE -->
<xsl:template match="date" mode="publisher_1.2.3.x">
	<xsl:param name="desc_series_query"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; emph; lb; -->
		<!-- @id; -->
	<H4 ALIGN="center">
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:apply-templates/>
	</H4>
</xsl:template>

<!-- EAD/EADHEADER/FILEDESC/PUBLICATIONSTMT/ADDRESS -->
<xsl:template match="address" mode="publisher_1.2.3.x">
	<xsl:param name="desc_series_query"/>
	<!-- children only -->
		<!-- addressline; -->
		<!-- @id; -->
	<H4 ALIGN="center">
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:apply-templates/>
	</H4>
</xsl:template>

<!-- EAD/EADHEADER/FILEDESC/PUBLICATIONSTMT/NUM -->
<xsl:template match="num" mode="publisher_1.2.3.x">
	<xsl:param name="desc_series_query"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; emph; lb; -->
		<!-- @id; -->
	<H4 ALIGN="center">
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:apply-templates/>
	</H4>
</xsl:template>

<!-- EAD/EADHEADER/FILEDESC/PUBLICATIONSTMT/P -->
<xsl:template match="p" mode="publisher_1.2.3.x">
	<xsl:param name="desc_series_query"/>
	<!-- mixed=true -->
		<!-- archref; bibref; ptr; extptr; ref; extref; linkgrp; -->
		<!-- blockquote; emph; lb; -->
		<!-- abbr; address; date; expan; note; num; title; -->
		<!-- coprname; famname; function; genreform; -->
		<!-- geogname; name; occupation; persname; subject; -->
		<!-- origination; repository; unitdate; unittile; -->
		<!-- chronlist; list; table; -->
		<!-- @id; -->
	<P>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:apply-templates/>
	</P>
</xsl:template>

<!-- EAD/EADHEADER/FILEDESC/SERIESSTMT/TITLEPROPER -->
<xsl:template match="titleproper" mode="seriesstmt_1.2.4.x">
	<!-- mixed=true -->
		<!-- ptr; exptr; emph; lb; abbr; date; expan; num; -->
		<!-- @id; @render; -->
<!-- LC Practices SUPPRESSED -->
</xsl:template>

<!-- EAD/EADHEADER/FILEDESC/SERIESSTMT/NUM -->
<xsl:template match="num" mode="seriesstmt_1.2.4.x">
	<!-- mixed=true -->
		<!-- ptr; extptr; emph; lb; -->
		<!-- @id; -->
<!-- LC Practices SUPPRESSED -->
</xsl:template>

<!-- EAD/EADHEADER/FILEDESC/SERIESSTMT/P -->
<xsl:template match="p" mode="seriesstmt_1.2.4.x">
	<!-- mixed=true -->
		<!-- archref; bibref; ptr; extptr; ref; extref; linkgrp; -->
		<!-- blockquote; emph; lb; -->
		<!-- abbr; address; date; expan; note; num; title; -->
		<!-- coprname; famname; function; genreform; -->
		<!-- geogname; name; occupation; persname; subject; -->
		<!-- origination; repository; unitdate; unittile; -->
		<!-- chronlist; list; table; -->
		<!-- @id; -->
<!-- LC practices SUPPRESSED -->
</xsl:template>

<!-- EAD/EADHEADER/PROFILEDESC/CREATION -->
<!-- elements pulled into filedesc template -->
<xsl:template match="creation" mode="profiledesc_1.2.6.1x">
	<xsl:param name="desc_series_query"/>
	<!-- mixed=true -->
		<!-- archref; bibref; extptr; extref; linkgrp; ptr; ref; -->
		<!-- abbr; date; emph; expan; lb; title; -->
		<!-- @id; -->
	<P ALIGN="center">
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:apply-templates/>
	</P>
</xsl:template>

<!-- EAD/EADHEADER/PROFILEDESC/LANGUSAGE -->
<!-- elements pulled into filedesc template -->
<xsl:template match="langusage" mode="profiledesc_1.2.6.1x">
	<!-- mixed=true -->
		<!-- archref; bibref; extptr; extref; linkgrp; ptr; ref; -->
		<!-- abbr; emph; expan; lb; language; title; -->
		<!-- @id; -->
<!-- LC Practices SUPPRESSED -->
</xsl:template>

<!-- EAD/EADHEADER/PROFILEDESC/DESCRULES -->
<!-- elements pulled into filedesc template -->
<xsl:template match="descrules" mode="profiledesc_1.2.6.1x">
	<xsl:param name="desc_series_query"/>
	<!-- mixed=true -->
		<!-- archref; bibref; extptr; extref; linkgrp; ptr; ref; -->
		<!-- abbr; emph; expan; lb; title; -->
		<!-- @id; -->
	<P ALIGN="center">
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:apply-templates/>
	</P>
</xsl:template>

<!-- EAD/EADHEADER/REVISIONDESC/CHANGE -->
<!-- elements pulled into filedesc template -->
<xsl:template match="change" mode="revisiondesc_1.2.7.1x">
	<xsl:param name="desc_series_query"/>
	<!-- children only -->
		<!-- date; item; -->
		<!-- @id; -->
	<xsl:choose>
		<xsl:when test="$eadid_1_mainagencycode='dlc'">
		</xsl:when>
		<xsl:otherwise>
			<P ALIGN="center">
				<xsl:if test="string-length(@id)&gt;0">
					<xsl:apply-templates select="@id">
						<xsl:with-param 
							name="desc_series_query" 
							select="$desc_series_query"
						/>
					</xsl:apply-templates>
				</xsl:if>
				<xsl:apply-templates/>
			</P>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<!-- EAD/EADHEADER/REVISIONDESC/LIST -->
<!-- elements pulled into filedesc template -->
<xsl:template match="list" mode="revisiondesc_1.2.7.1x">
	<!-- children only -->
		<!-- head; item; -->
		<!-- listhead; defitem; -->
		<!-- @continuation; /continues;starts -->
		<!-- @numberation; -->
		<!--  /arabic;upperalpha;loweralpha;upperroman;lowerroman -->
		<!-- @type; /simple;deflist;marked;ordered -->
		<!-- @mark; @id; -->
</xsl:template>

<!-- ATTENTION -->
<!-- LC Practices -->
<!-- EXTPTR = bring image into document -->
<!-- EXTPTR/@HREF = unparsed entity -->
<!-- EXTPTR/@HREF = SYSTEM or PUBLIC -->
<!-- EXTPTR/@HREF = unparsed-entity-uri(@href) -->
<!-- REF = @TARGET -->
<!-- DAOGRP/DAOLOC/@HREF = parsed entity '&xxx;' -->
<!-- TITLE/@HREF = parsed entity -->
<!-- USE unparsed-entity-uri(@href) for SYSTEM or PUBLIC -->
<!-- USE unparsed-entity-uri(@href) for 'lcseal' values -->
<!-- USE unparsed-entity-uri(@href) to get the 'syntax' -->
<!-- USE unparsed-entity-uri(@href) to turn image into link -->
<!-- fo/@src = bring image into document -->
<!-- fo/@external-destination = create link -->

<!-- unparsed-entity-uri(@href) -->
<!-- get syntax of ENTITY -->
<!-- 1) bring into document lcseal image = @src -->
<!-- 2) create external link = @external-destination -->

<!-- mechanical -->
<!-- @TITLE = IMG/@ALT -->
<!-- W3C list indicates use href if no alt-text -->
<!-- LC practices 2002 requires -->
<!-- External: @HREF; @ACTUATE; @SHOW; -->
<!-- arc; archref; bibref; dao; daogrp; daoloc; -->
<!-- extptr; extptrloc; extref; extrefloc; title; -->
<!-- Internal: @TARGET; @ACTUATE; @SHOW; -->
<!-- arc; linkgrp; ref; refloc; ptr; ptrloc; resource; -->

<!-- from FILEDESC -->
<xsl:template match="profiledesc" mode="profiledesc_1.2.6x">
	<xsl:param name="desc_series_query"/>
	<!-- attributes -->
	<!-- <attribute name="id" type="xs:ID" use="optional" /> -->
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:apply-templates select="*" mode="profiledesc_1.2.6.1x"/>
		<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<!-- from FILEDESC -->
<xsl:template match="revisiondesc" mode="revisiondesc_1.2.7x">
	<xsl:param name="desc_series_query"/>
	<!-- attributes -->
	<!-- <attribute name="id" type="xs:ID" use="optional" /> -->
	<xsl:if test="string-length(@id)&gt;0">
		<xsl:apply-templates select="@id">
			<xsl:with-param 
				name="desc_series_query" 
				select="$desc_series_query"
			/>
		</xsl:apply-templates>
	</xsl:if>
<!-- <P>&#160;</P> -->
	<xsl:choose>
		<xsl:when 
			test="
				$eadid_1_mainagencycode='dlc' 
				and 
				child::change[child::date]
			"
		>
			<P ALIGN="center">
				<xsl:if test="string-length(@id)&gt;0">
					<xsl:apply-templates select="@id">
						<xsl:with-param 
							name="desc_series_query" 
							select="$desc_series_query"
						/>
					</xsl:apply-templates>
				</xsl:if>
				<xsl:value-of select="$insert_label_2"/>
				<xsl:apply-templates select="change[1]/date"/>
			</P>
		</xsl:when>
		<xsl:otherwise>
			<xsl:apply-templates select="*" mode="revisiondesc_1.2.7.1x"/>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<!-- EAD/ARCHDESC -->
<xsl:template match="archdesc">
	<xsl:param name="desc_series_query"/>
	<!-- @id; -->
	<!-- @otherlevel; @audience; @type; @encoding; @altrender; -->
	<!-- @relatencoding; @level; -->
	<!-- @level='collection'; @level='series'; -->
		<!-- children only -->
			<!-- did; -->
			<!-- controlaccess; -->
			<!-- descgrp[@type='admininfo']; -->
			<!-- bioghist; -->
			<!-- scopecontent; -->
			<!-- arrangement; -->
			<!-- dsc; -->
			<!-- descgrp[@type='add']; -->
	<!-- children NO template -->
		<!-- accessrestrict; accruals; acqinfo; altformavail; appraisal; -->
		<!-- custodhist; originalsloc; phystech; prefercite; -->
		<!-- processinfo; relatedmaterial; separatedmaterial; userestrict; -->
		<!-- bibliography; fileplan; index; odd; otherfindaid; -->
		<!-- note; -->
		<!-- runner; dao; daogrp; -->
		<xsl:variable name="archdesc_children_pattern">
			<xsl:apply-templates select="*" mode="archdesc_children_x"/>
		</xsl:variable>
	<xsl:variable name="dsc_x">
		<xsl:value-of select="
			concat('dsc*1003%', 
				substring-before(
					substring-after(
						$archdesc_children_pattern, 'dsc*1003%'), 
						';'), 
			';')
		"/>
	</xsl:variable>
<!-- child::* of archdesc  -->
<xsl:variable name="break_x_a">
	<xsl:value-of select="
				substring-after($archdesc_children_pattern, $dsc_x)
	"/>
						</xsl:variable>
<!-- child::*[?] of archdesc (after dsc) -->
<xsl:variable name="break_x_b">
	<xsl:value-of select="
			substring-before($archdesc_children_pattern, $dsc_x)
	"/>
</xsl:variable>
<!-- 
	X 
		b_x_a="controlaccess*1013%1002;" 
		b_x_b="odd*1003%1008;" -->
<!-- &gt; or &lt; = dsc -->
<!-- 
<xsl:text>&#xA;</xsl:text>
<X break_x_b="{$break_x_b}" break_x_a="{$break_x_a}" dsc_x="{$dsc_x}">
<xsl:value-of select="$archdesc_children_pattern"/>
</X> -->
		<xsl:text>&#xA;</xsl:text>
		<xsl:comment>
			<xsl:text> TOC </xsl:text>
		</xsl:comment>
		<xsl:text>&#xA;&#xA;</xsl:text>

		<xsl:call-template name="toc_x"/>


		<xsl:text>&#xA;</xsl:text>
		<xsl:comment>
			<xsl:text> front matter </xsl:text>
		</xsl:comment>
		<xsl:text>&#xA;&#xA;</xsl:text>

<!-- [1] begin choose check for tabular -->
<xsl:choose>
<xsl:when test="string-length($special_eadid_x_tabular)!=0">
<!-- [1] begin when check tabular = true -->
<!-- archdesc children before dsc -->
<!-- all page number and @id here only -->

<!-- beg archdesc children before dsc -->
	<xsl:if test="string-length($break_x_b)!=0">

			<P CLASS="breakmypage"></P>
					<xsl:if test="string-length(@id)&gt;0">
							<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
					</xsl:if>

					<xsl:call-template name="tabular_archdesc_children_before">
						<xsl:with-param name="break_x_b_x" select="$break_x_b"/>
						<xsl:with-param name="break_x_b" select="$break_x_b"/>
					</xsl:call-template>
					<xsl:apply-templates select="dsc[parent::archdesc]" mode="special_tabular_description_series"/>

	</xsl:if>
<!-- end archdesc children before dsc -->

<!-- beg archdesc/dsc -->
	<xsl:if test="string-length($dsc_x)!=0">

<xsl:choose>
<xsl:when test="$special_eadid_x_tabular_file='file'">
<!-- @level=file -->
	<xsl:apply-templates select="dsc" mode="tabular_file_backout"/>
</xsl:when>
<xsl:otherwise>
		<xsl:apply-templates select="dsc">
				<xsl:with-param name="high_did">yes</xsl:with-param>
						<xsl:with-param 
							name="break_x_a"
						>
							<xsl:choose>
								<xsl:when 
									test="
										string-length(
											substring-before($break_x_a, ';')
										)!=0
									"
								>
									<xsl:value-of 
										select="
											concat(substring-before($break_x_a, ';'), ';')
										"
									/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="$break_x_a"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:with-param>
				<xsl:with-param name="break_x_b" select="$break_x_b"/>
		</xsl:apply-templates>
</xsl:otherwise>
</xsl:choose>
	</xsl:if>
<!-- end archdesc/dsc -->

<!-- beg archdesc children after dsc -->
	<xsl:if test="string-length($break_x_a)!=0">

					<xsl:call-template name="tabular_archdesc_children_after">
						<xsl:with-param name="break_x_a_x" select="$break_x_a"/>
						<xsl:with-param 
							name="break_x_a"
						>
							<xsl:choose>
								<xsl:when 
									test="
										string-length(
											substring-before($break_x_a, ';')
										)!=0
									"
								>
									<xsl:value-of 
										select="
											concat(substring-before($break_x_a, ';'), ';')
										"
									/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="$break_x_a"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:with-param>
					</xsl:call-template>

	</xsl:if>
<!-- end archdesc children after dsc -->
<!-- [1] end when check tabular = true -->
</xsl:when>
<xsl:otherwise>
<!-- [1] begin otherwise check tabular = false -->

			<P CLASS="breakmypage"></P>
					<xsl:if test="string-length(@id)&gt;0">
							<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
					</xsl:if>
					<xsl:apply-templates select="*">
						<xsl:with-param name="high_did">yes</xsl:with-param>
						<xsl:with-param name="break_x_a" select="$break_x_a"/>
						<xsl:with-param name="break_x_b" select="$break_x_b"/>
					</xsl:apply-templates>
<!-- [1] end otherwise check tabular = false -->
	</xsl:otherwise>
</xsl:choose>
<!-- [1] end choose check tabular -->
		<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template name="tabular_archdesc_children_before">
	<xsl:param name="break_x_b"/>
	<xsl:param name="break_x_b_x"/>
	<xsl:choose>
		<xsl:when test="contains($break_x_b_x, ';')">
			<xsl:variable 
				name="x_x" 
				select="
					substring-before(
						substring-after($break_x_b_x, '%'), 
						';'
					)
				"
			/>
			<xsl:variable name="x_x_2" select="number($x_x) - 1000"/>
			<xsl:apply-templates select="*[number($x_x_2)]">
				<xsl:with-param name="high_did">yes</xsl:with-param>
				<xsl:with-param name="break_x_b" select="$break_x_b"/>
			</xsl:apply-templates>
			<xsl:call-template name="tabular_archdesc_children_before">
				<xsl:with-param name="break_x_b_x" select="substring-after($break_x_b_x, ';')"/>
				<xsl:with-param name="break_x_b" select="$break_x_b"/>
			</xsl:call-template>
		</xsl:when>
		<xsl:otherwise>
			<xsl:variable 
				name="x_x" 
				select="
					substring-before(
						substring-after($break_x_b_x, '%'), 
						';'
					)
				"
			/>
			<xsl:variable name="x_x_2" select="number($x_x) - 1000"/>
			<xsl:apply-templates select="*[number($x_x_2)]">
				<xsl:with-param name="high_did">yes</xsl:with-param>
				<xsl:with-param name="bread_x_b" select="$break_x_b"/>
			</xsl:apply-templates>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<!-- controlaccess*1013%1002; -->
<xsl:template name="tabular_archdesc_children_after">
	<xsl:param name="break_x_a"/>
	<xsl:param name="break_x_a_x"/>
	<xsl:choose>
		<xsl:when test="contains($break_x_a_x, ';')">
			<xsl:variable 
				name="x_x" 
				select="
					substring-before(
						substring-after($break_x_a_x, '%'), 
						';'
					)
				"
			/>
			<xsl:variable name="x_x_2" select="number($x_x) - 1000"/>
			<xsl:apply-templates select="*[number($x_x_2)]">
				<xsl:with-param name="high_did">yes</xsl:with-param>
				<xsl:with-param name="break_x_a" select="$break_x_a"/>
			</xsl:apply-templates>
			<xsl:call-template name="tabular_archdesc_children_after">
				<xsl:with-param name="break_x_a_x" select="substring-after($break_x_a_x, ';')"/>
				<xsl:with-param name="break_x_a" select="$break_x_a"/>
			</xsl:call-template>
		</xsl:when>
		<xsl:otherwise>
			<xsl:variable 
				name="x_x" 
				select="
					substring-before(
						substring-after($break_x_a_x, '%'), 
						';'
					)
				"
			/>
			<xsl:variable name="x_x_2" select="number($x_x) - 1000"/>
			<xsl:apply-templates select="*[number($x_x_2)]">
				<xsl:with-param name="high_did">yes</xsl:with-param>
				<xsl:with-param name="break_x_a" select="$break_x_a"/>
			</xsl:apply-templates>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="unittitle" mode="footer_x">
	<!-- mixed=true -->
		<!-- ptr; extptr; -->
		<!-- ref; extref; archref; bibref; -->
		<!-- linkgrp; -->
		<!-- emph; lb; abbr; expan; title; num; date; -->
		<!-- edition; imprint; -->
		<!-- corpname; famname; geogname; name; -->
		<!-- occupation; persname; subject; -->
		<!-- function; genreform; -->
		<!-- bibseries; unitdate; -->
		<!-- @label; @id; -->
	<xsl:apply-templates mode="footer_x_children"/>
</xsl:template>

<!-- unittitle for footer -->
<!-- children to transform -->
<xsl:template match="
		emph | 
		title | 
		corpname | 
		famname | 
		geogname | 
		name | 
		occupation | 
		persname | 
		subject" mode="footer_x_children">
	<xsl:variable name="t" select="count(parent::*/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<xsl:apply-templates select="parent::*/*[number($p)]"/>
</xsl:template>

<!-- children NOT transform -->
<xsl:template match="
		ptr | 
		extptr | 
		ref | 
		extref | 
		archref | 
		bibref | 
		linkgrp | 
		lb | 
		abbr | 
		expan | 
		num | 
		date | 
		edition | 
		imprint | 
		function | 
		genreform | 
		bibseries | 
		unitdate" 
		mode="footer_x_children">
</xsl:template>

<xsl:template match="text()" mode="footer_x_children">
	<xsl:value-of select="translate(translate(., '&#x9;', ''), '&#xA;', ' ')"/>
</xsl:template>

<xsl:template match="*" mode="non_children">
</xsl:template>

<xsl:template match="*" mode="archdesc_children_x">
	<xsl:variable name="t" select="count(parent::*/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<xsl:value-of select="name()"/>
	<xsl:text>*</xsl:text>
	<xsl:value-of select="number(string-length(name())) + 1000"/>
	<xsl:text>%</xsl:text>
	<xsl:value-of select="number($p + 1000)"/>
	<xsl:text>;</xsl:text>
</xsl:template>

<xsl:template name="toc_x">
	<P CLASS="breakmypage"></P>
		<H2><A name="TOC">Table of Contents</A></H2>
<!-- <X nm="{name()}" prt="{name(parent::*)}"/> -->
		<xsl:apply-templates select="
			//head" 
			mode="toc_xx"
		>
		</xsl:apply-templates>
</xsl:template>

<!-- EAD/EADHEADER/ARCHDESC/DSC ** Special Tabular ** -->
<!-- Tabular = true -->
<!-- description of series -->
<xsl:template match="dsc[parent::archdesc]" mode="special_tabular_description_series">
	<!-- children only -->
		<!-- head; SEQUENCE: first child -->
		<!-- address; blockquote; note; p; SEQUENCE: before thead; -->
		<!-- chronlist; list; table; SEQUENCE: before thead; -->
		<!-- thead; SEQUENCE: before c; or c01; -->
		<!-- c; c01; SEQUENCE: only thead; can follow -->
		<!-- dsc; SEQUENCE: cannot follow c; or c01; or thead; -->
		<!-- @type; /analyticover; combined; in-depth; othertype; -->
		<!-- @id; -->
	<xsl:variable name="get_names">
		<xsl:apply-templates select="*" mode="dsc_children_x"/>
	</xsl:variable>

<!-- desccription of series pages -->
	<xsl:if test="//c01[@level='series']">
	<P CLASS="breakmypage"></P>
<!-- empty marker -->
<!-- head -->
<!-- table -->
<!-- make @id with fo:inline -->
<!-- c01[1]/@id='CL1001' -->
<!-- c01[2]/@id='CL2001' -->
			<H3>
				<A NAME="desc_series">
					<xsl:text>Description of Series</xsl:text>
				</A>
			</H3>
		<TABLE CELLSPACING="3" WIDTH="100%">
	<THEAD>
		<TR>
			<TH ALIGN="left" VALIGN="top" COLSPAN="1">Container</TH>
			<TH ALIGN="left" VALIGN="top" COLSPAN="13">Series</TH>
		</TR>
	</THEAD>
<TBODY>
	<TR>
                           <TD VALIGN="top" WIDTH="24%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="52%"></TD>
	</TR>

<!-- C01 rows -->
						<xsl:apply-templates select="c01[@level='series']" mode="desc_series_x">
							<xsl:with-param name="get_names" select="$get_names"/>
						</xsl:apply-templates>

					</TBODY>
				</TABLE>
	</xsl:if>

</xsl:template>

<!-- EAD/EADHEADER/ARCHDESC/DSC -->
<xsl:template match="dsc[parent::archdesc]">
	<xsl:param name="desc_series_query"/>
	<!-- children only -->
		<!-- head; SEQUENCE: first child -->
		<!-- address; blockquote; note; p; SEQUENCE: before thead; -->
		<!-- chronlist; list; table; SEQUENCE: before thead; -->
		<!-- thead; SEQUENCE: before c; or c01; -->
		<!-- c; c01; SEQUENCE: only thead; can follow -->
		<!-- dsc; SEQUENCE: cannot follow c; or c01; or thead; -->
		<!-- @type; /analyticover; combined; in-depth; othertype; -->
		<!-- @id; -->
	<xsl:variable name="get_names">
		<xsl:apply-templates select="*" mode="dsc_children_x"/>
	</xsl:variable>

<!-- begin choose check for tabular -->
<xsl:choose>
<xsl:when test="string-length($special_eadid_x_tabular)!=0">
<!-- begin when check tabular = true -->
<!-- node-set code = ead_mdb_node-set.txt -->
<!-- DO NOT FORGET the DSC/* NODES = c01[1] -->

<!-- C01 rows -->
					<xsl:apply-templates select="c01">
						<xsl:with-param name="get_names" select="$get_names"/>
					</xsl:apply-templates>

<!-- end when check tabular = true -->
</xsl:when>
<xsl:otherwise>
<!-- begin otherwise check tabular = false -->

<!-- desccription of series pages -->
	<xsl:if test="//c01[@level='series']">
	<P CLASS="breakmypage"></P>
<!-- empty marker -->
<!-- head -->
<!-- table -->
<!-- make @id with fo:inline -->
<!-- c01[1]/@id='CL1001' -->
<!-- c01[2]/@id='CL2001' -->
			<H3>
				<A NAME="desc_series">
					<xsl:text>Description of Series</xsl:text>
				</A>
			</H3>
		<TABLE CELLSPACING="3" WIDTH="100%">
	<THEAD>
		<TR>
			<TH ALIGN="left" VALIGN="top" COLSPAN="1">Container</TH>
			<TH ALIGN="left" VALIGN="top" COLSPAN="13">Series</TH>
		</TR>
	</THEAD>
<TBODY>
	<TR>
                           <TD VALIGN="top" WIDTH="24%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="52%"></TD>
	</TR>

<!-- C01 rows -->
						<xsl:apply-templates select="c01[@level='series']" mode="desc_series_x">
							<xsl:with-param name="get_names" select="$get_names"/>
						</xsl:apply-templates>

					</TBODY>
				</TABLE>
	</xsl:if>

<!-- creating dsc pages -->
	<P CLASS="breakmypage"></P>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>

<!-- empty marker -->

<!-- head -->
			<xsl:apply-templates select="head">
				<xsl:with-param name="high_did">yes</xsl:with-param>
			</xsl:apply-templates>

<!-- children not(C01) -->
			<xsl:apply-templates select="
					address | 
					blockquote | 
					chronlist | 
					dsc | 
					list | 
					note | 
					p | 
					table | 
					thead">
				<xsl:with-param name="get_names" select="$get_names"/>
			</xsl:apply-templates>

<!-- children C01 -->
<xsl:if test="c01">
				<TABLE CELLSPACING="3" WIDTH="100%">
	<THEAD>
		<TR>
			<TH ALIGN="left" VALIGN="top" COLSPAN="1">Container</TH>
			<TH ALIGN="left" VALIGN="top" COLSPAN="13">Contents</TH>
		</TR>
	</THEAD>
<TBODY>

	<TR>
                           <TD VALIGN="top" WIDTH="24%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="52%"></TD>
	</TR>
<!-- C01 rows -->
					<xsl:apply-templates select="c01">
						<xsl:with-param name="get_names" select="$get_names"/>
					</xsl:apply-templates>

				</TBODY>
			</TABLE>
	</xsl:if>

<!-- end otherwise check tabular = false -->
	</xsl:otherwise>
</xsl:choose>

	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="*" mode="dsc_children_x">
	<xsl:variable name="t" select="count(parent::dsc/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<xsl:value-of select="name()"/>
	<xsl:text>%</xsl:text>
	<xsl:value-of select="$p"/>
	<xsl:text>;</xsl:text>
</xsl:template>

<xsl:template match="c01" mode="desc_series_x">
	<xsl:param name="get_names"/>
	<xsl:variable name="c_n_nm" select="number(substring(name(), 2, string-length(name()))) + 1"/>
	<xsl:variable name="fixed_c_sl">
		<xsl:if test="string-length($c_n_nm)=1">
			<xsl:value-of select="concat('c0', $c_n_nm)"/>
		</xsl:if>
		<xsl:if test="string-length($c_n_nm)=2">
			<xsl:value-of select="concat('c', $c_n_nm)"/>
		</xsl:if>
	</xsl:variable>
	<xsl:variable name="c01_ct">
		<xsl:number count="c01"/>
	</xsl:variable>
	<xsl:variable name="d_s_q">
		<xsl:number count="c01"/>
	</xsl:variable>
<!-- C01 Rows -->
<!-- spacer row before series -->
<!-- spacer row before series -->
						<TR>
							<TD VALIGN="top" COLSPAN="14"></TD>
						</TR>

<!-- row for unittitle -->
						<xsl:apply-templates select="did/unittitle | did/container | did/unitid" mode="dsc_did_children">
							<xsl:with-param name="lv" select="number(substring(name(), 2, string-length(name())))"/>
							<xsl:with-param name="c01_ct" select="$c01_ct"/>
							<xsl:with-param name="desc_series_query" select="$d_s_q"/>
							<xsl:with-param name="agg_ct" select="number(1000 + $c01_ct)"/>
						</xsl:apply-templates>
						<xsl:apply-templates select="*[not(name()='did') and not(name()=$fixed_c_sl)]" mode="dsc_c_children">
							<xsl:with-param name="lv" select="number(substring(name(), 2, string-length(name())))"/>
							<xsl:with-param name="desc_series_query" select="$d_s_q"/>
						</xsl:apply-templates>
<!-- test node -->
<!-- <X_c01_dsc fixed_c_sl="{$fixed_c_sl}" c_n_nm="{$c_n_nm}" agg_ct="{number(1000 + $c01_ct)}"/> -->
<!-- subseries -->
<!-- beg choose check 'mu' -->
<xsl:choose>
<xsl:when test="$agg_x_c = 'mu'">
<!-- beg when check 'mu' = true -->
	<xsl:choose>
		<xsl:when test="*[name()=$fixed_c_sl and @level='subseries' and child::scopecontent]">
			<xsl:apply-templates select="*[name()=$fixed_c_sl and @level='subseries' and child::scopecontent]" mode="desc_series_xx">
				<xsl:with-param name="agg_ct" select="number(1000 + $c01_ct)"/>
			</xsl:apply-templates>
		</xsl:when>
		<xsl:otherwise>
		</xsl:otherwise>
	</xsl:choose>
<!-- end when check 'mu' = true -->
</xsl:when>
<xsl:otherwise>
<!-- beg otherwise check 'mu' = false -->
	<xsl:choose>
		<xsl:when test="*[name()=$fixed_c_sl and @level='subseries']">
			<xsl:apply-templates select="*[name()=$fixed_c_sl and @level='subseries']" mode="desc_series_xx">
				<xsl:with-param name="agg_ct" select="number(1000 + $c01_ct)"/>
			</xsl:apply-templates>
		</xsl:when>
		<xsl:otherwise>
		</xsl:otherwise>
	</xsl:choose>
<!-- end otherwise check 'mu' = false -->
</xsl:otherwise>
</xsl:choose>
<!-- end choose check 'mu' -->
</xsl:template>


<xsl:template match="
		c02 | 
		c03 | 
		c04 | 
		c05 | 
		c06 | 
		c07 | 
		c08 | 
		c09 | 
		c10 | 
		c11 | 
		c12" 
	mode="desc_series_xx"
>
	<xsl:param name="get_names"/>
	<xsl:param name="agg_ct"/>
	<xsl:variable name="t" select="count(parent::*/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<xsl:variable name="c_n_nm" select="number(substring(name(), 2, string-length(name()))) + 1"/>
	<xsl:variable name="fixed_c_sl">
		<xsl:if test="string-length($c_n_nm)=1">
			<xsl:value-of select="concat('c0', $c_n_nm)"/>
		</xsl:if>
		<xsl:if test="string-length($c_n_nm)=2">
			<xsl:value-of select="concat('c', $c_n_nm)"/>
		</xsl:if>
	</xsl:variable>
<!-- test node -->
<!-- <X_c_dsc fixed_c_sl="{$fixed_c_sl}" c_n_nm="{$c_n_nm}" agg_ct="{$agg_ct}"/> -->
<!-- C0? Rows -->
<!-- spacer row before series -->
						<TR>
							<TD VALIGN="top" COLSPAN="14"></TD>
						</TR>


						<xsl:apply-templates select="did/unittitle | did/container | did/unitid" mode="dsc_did_children">
							<xsl:with-param name="lv" select="number(substring(name(), 2, string-length(name())))"/>
							<xsl:with-param name="c02_ct" select="number($p)"/>
							<xsl:with-param name="desc_series_query" select="number($p)"/>
							<xsl:with-param name="agg_ct" select="concat($agg_ct, number(1000 + $p))"/>
						</xsl:apply-templates>
						<xsl:apply-templates select="*[not(name()='did') and not(name()=$fixed_c_sl)]" mode="dsc_c_children">
							<xsl:with-param name="lv" select="number(substring(name(), 2, string-length(name())))"/>
							<xsl:with-param name="desc_series_query" select="number($p)"/>
						</xsl:apply-templates>

<!-- beg choose check 'mu' -->
<xsl:choose>
<xsl:when test="$agg_x_c = 'mu'">
<!-- beg when check 'mu' = true -->
	<xsl:choose>
		<xsl:when test="*[name()=$fixed_c_sl and @level='subseries' and child::scopecontent]">
			<xsl:apply-templates select="*[name()=$fixed_c_sl and @level='subseries' and child::scopecontent]" mode="desc_series_xx">
				<xsl:with-param name="agg_ct" select="concat($agg_ct, number(1000 + $p))"/>
			</xsl:apply-templates>
		</xsl:when>
		<xsl:otherwise>
		</xsl:otherwise>
	</xsl:choose>
<!-- end when check 'mu' = true -->
</xsl:when>
<xsl:otherwise>
<!-- beg otherwise check 'mu' = false -->
	<xsl:choose>
		<xsl:when test="*[name()=$fixed_c_sl and @level='subseries']">
			<xsl:apply-templates select="*[name()=$fixed_c_sl and @level='subseries']" mode="desc_series_xx">
				<xsl:with-param name="agg_ct" select="concat($agg_ct, number(1000 + $p))"/>
			</xsl:apply-templates>
		</xsl:when>
		<xsl:otherwise>
		</xsl:otherwise>
	</xsl:choose>
<!-- end otherwise check 'mu' = false -->
</xsl:otherwise>
</xsl:choose>
<!-- end choose check 'mu' -->
</xsl:template>

<!-- EAD/EADHEADER/ARCHDESC/DSC/THEAD -->
<xsl:template match="thead[parent::dsc]">
	<xsl:param name="get_names"/>
	<!-- children only -->
		<!-- row; -->
		<!-- @valign /top; middle; bottom; -->
		<!-- @id; -->
</xsl:template>

<!-- EAD/EADHEADER/ARCHDESC/DSC/DSC -->
<xsl:template match="dsc[parent::dsc]">
	<xsl:param name="get_names"/>
	<!-- children only -->
		<!-- row; -->
		<!-- @valign /top; middle; bottom; -->
		<!-- @id; -->
</xsl:template>

<!-- element not respected -->
<!-- see current Library of Congress practices -->
<xsl:template match="c[parent::dsc]">
</xsl:template>

<!-- element not respected -->
<!-- see current Library of Congress practices -->
<xsl:template match="c[parent::c]">
</xsl:template>

<xsl:template match="c01[parent::dsc]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="get_names"/>
	<xsl:variable name="t" select="count(parent::*/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<!-- children only -->
		<!-- head; SEQUENCE: first child -->
		<!-- did; SEQUENCE: second child -->
		<!-- accessrestrict; accruals; acqinfo; altformavail; -->
		<!-- appraisal; arrangement; bibliography; bioghist; -->
		<!-- controlaccess; custodhist; descgrp; fileplan; -->
		<!-- index; odd; originalsloc; otherfindaid; phystech; -->
		<!-- prefercite; processinfo; scopecontent; userestrict; -->
		<!-- relatedmaterial; separatedmaterial; -->
		<!-- note; -->
		<!-- dao; daogrp; -->
		<!-- dsc; -->
		<!-- thead; SEQUENCE: next to last child -->
		<!-- c02; SEQUENCE: last child -->
		<!-- @level; /series; subseries; file; item; -->
		<!-- @otherlevel; -->
		<!-- @type; /class; collection; otherlevel; -->
		<!-- @type /fonds; subfonds; recordgrp; subgrp; -->
		<!-- @type; /series; subseries; file; item; -->
		<!-- @id; -->

<!-- table header -->
<!-- cells to span rows -->
<!-- cell number???? -->
<!-- 
<xsl:text>&#xA;</xsl:text>
<X t_head="{$p_thead}" nm="{name(parent::dsc/thead[$p_thead])}" name="{name()}"/> -->
<!-- Unless DTD is modified NO variable headers -->
<!-- Unless DTD is modified NO variable columns -->
<!-- <xsl:if test="parent::dsc[child::thead]">
			<xsl:apply-templates select="parent::dsc/*[$p_thead and name()='thead']" mode="component_level"/>
		</xsl:if> -->
<xsl:variable name="c_n_nm" select="number(substring(name(), 2, string-length(name()))) + 1"/>
<xsl:variable name="fixed_c_sl">
	<xsl:if test="string-length($c_n_nm)=1">
		<xsl:value-of select="concat('c0', $c_n_nm)"/>
	</xsl:if>
	<xsl:if test="string-length($c_n_nm)=2">
		<xsl:value-of select="concat('c', $c_n_nm)"/>
	</xsl:if>
</xsl:variable>
<xsl:variable name="c01_ct">
	<xsl:number count="c01"/>
</xsl:variable>
<xsl:variable name="unittitle_id_tabular" select="did/unittitle/@id"/>
<!-- <X fixed_c_sl="{$fixed_c_sl}" c_n_nm="{$c_n_nm}"/> -->

<!-- [1] begin choose check for tabular -->
<xsl:choose>
	<xsl:when test="string-length($special_eadid_x_tabular)!=0">
<!-- [1] begin when check tabular = true -->
<!-- node-set code = ead_mdb_node-set.txt -->
<!-- DO NOT FORGET the DSC/* NODES = c01[1] -->

<!-- [2] begin choose check descendant::*[@id='xmlns.mew'] -->
	<xsl:choose>
		<xsl:when test="descendant::*[substring(@id, 1, 9)='xmlns.mew']">
<!-- [2] begin when check descendant::*[@id='xmlns.mew'] = true -->


<!-- [3] begin choose check document()//@level='file' -->
	<xsl:choose>
		<xsl:when test="$special_eadid_x_tabular_file='file'">
<!-- [3] begin when check @level='file' = true -->

	<!-- see archdesc template -->

<!-- [3] end when check @level='file' = true -->
		</xsl:when>
		<xsl:otherwise>
<!-- [3] begin otherwise check @level='file' = false -->

<!-- current decision tree -->
<!-- [1] tabular = true -->
<!-- [2] descendants::*[@id='xmlns.mew'] = true -->
<!-- [3] document()//@level='file' = false -->
<!-- Series?? -->

<!-- [4] beg choose check document()//@level -->
	<xsl:choose>
		<xsl:when 
			test="
				document('ead_special_fa-1.xml')//division[
						@aggregate=$agg_x_c
					]/special_fa[
						@eadid=$special_eadid_x_tabular 
						and 
						@type='tabular_dsc'
					]/div[
						@level='series' 
						and 
						@unittitle_id=$unittitle_id_tabular
					]
			"
		>
<!-- [4] beg when check document()//@level='series' -->

<!-- $agg_x_c = 'ms' or 'mu', etc. -->
<!-- $special_eadid_x = '001001', etc. -->
	<xsl:variable name="p_orient">
		<xsl:variable 
			name="p_or_n" 
			select="
				translate(
					normalize-space(
						document('ead_special_fa-1.xml')//division[
								@aggregate=$agg_x_c
							]/special_fa[
								@eadid=$special_eadid_x_tabular 
								and 
								@type='tabular_dsc'
							]/div[
								@level='series' 
								and 
								@unittitle_id=$unittitle_id_tabular
							]/@page_orientation
					), 
					'ABCDEFGHIJKLMNOPQRSTUVWXYZ', 
					'abcdefghijklmnopqrstuvwxyz'
				)
			"
		/>
		<xsl:if test="$p_or_n='portrait'">
			<xsl:text>front_matter</xsl:text>
		</xsl:if>
		<xsl:if test="$p_or_n='landscape'">
			<xsl:text>front_matter_land</xsl:text>
		</xsl:if>
	</xsl:variable>
<!-- need landscape or portrait STYLE here -->

<!-- c01[1] ???? -->
<!-- call DSC/* children first -->
<!-- set up table for c01 -->
	<P CLASS="breakmypage"></P>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>

<!-- empty marker -->

<!-- head -->
			<xsl:apply-templates select="head">
				<xsl:with-param name="high_did">yes</xsl:with-param>
			</xsl:apply-templates>

<!-- 
<xsl:text>
</xsl:text>
<ZZ x="{
				name(
					preceding-sibling::*[name()='c01' and parent::dsc]
				)
}"/> -->

	<xsl:if 
		test="
			string-length(
				name(
					preceding-sibling::*[name()='c01' and parent::dsc]
				)
			)=0
		"
	>

<!-- head -->
			<xsl:apply-templates select="parent::dsc/head">
				<xsl:with-param name="high_did">yes</xsl:with-param>
			</xsl:apply-templates>

<!-- children not(C01) -->
			<xsl:apply-templates select="
					parent::dsc/address | 
					parent::dsc/blockquote | 
					parent::dsc/chronlist | 
					parent::dsc/dsc | 
					parent::dsc/list | 
					parent::dsc/note | 
					parent::dsc/p | 
					parent::dsc/table | 
					parent::dsc/thead">
				<xsl:with-param name="get_names" select="$get_names"/>
			</xsl:apply-templates>
</xsl:if>

<!-- children C01 -->
<!-- beg c01 did/* and child::*[not(c02)] table -->
<!-- series description, etc. -->
<!-- C01 rows -->
<!-- apply-templates for xmlns.mew -->
<!-- no child::c02 or child::thead -->

<!-- regular table -->

			<TABLE CELLSPACING="3" WIDTH="100%">
				<THEAD>
					<TR>
						<TH ALIGN="left" VALIGN="top" COLSPAN="1">Container</TH>
						<TH ALIGN="left" VALIGN="top" COLSPAN="13">Contents</TH>
					</TR>
				</THEAD>
				<TBODY>
					<TR>
            <TD VALIGN="top" WIDTH="24%"></TD>
            <TD VALIGN="top" WIDTH="2%"></TD>
            <TD VALIGN="top" WIDTH="2%"></TD>
            <TD VALIGN="top" WIDTH="2%"></TD>
            <TD VALIGN="top" WIDTH="2%"></TD>
            <TD VALIGN="top" WIDTH="2%"></TD>
            <TD VALIGN="top" WIDTH="2%"></TD>
            <TD VALIGN="top" WIDTH="2%"></TD>
            <TD VALIGN="top" WIDTH="2%"></TD>
            <TD VALIGN="top" WIDTH="2%"></TD>
            <TD VALIGN="top" WIDTH="2%"></TD>
            <TD VALIGN="top" WIDTH="2%"></TD>
            <TD VALIGN="top" WIDTH="2%"></TD>
            <TD VALIGN="top" WIDTH="52%"></TD>
					</TR>
<!-- C01 rows -->
						<xsl:apply-templates select="did/*" mode="dsc_did_children">
							<xsl:with-param name="lv" select="number(substring(name(), 2, string-length(name())))"/>
							<xsl:with-param name="c01_ct" select="$c01_ct"/>
							<xsl:with-param name="agg_ct" select="number(1000 + $c01_ct)"/>
						</xsl:apply-templates>
						<xsl:apply-templates select="*[not(name()='did') and not(name()=$fixed_c_sl)]" mode="dsc_c_children">
							<xsl:with-param name="lv" select="number(substring(name(), 2, string-length(name())))"/>
						</xsl:apply-templates>

				</TBODY>
			</TABLE>
<!-- end c01 did/* and child::*[not(c02)] table -->

<!-- children = c02 -->
				<TABLE CELLSPACING="3" WIDTH="100%">

<!-- beg choose check preceding-sibling= thead -->
					<xsl:choose>
						<xsl:when 
							test="
								name(parent::dsc/*[number($p - 1)])='thead'
							"
						>
							<xsl:apply-templates 
								select="parent::dsc/*[number($p -1)]" 
								mode="thead_tabular_nodes"
							>
								<xsl:with-param name="nm_thead">THEAD</xsl:with-param>
							</xsl:apply-templates>
						</xsl:when>
						<xsl:otherwise>
							<xsl:apply-templates 
								select="parent::dsc/thead[1]" 
								mode="thead_tabular_nodes"
							>
								<xsl:with-param name="nm_thead">THEAD</xsl:with-param>
							</xsl:apply-templates>
						</xsl:otherwise>
					</xsl:choose>
<!-- end choose check for preceding-sibling='thead' -->
					<TBODY>
<!-- get colspec from EAD_SPECIAL_FA-1.XML -->
						<TR>
							<xsl:apply-templates select="
								document('ead_special_fa-1.xml')//division[
										@aggregate=$agg_x_c
									]/special_fa[
										@eadid=$special_eadid_x_tabular 
										and 
										@type='tabular_dsc'
									]/div/colspec
								" 
								mode="first_row"
							/>
						</TR>
<!-- C01 rows -->
<!-- apply-templates for xmlns.mew -->
<!-- no child::c02 or child::thead -->

						<xsl:apply-templates select="*[name()=$fixed_c_sl]" mode="dsc_c_child_component">
							<xsl:with-param name="agg_ct" select="number(1000 + $c01_ct)"/>
							<xsl:with-param name="tabular_c02">yes</xsl:with-param>
							<xsl:with-param name="unittitle_id_tabular_c01" select="$unittitle_id_tabular"/>
						</xsl:apply-templates>

				</TBODY>
			</TABLE>

<!-- [4] end when check document()//@level='series' -->
		</xsl:when>
		<xsl:otherwise>
<!-- [4] beg otherwise check document()//@level='subseries' -->
<!-- 
			This is not being pursued at the moment.
			I would like to create a cut off for children.
			The first child (slice) that is a suberies becomes
			the threshold for all fo:page-sequence division.
			A-symetrical heirarchies will not be transformed.
			Reports will have to be created or Error messages given 
			for subseries to be entertained in this package.
																												 -->
<!-- [4] end otherwise check document()//@level='subseries' -->
		</xsl:otherwise>
	</xsl:choose>
<!-- [4] end choose check document()//@level -->

<!-- [3] end when check @level='file' = false -->
		</xsl:otherwise>
	</xsl:choose>
<!-- [3] end choose check @level='file' -->

<!-- [2] end when check descendant::*[@id='xmlns.mew'] = true -->
		</xsl:when>
		<xsl:otherwise>
<!-- [2] begin otherwise check descendant::*[@id='xmlns.mew'] = false -->


<!-- c01[1] ???? -->
<!-- call DSC/* children first -->
<!-- set up table for c01 -->
	<P CLASS="breakmypage"></P>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>

<!-- empty marker -->

<!-- head -->
			<xsl:apply-templates select="head">
				<xsl:with-param name="high_did">yes</xsl:with-param>
			</xsl:apply-templates>

<!-- 
<xsl:text>
</xsl:text>
<ZZ x="{
				name(
					preceding-sibling::*[name()='c01' and parent::dsc]
				)
}"/> -->

	<xsl:if 
		test="
			string-length(
				name(
					preceding-sibling::*[name()='c01' and parent::dsc]
				)
			)=0
		"
	>

<!-- head -->
			<xsl:apply-templates select="parent::dsc/head">
				<xsl:with-param name="high_did">yes</xsl:with-param>
			</xsl:apply-templates>

<!-- children not(C01) -->
			<xsl:apply-templates select="
					parent::dsc/address | 
					parent::dsc/blockquote | 
					parent::dsc/chronlist | 
					parent::dsc/dsc | 
					parent::dsc/list | 
					parent::dsc/note | 
					parent::dsc/p | 
					parent::dsc/table | 
					parent::dsc/thead">
				<xsl:with-param name="get_names" select="$get_names"/>
			</xsl:apply-templates>
</xsl:if>

<!-- C01 Rows -->
<!-- regular table -->

			<TABLE CELLSPACING="3" WIDTH="100%">
				<THEAD>
					<TR>
						<TH ALIGN="left" VALIGN="top" COLSPAN="1">Container</TH>
						<TH ALIGN="left" VALIGN="top" COLSPAN="13">Contents</TH>
					</TR>
				</THEAD>
				<TBODY>
					<TR>
            <TD VALIGN="top" WIDTH="24%"></TD>
            <TD VALIGN="top" WIDTH="2%"></TD>
            <TD VALIGN="top" WIDTH="2%"></TD>
            <TD VALIGN="top" WIDTH="2%"></TD>
            <TD VALIGN="top" WIDTH="2%"></TD>
            <TD VALIGN="top" WIDTH="2%"></TD>
            <TD VALIGN="top" WIDTH="2%"></TD>
            <TD VALIGN="top" WIDTH="2%"></TD>
            <TD VALIGN="top" WIDTH="2%"></TD>
            <TD VALIGN="top" WIDTH="2%"></TD>
            <TD VALIGN="top" WIDTH="2%"></TD>
            <TD VALIGN="top" WIDTH="2%"></TD>
            <TD VALIGN="top" WIDTH="2%"></TD>
            <TD VALIGN="top" WIDTH="52%"></TD>
					</TR>
<!-- spacer row before series -->
						<TR>
							<TD VALIGN="top" COLSPAN="14"></TD>
						</TR>

						<xsl:apply-templates select="did/*" mode="dsc_did_children">
							<xsl:with-param name="lv" select="number(substring(name(), 2, string-length(name())))"/>
							<xsl:with-param name="c01_ct" select="$c01_ct"/>
							<xsl:with-param name="agg_ct" select="number(1000 + $c01_ct)"/>
						</xsl:apply-templates>
						<xsl:apply-templates select="*[not(name()='did') and not(name()=$fixed_c_sl)]" mode="dsc_c_children">
							<xsl:with-param name="lv" select="number(substring(name(), 2, string-length(name())))"/>
						</xsl:apply-templates>
						<xsl:apply-templates select="*[name()=$fixed_c_sl]" mode="dsc_c_child_component">
							<xsl:with-param name="agg_ct" select="number(1000 + $c01_ct)"/>
						</xsl:apply-templates>
				</TBODY>
			</TABLE>
<!-- [2] end otherwise check descendant::*[@id='xmlns.mew'] = false -->
	</xsl:otherwise>
</xsl:choose>
<!-- [2] end choose check descendant::*[@id='xmlns.mew'] -->

<!-- [1] end when check tabular = true -->
</xsl:when>
<xsl:otherwise>
<!-- [1] begin otherwise check tabular = false -->

<!-- C01 Rows -->
<!-- spacer row before series -->
						<TR>
							<TD VALIGN="top" COLSPAN="14"></TD>
						</TR>

						<xsl:apply-templates select="did/*" mode="dsc_did_children">
							<xsl:with-param name="lv" select="number(substring(name(), 2, string-length(name())))"/>
							<xsl:with-param name="c01_ct" select="$c01_ct"/>
							<xsl:with-param name="agg_ct" select="number(1000 + $c01_ct)"/>
						</xsl:apply-templates>
						<xsl:apply-templates select="*[not(name()='did') and not(name()=$fixed_c_sl)]" mode="dsc_c_children">
							<xsl:with-param name="lv" select="number(substring(name(), 2, string-length(name())))"/>
						</xsl:apply-templates>
						<xsl:apply-templates select="*[name()=$fixed_c_sl]" mode="dsc_c_child_component">
							<xsl:with-param name="agg_ct" select="number(1000 + $c01_ct)"/>
						</xsl:apply-templates>

<!-- [1] end otherwise check tabular = false -->
	</xsl:otherwise>
</xsl:choose>
<!-- [1] end choose check tabular -->
</xsl:template>

<xsl:template match="
		c02 | 
		c03 | 
		c04 | 
		c05 | 
		c06 | 
		c07 | 
		c08 | 
		c09 | 
		c10 | 
		c11 | 
		c12" 
 mode="dsc_c_child_component"
>
	<xsl:param name="desc_series_query"/>
	<xsl:param name="get_names"/>
	<xsl:param name="agg_ct"/>
	<xsl:param name="tabular_c02"/>
	<xsl:param name="unittitle_id_tabular_c01"/>
	<xsl:variable name="t" select="count(parent::*/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
<xsl:variable name="c_n_nm" select="number(substring(name(), 2, string-length(name()))) + 1"/>
<xsl:variable name="fixed_c_sl">
	<xsl:if test="string-length($c_n_nm)=1">
		<xsl:value-of select="concat('c0', $c_n_nm)"/>
	</xsl:if>
	<xsl:if test="string-length($c_n_nm)=2">
		<xsl:value-of select="concat('c', $c_n_nm)"/>
	</xsl:if>
</xsl:variable>
<xsl:variable name="unittitle_id_tabular" select="did/unittitle/@id"/>
<!-- <X fixed_c_sl="{$fixed_c_sl}" c_n_nm="{$c_n_nm}"/> -->

<!-- [1] begin choose check for tabular -->
<xsl:choose>
	<xsl:when test="string-length($special_eadid_x_tabular)!=0">
<!-- begin when check tabular = true -->
<!-- node-set code = ead_mdb_node-set.txt -->
<!-- DO NOT FORGET the DSC/* NODES = c01[1] -->

<!-- [2] begin choose check descendant::*[@id='xmlns.mew'] -->
	<xsl:choose>
		<xsl:when test="descendant::*[substring(@id, 1, 9)='xmlns.mew']">
<!-- begin when check descendant::*[@id='xmlns.mew'] = true -->


<!-- [3] begin choose check document()//@level='file' -->
	<xsl:choose>
		<xsl:when test="$special_eadid_x_tabular_file='file'">
<!-- [3] begin when check @level='file' = true -->

	<!-- see archdesc template -->

<!-- [3] end when check @level='file' = true -->
		</xsl:when>
		<xsl:otherwise>
<!-- [3] begin otherwise check @level='file' = false -->

<!-- current decision tree -->
<!-- [1] tabular = true -->
<!-- [2] descendants::*[@id='xmlns.mew'] = true -->
<!-- [3] document()//@level='file = false -->
<!-- Series?? -->

<!-- [4] beg choose check document()//@level -->
	<xsl:choose>
		<xsl:when test="$tabular_c02='yes'">
<!-- [4] beg when check document()//@level='series' -->

	<xsl:variable name="mew_number">
		<xsl:value-of 
			select="
				count(
					document('ead_special_fa-1.xml')//division[
						@aggregate=$agg_x_c
					]/special_fa[
							@eadid=$special_eadid_x_tabular 
							and 
							@type='tabular_dsc'
						]/div[
								@level='series' 
								and 
								@unittitle_id=$unittitle_id_tabular_c01
							]/colspec
				)
		"
		/>
	</xsl:variable>

	<TR>
		<xsl:call-template name="get_mew_cells">
			<xsl:with-param name="mew_number">1</xsl:with-param>
			<xsl:with-param name="mew_number_c" select="$mew_number"/>
		</xsl:call-template>
	</TR>

<!-- [4] end when check document()//@level='series' -->
		</xsl:when>
		<xsl:otherwise>
<!-- [4] beg otherwise check document()//@level='subseries' -->
<!-- 
			This is not being pursued at the moment.
			I would like to create a cut off for children.
			The first child (slice) that is a suberies becomes
			the threshold for all fo:page-sequence division.
			A-symetrical heirarchies will not be transformed.
			Reports will have to be created or Error messages given 
			for subseries to be entertained in this package.
																												 -->
<!-- [4] end otherwise check document()//@level='subseries' -->
		</xsl:otherwise>
	</xsl:choose>
<!-- [4] end choose check document()//@level -->

<!-- [3] end when check @level='file' = false -->
		</xsl:otherwise>
	</xsl:choose>
<!-- [3] end choose check @level='file' -->

<!-- [2] end when check descendant::*[@id='xmlns.mew'] = true -->
		</xsl:when>
		<xsl:otherwise>
<!-- [2] begin otherwise check descendant::*[@id='xmlns.mew'] = false -->

<!-- C0? Rows -->
						<xsl:apply-templates select="did/*" mode="dsc_did_children">
							<xsl:with-param name="lv" select="number(substring(name(), 2, string-length(name())))"/>
							<xsl:with-param name="c02_ct" select="number($p)"/>
							<xsl:with-param name="agg_ct" select="concat($agg_ct, number(1000 + $p))"/>
						</xsl:apply-templates>
						<xsl:apply-templates select="*[not(name()='did') and not(name()=$fixed_c_sl)]" mode="dsc_c_children">
							<xsl:with-param name="lv" select="number(substring(name(), 2, string-length(name())))"/>
						</xsl:apply-templates>
						<xsl:apply-templates select="*[name()=$fixed_c_sl]" mode="dsc_c_child_component">
							<xsl:with-param name="agg_ct" select="concat($agg_ct, number(1000 + $p))"/>
						</xsl:apply-templates>

<!-- [2] end otherwise check descendant::*[@id='xmlns.mew'] = false -->
	</xsl:otherwise>
</xsl:choose>
<!-- [2] end choose check descendant::*[@id='xmlns.mew'] -->

<!-- [1] end when check tabular = true -->
</xsl:when>
<xsl:otherwise>
<!-- [1] begin otherwise check tabular = false -->

<!-- C0? Rows -->
						<TR>
							<TD VALIGN="top" COLSPAN="14"></TD>
						</TR>

						<xsl:apply-templates select="did/*" mode="dsc_did_children">
							<xsl:with-param name="lv" select="number(substring(name(), 2, string-length(name())))"/>
							<xsl:with-param name="c02_ct" select="number($p)"/>
							<xsl:with-param name="agg_ct" select="concat($agg_ct, number(1000 + $p))"/>
						</xsl:apply-templates>
						<xsl:apply-templates select="*[not(name()='did') and not(name()=$fixed_c_sl)]" mode="dsc_c_children">
							<xsl:with-param name="lv" select="number(substring(name(), 2, string-length(name())))"/>
						</xsl:apply-templates>
						<xsl:apply-templates select="*[name()=$fixed_c_sl]" mode="dsc_c_child_component">
							<xsl:with-param name="agg_ct" select="concat($agg_ct, number(1000 + $p))"/>
						</xsl:apply-templates>

<!-- [1] end otherwise check tabular = false -->
	</xsl:otherwise>
</xsl:choose>
<!-- [1] end choose check tabular -->

</xsl:template>

<xsl:template match="dsc" mode="tabular_file_backout">
	<xsl:param name="desc_series_query"/>
	<xsl:variable name="get_names">
		<xsl:apply-templates select="*" mode="dsc_children_x"/>
	</xsl:variable>
<!-- $agg_x_c = 'ms' or 'mu', etc. -->
<!-- $special_eadid_x = '001001', etc. -->
	<xsl:variable name="p_orient">
		<xsl:variable 
			name="p_or_n" 
			select="
				translate(
					normalize-space(
						document('ead_special_fa-1.xml')//division[
								@aggregate=$agg_x_c
							]/special_fa[
								@eadid=$special_eadid_x_tabular 
								and 
								@type='tabular_dsc'
							]/div/@page_orientation
					), 
					'ABCDEFGHIJKLMNOPQRSTUVWXYZ', 
					'abcdefghijklmnopqrstuvwxyz'
				)
			"
		/>
		<xsl:if test="$p_or_n='portrait'">
			<xsl:text>front_matter</xsl:text>
		</xsl:if>
		<xsl:if test="$p_or_n='landscape'">
			<xsl:text>front_matter_land</xsl:text>
		</xsl:if>
	</xsl:variable>
<!-- call DSC/* children first -->
<!-- set up table for c01 -->
<!-- need landscape STYLE here -->
	<P CLASS="breakmypage"></P>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>

<!-- empty marker -->

<!-- head -->
			<xsl:apply-templates select="head">
				<xsl:with-param name="high_did">yes</xsl:with-param>
			</xsl:apply-templates>

<!-- children not(C01) -->
			<xsl:apply-templates select="
					address | 
					blockquote | 
					chronlist | 
					dsc | 
					list | 
					note | 
					p | 
					table | 
					thead">
				<xsl:with-param name="get_names" select="$get_names"/>
			</xsl:apply-templates>

<!-- children C01 -->
<!-- get colspec from EAD_SPECIAL_FA-1.XML -->

<!-- heading rows -->
<!-- get thead from dsc -->

<!-- C01 rows -->
<!-- apply-templates for xmlns.mew -->
<!-- no child::c02 or child::thead -->
				<TABLE CELLSPACING="3" WIDTH="100%">
					<xsl:apply-templates 
						select="thead" 
						mode="thead_tabular_nodes"
					/>
					<TBODY>
						<TR>
							<xsl:apply-templates select="
								document('ead_special_fa-1.xml')//division[
										@aggregate=$agg_x_c
									]/special_fa[
										@eadid=$special_eadid_x_tabular 
										and 
										@type='tabular_dsc'
									]/div/colspec
								" 
								mode="first_row"
							/>
						</TR>
<!-- C01 rows -->
						<xsl:apply-templates 
							select="c01" 
							mode="tabular_file_backout_c01"
						/>
				</TBODY>
			</TABLE>
</xsl:template>

<xsl:template match="c01" mode="tabular_file_backout_c01">
	<xsl:variable name="mew_number">
		<xsl:value-of 
			select="
				count(
					document('ead_special_fa-1.xml')//division[
						@aggregate=$agg_x_c
					]/special_fa[
							@eadid=$special_eadid_x_tabular 
							and 
							@type='tabular_dsc'
						]/div/colspec
				)
		"
		/>
	</xsl:variable>
	<TR>
		<xsl:call-template name="get_mew_cells">
			<xsl:with-param name="mew_number">1</xsl:with-param>
			<xsl:with-param name="mew_number_c" select="$mew_number"/>
		</xsl:call-template>
	</TR>
</xsl:template>

<xsl:template name="get_mew_cells">
	<xsl:param name="mew_number"/>
	<xsl:param name="mew_number_c"/>
		<xsl:choose>
			<xsl:when test="$mew_number &lt; $mew_number_c">
<!-- beg cell -->
				<TD>
<!-- n_4="{substring(@id, 11, 5)}" m_n="{$mew_number}" m_n_c="{$mew_number_c}" nm="{name()}" -->
<!-- begin block -->
					<xsl:apply-templates 
						select="
							descendant::*[
								substring(@id, 11, 5)=number($mew_number + 10000)
							]
						"
					>
						<xsl:with-param name="tabular_fo_list_item">yes</xsl:with-param>
					</xsl:apply-templates>
				</TD>
<!-- end cell -->
				<xsl:call-template name="get_mew_cells">
					<xsl:with-param name="mew_number" select="$mew_number + 1"/>
					<xsl:with-param name="mew_number_c" select="$mew_number_c"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
<!-- beg cell -->
				<TD>
<!-- n_4="{substring(@id, 11, 5)}" m_n="{$mew_number}" m_n_c="{$mew_number_c}" nm="{name()}" -->
					<xsl:apply-templates 
						select="
							descendant::*[
								substring(@id, 11, 5)=number($mew_number + 10000)
							]
						"
					>
						<xsl:with-param name="tabular_fo_list_item">yes</xsl:with-param>
					</xsl:apply-templates>
				</TD>
<!-- end cell -->
			</xsl:otherwise>
		</xsl:choose>
</xsl:template>

<xsl:template match="*" mode="dsc_did_children_x">
	<xsl:variable name="t" select="count(parent::*/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<xsl:value-of select="name()"/>
	<xsl:text>*</xsl:text>
	<xsl:value-of select="number(string-length(name())) + 1000"/>
	<xsl:text>%</xsl:text>
	<xsl:value-of select="number($p + 1000)"/>
	<xsl:text>;</xsl:text>
</xsl:template>


<xsl:template match="*[name()='thead']" mode="dsc_c_children">
</xsl:template>

<xsl:template match="*[not(name()='thead')]" mode="dsc_c_children">
	<xsl:param name="desc_series_query"/>
	<xsl:variable name="t" select="count(parent::*/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<xsl:variable name="lv">
		<xsl:value-of select="number(substring(name(parent::*), 2, string-length(name(parent::*))) + 1)"/>
	</xsl:variable>
<!-- table-row -->
	<TR>
		<TD VALIGN="top" COLSPAN="{number($lv)}">
<!-- marker -->
<!-- table-cell[1] -->
		</TD>
<!-- table-cell[2] -->
		<TD VALIGN="top" COLSPAN="{number(14 - $lv)}">
				<xsl:apply-templates select="parent::*/*[$p]">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</TD>
	</TR>
</xsl:template>

<xsl:template match="*[name()='head']" mode="dsc_did_children">
</xsl:template>

<xsl:template match="*[not(name()='head')]" mode="dsc_did_children">
	<xsl:param name="lv"/>
	<xsl:param name="desc_series_query"/>
	<xsl:param name="c01_ct"/>
	<xsl:param name="c02_ct"/>
	<xsl:param name="agg_ct"/>
	<xsl:param name="desc_series_toc_nix_container_x"/>
	<xsl:variable name="lv_n">
		<xsl:choose>
			<xsl:when test="name()='unittitle'">
				<xsl:number value="$lv"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="number($lv + 1)"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	<xsl:variable name="t" select="count(parent::did/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<xsl:variable name="dsc_did_children_pattern">
		<xsl:apply-templates select="parent::did/*" mode="dsc_did_children_x"/>
	</xsl:variable>
<!-- unittitle info -->
	<xsl:variable name="unittitle_x">
				<xsl:value-of 
					select="
						concat(
							'unittitle*1009%', 
							substring-before(
								substring-after(
									$dsc_did_children_pattern, 'unittitle*1009%'
								), 
								';'
							), 
							';'
						)
					"/>
	</xsl:variable>
<!-- children after unittitle -->
	<xsl:variable name="unittitle_a">
				<xsl:value-of 
					select="substring-after($dsc_did_children_pattern, $unittitle_x)"/>
	</xsl:variable>
<!-- children before unittitle -->
	<xsl:variable name="unittitle_b">
				<xsl:value-of 
					select="substring-before($dsc_did_children_pattern, $unittitle_x)"/>
	</xsl:variable>
	<xsl:variable name="physdesc_b">
		<xsl:choose>
			<xsl:when test="name()='physdesc'">
				<xsl:value-of 
					select="
						substring-before(
							$dsc_did_children_pattern, 
							concat('physdesc*1008%', number($p + 1000), ';')
						)"/>
			</xsl:when>
			<xsl:otherwise>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	<xsl:variable name="physdesc_x">
		<xsl:choose>
			<xsl:when test="name()='physdesc'">
				<xsl:value-of 
					select="concat('physdesc*1008%', number($p + 1000), ';')"/>
			</xsl:when>
			<xsl:otherwise>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
<!-- child container -->
	<xsl:variable name="container_x">
		<xsl:choose>
			<xsl:when test="name()='container'">
				<xsl:value-of 
					select="concat('container*1009%', number($p + 1000), ';')"/>
			</xsl:when>
			<xsl:otherwise>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
<!-- children after container -->
	<xsl:variable name="container_a">
		<xsl:choose>
			<xsl:when test="name()='container'">
				<xsl:value-of 
					select="substring-after($dsc_did_children_pattern, $container_x)"/>
			</xsl:when>
			<xsl:otherwise>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
<!-- child unitid -->
	<xsl:variable name="unitid_x">
		<xsl:choose>
			<xsl:when test="name()='unitid'">
				<xsl:value-of 
					select="concat('unitid*1006%', number($p + 1000), ';')"/>
			</xsl:when>
			<xsl:otherwise>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
<!-- children after unitid -->
	<xsl:variable name="unitid_a">
		<xsl:choose>
			<xsl:when test="name()='unitid'">
				<xsl:value-of 
					select="substring-after($dsc_did_children_pattern, $unitid_x)"/>
			</xsl:when>
			<xsl:otherwise>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
<!-- get number of first child unitid before physdesc -->
	<xsl:variable name="u_p-sb_p">
		<xsl:call-template name="check_a_unittitle_u">
			<xsl:with-param name="physdesc_b" select="$physdesc_b"/>
			<xsl:with-param name="z">1</xsl:with-param>
		</xsl:call-template>
	</xsl:variable>
<!-- get number of first child container before physdesc -->
	<xsl:variable name="c_p-sb_p">
		<xsl:call-template name="check_a_unittitle_c">
			<xsl:with-param name="physdesc_b" select="$physdesc_b"/>
			<xsl:with-param name="z">1</xsl:with-param>
		</xsl:call-template>
	</xsl:variable>
<!-- series id -->
<xsl:variable name="id_x_series">
		<xsl:value-of select="substring(ancestor::ead/eadheader/eadid[1], string-length(ancestor::ead/eadheader/eadid[1])-7, string-length(ancestor::ead/eadheader/eadid[1]))"/>
		<xsl:text>_</xsl:text>
		<xsl:value-of select="name(ancestor::*[@level='series'])"/>
		<xsl:text>_desc_series_target_</xsl:text>
		<xsl:text>CL</xsl:text>
		<xsl:value-of select="$agg_ct"/>
</xsl:variable>
<!-- subseries id -->
<xsl:variable name="id_x_subseries">
		<xsl:value-of select="substring(ancestor::ead/eadheader/eadid[1], string-length(ancestor::ead/eadheader/eadid[1])-7, string-length(ancestor::ead/eadheader/eadid[1]))"/>
		<xsl:text>_</xsl:text>
		<xsl:value-of select="name(ancestor::*[@level='subseries'][1])"/>
		<xsl:text>_desc_series_target_</xsl:text>
		<xsl:text>CL</xsl:text>
		<xsl:value-of select="$agg_ct"/>
</xsl:variable>

<!-- a) rogue = 'X' = true != pattern -->
<!-- b) rogue = '' = false = pattern -->

<!-- a) rogue = true -->
<!-- transform in cell [2] -->

<!-- b) rogue = false -->
<!-- container | unitid -->
<!-- check pattern preceding unittitle | physdesc -->
<!-- count back from unittitle | physdesc -->
<!-- get first locator element ( container | unitid ) -->
<!-- cell [1] = locator element ( container | unitid ) -->
<!-- cell [2]= unittitle | physdesc -->

		<xsl:variable name="rogue_unitid">
<!-- [1] begin choose check name()='unitid' -->
			<xsl:choose>
				<xsl:when test="name()='unitid'">
<!-- [1] begin choose check name()='unitid' = true -->
					<xsl:call-template name="check_a_container_1">
						<xsl:with-param name="container_a" select="$unitid_a"/>
						<xsl:with-param name="z">1</xsl:with-param>
					</xsl:call-template>
<!-- [1] end when check name()='unitid' = true -->
				</xsl:when>
				<xsl:otherwise>
<!-- [1] begin otherwise check name()='unitid' = false -->
<!-- [1] end otherwise check name()='unitid' = false -->
				</xsl:otherwise>
			</xsl:choose>
<!-- [1] end choose check name()='unitid' -->
		</xsl:variable>

		<xsl:variable name="rogue_container">
<!-- [1] begin choose check name()='container' -->
			<xsl:choose>
				<xsl:when test="name()='container'">
<!-- [1] begin when check name()='container' = true -->
					<xsl:call-template name="check_a_container_1">
						<xsl:with-param name="container_a" select="$container_a"/>
						<xsl:with-param name="z">1</xsl:with-param>
					</xsl:call-template>
<!-- [1] end when check name()='container' = true -->
				</xsl:when>
				<xsl:otherwise>
<!-- [1] begin otherwise check name()='container' = false -->
<!-- [1] end otherwise check name()='container' = false -->
				</xsl:otherwise>
			</xsl:choose>
<!-- [1] end choose check name()='container' -->
		</xsl:variable>

		<xsl:variable name="rogue_c_x">
			<xsl:choose>
				<xsl:when test="name()='container'">
					<xsl:value-of select="name()"/>
					<xsl:if test="string-length($rogue_container)!=0">
						<xsl:value-of select="$rogue_container"/>
					</xsl:if>
				</xsl:when>
				<xsl:otherwise>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>

		<xsl:variable name="rogue_u_x">
			<xsl:choose>
				<xsl:when test="name()='unitid'">
					<xsl:value-of select="name()"/>
					<xsl:if test="string-length($rogue_unitid)!=0">
						<xsl:value-of select="$rogue_unitid"/>
					</xsl:if>
				</xsl:when>
				<xsl:otherwise>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
<!-- 
				concat(
					name(), 
					substring-after($rogue_u_x, name())
				)=$rogue_u_x
				or 
				concat(
					name(), 
					substring-after($rogue_c_x, name())
				)=$rogue_c_x -->
<!-- 
<XRC nm="{name()}"/>
<xsl:if test="name()='container'">
<XRC_w x="{
				concat(
					name(), 
					substring-after($rogue_c_x, name())
				)
}"/>
<XRC st_rc="{$rogue_c_x}" rc="{$rogue_container}"/>
<XRC c_x="{$container_x}" c_a="{$container_a}"/>
</xsl:if>
<xsl:if test="name()='unitid'">
<XRC_w x="{
	concat(
		name(), 
		substring-after($rogue_u_x, name())
	)
}"/>
<XRC st_ru="{$rogue_u_x}" ru="{$rogue_unitid}"/>
<XRC u_x="{$unitid_x}" u_a="{$unitid_a}"/>
</xsl:if> -->

<!-- TR for *[$p=1 and parent::did/@id] -->
<xsl:if test="$p=1 and string-length($desc_series_query)=0">
	<xsl:if test="string-length(parent::did/@id)&gt;0">
		<TR>
			<TD COLSPAN="14">
				<xsl:apply-templates select="parent::did/@id">
					<xsl:with-param 
						name="desc_series_query" 
						select="$desc_series_query"
					/>
				</xsl:apply-templates>
			</TD>
		</TR>
	</xsl:if>
</xsl:if>

<!-- no TR for clean unitid or container -->
	<xsl:choose>
		<xsl:when 
			test="
				name()=$rogue_u_x
				or 
				name()=$rogue_c_x
			"
		>
<!-- if unitid and unitid is before unittitle -->
<!-- then this must be location info for physdesc -->
<!-- no independent cell[1]=empty cell[2]=node() -->
<!-- check here for lone unitid -->
<!-- could be unitid and container before unittitle -->
<!-- if unitid are before unittitle -->
<!-- if THIS unitid is after unittitle -->
<!-- if THIS unitid is not followed by physdesc -->
<!-- transform regular cell -->
		</xsl:when>
		<xsl:otherwise>
<!-- table-row -->
			<TR>
				<TD VALIGN="top" COLSPAN="{number($lv_n)}">
<xsl:if test="name()='unittitle' and parent::did[parent::c01[@level='series']] and string-length($desc_series_query)=0">
	<A name="{$id_x_series}">&#x20;</A>
</xsl:if>
<xsl:if test="name()='unittitle' and parent::did[parent::*[@level='subseries']] and string-length($desc_series_query)=0">
	<A name="{$id_x_subseries}">&#x20;</A>
</xsl:if>
<!-- marker -->
<!-- table-cell[1] -->
<!-- transform every child preceding * 'unitid' or 'container' -->
<!-- Lcpractices: NO MIXED 'unitid' and 'container' -->
						<xsl:if test="name()='unittitle'">
							<xsl:call-template name="check_b_unittitle">
								<xsl:with-param name="p" select="number($p)"/>
								<xsl:with-param name="z">1</xsl:with-param>
								<xsl:with-param 
									name="desc_series_toc_nix_container_x" 
									select="$desc_series_toc_nix_container_x"
								/>
								<xsl:with-param 
									name="desc_series_query" 
									select="$desc_series_query"
								/>

							</xsl:call-template>
						</xsl:if>
						<xsl:if test="name()='physdesc'">
<!-- 2 if -->
<!-- i) if name()= unittitle_b and name()='container' -->
<!-- ii) if name()= unittitle_b and name()='unitid' -->

<!-- there could be a unitid before physdesc NOT before unittitle -->
							<xsl:if 
								test="
									name(parent::did/*[number($p -1)])='unitid'
								"
							>
<!-- get number of first child unitid before physdesc -->

<!-- check children begin -->
<!-- 
<xsl:variable name="st_p-sb" select="substring($physdesc_b, string-length($physdesc_b) -6, 1)"/>
	<xsl:text>&#xA;</xsl:text>
	<X_C 
		p="{$p}" 
		physdesc_x="{$physdesc_x}" 
		physdesc_b="{$physdesc_b}" 
		did_pattern="{$dsc_did_children_pattern}"
	/>
	<xsl:text>&#xA;</xsl:text>
	<X_C1 
		unittitle_x="{$unittitle_x}" 
		unittitle_a="{$unittitle_a}" 
		unittitle_b="{$unittitle_b}"
	/>
	<xsl:text>&#xA;</xsl:text>
	<X_Ca 
		x_st="{number(substring($physdesc_b, string-length($physdesc_b) -9, 4) - 1000)}"
		x_nm="{substring($physdesc_b, string-length($physdesc_b) -4, 4)}" 
		x_child="{substring($physdesc_b, string-length($physdesc_b) - number(10 + $st_p-sb), $st_p-sb)}" 
		x_p-sb="{substring($physdesc_b, string-length($physdesc_b) - number(10 + $st_p-sb), number(10 + $st_p-sb +1))}"
	/> -->
<!-- check children end -->
<!-- 
<xsl:text>&#xA;</xsl:text>
<X_Cb u_p-sb_p="{$u_p-sb_p}"/> -->
<!-- apply-templates select=*[number($x)] &lt; $p -->
								<xsl:call-template name="cell_2_physdesc">
									<xsl:with-param name="x" select="$u_p-sb_p"/>
									<xsl:with-param name="p" select="$p"/>
									<xsl:with-param 
										name="desc_series_query" 
										select="$desc_series_query"
									/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if 
								test="
									name(parent::did/*[number($p -1)])='container'
								"
							>
<!-- get number of first child container before physdesc -->

<!-- check node -->
<!-- 
<xsl:text>&#xA;</xsl:text>
<X_Cb c_p-sb_p="{$c_p-sb_p}"/> -->
<!-- apply-templates select=*[number($x)] &lt; $p -->
								<xsl:call-template name="cell_2_physdesc">
									<xsl:with-param name="x" select="$c_p-sb_p"/>
									<xsl:with-param name="p" select="$p"/>
									<xsl:with-param 
										name="desc_series_query" 
										select="$desc_series_query"
									/>
								</xsl:call-template>
							</xsl:if>
						</xsl:if>
					</TD>
<!-- table-cell[2] -->
					<TD VALIGN="top" COLSPAN="{number(14 - $lv_n)}">
<!-- if unittitle or physdesc -->
<!-- otherwise normal cell[2] -->
<xsl:choose>
	<xsl:when 
		test="
			name()='unittitle' 
			or 
			name()='physdesc' 
			or 
			name()='container' 
			or 
			name()='unitid'
		"
	>

<!-- if unittitle -->
<!-- Gate for special unitid in unittitle table -->
<!-- when 'unitid' and eadid = 'ms00X00X' -->
	<xsl:if test="name()='unittitle'">
		<xsl:choose>
			<xsl:when 
				test="
					string-length($special_eadid_x_unitid)!=0 
					and 
					contains($unittitle_b, 'unitid*1006%') 
					and 
					string-length($desc_series_toc_nix_container_x)=0
				">
<!-- when eadid is ms00X00X -->
<!-- call unitid b_unittitle -->
<!-- get number of unitid before unittitle -->
				<xsl:variable name="n_unitid_b_unittitle">
					<xsl:call-template name="check_b_unittitle_ct">
						<xsl:with-param name="p" select="number($p)"/>
						<xsl:with-param name="z">1</xsl:with-param>
					</xsl:call-template>
				</xsl:variable>
<!-- call unittitle -->
<!-- new table -->
				<TABLE WIDTH="100%" CELLSPACING="0" CELLPADDING="0">
					<TR>
<!-- unitid cells -->
							<xsl:call-template name="check_b_unittitle_w_unittitle">
								<xsl:with-param name="p" select="number($p)"/>
								<xsl:with-param name="z">1</xsl:with-param>
								<xsl:with-param 
									name="desc_series_toc_nix_container_x" 
									select="$desc_series_toc_nix_container_x"
								/>
								<xsl:with-param 
									name="desc_series_query" 
									select="$desc_series_query"
								/>
							</xsl:call-template>
<!-- unittitle cell -->
<!-- <X_td n="{$n_unitid_b_unittitle}"/> -->
						<TD VALIGN="top" WIDTH="{100 - number(30 * number(string-length($n_unitid_b_unittitle)))}%">
<!-- Special transformation of cell[2] -->
				<xsl:choose>
					<xsl:when test="parent::did[parent::*[@level='series']] or parent::did[parent::*[@level='subseries']]">
<!-- series -->
						<xsl:if test="parent::did[parent::*[@level='series']]">
							<H3>
								<xsl:apply-templates select="parent::did/*[$p]">
									<xsl:with-param name="desc_series_query" select="$desc_series_query"/>
									<xsl:with-param name="c01_ct" select="$c01_ct"/>
									<xsl:with-param name="id_x_series" select="$id_x_series"/>
									<xsl:with-param name="id_x_subseries" select="$id_x_subseries"/>
								</xsl:apply-templates>
							</H3>
						</xsl:if>
<!-- subseries -->
						<xsl:if test="parent::did[parent::*[@level='subseries']]">
							<B>
								<xsl:apply-templates select="parent::did/*[$p]">
									<xsl:with-param name="desc_series_query" select="$desc_series_query"/>
									<xsl:with-param name="id_x_series" select="$id_x_series"/>
									<xsl:with-param name="id_x_subseries" select="$id_x_subseries"/>
								</xsl:apply-templates>
							</B>
						</xsl:if>
					</xsl:when>
					<xsl:otherwise>
						<xsl:apply-templates select="parent::did/*[$p]">
							<xsl:with-param 
								name="desc_series_query" 
								select="$desc_series_query"
							/>
						</xsl:apply-templates>
					</xsl:otherwise>
				</xsl:choose>

						</TD>
					</TR>
				</TABLE>
				</xsl:when>
				<xsl:otherwise>
<!-- not special unittitle cell[2] -->

<!-- Regular transformation of cell[2] -->
				<xsl:choose>
					<xsl:when test="parent::did[parent::*[@level='series']] or parent::did[parent::*[@level='subseries']]">
<!-- series -->
						<xsl:if test="parent::did[parent::*[@level='series']]">
							<H3>
								<xsl:apply-templates select="parent::did/*[$p]">
									<xsl:with-param name="desc_series_query" select="$desc_series_query"/>
									<xsl:with-param name="c01_ct" select="$c01_ct"/>
									<xsl:with-param name="id_x_series" select="$id_x_series"/>
									<xsl:with-param name="id_x_subseries" select="$id_x_subseries"/>
								</xsl:apply-templates>
							</H3>
						</xsl:if>
<!-- subseries -->
						<xsl:if test="parent::did[parent::*[@level='subseries']]">
							<B>
								<xsl:apply-templates select="parent::did/*[$p]">
									<xsl:with-param name="desc_series_query" select="$desc_series_query"/>
									<xsl:with-param name="id_x_series" select="$id_x_series"/>
									<xsl:with-param name="id_x_subseries" select="$id_x_subseries"/>
								</xsl:apply-templates>
							</B>
						</xsl:if>
					</xsl:when>
					<xsl:otherwise>
						<xsl:apply-templates select="parent::did/*[$p]">
							<xsl:with-param 
								name="desc_series_query" 
								select="$desc_series_query"
							/>
						</xsl:apply-templates>
					</xsl:otherwise>
				</xsl:choose>
				</xsl:otherwise>
			</xsl:choose>
	</xsl:if>
	<xsl:if test="name()='physdesc'">
<!-- Gate for special unitid in physdesc table -->
<!-- when 'unitid' and eadid = 'ms00X00X' -->
				<xsl:variable name="n_unitid_b_physdesc">
					<xsl:call-template name="check_a_unittitle_ct">
						<xsl:with-param name="physdesc_b" select="$physdesc_b"/>
						<xsl:with-param name="z">1</xsl:with-param>
					</xsl:call-template>
				</xsl:variable>
<!-- check the special problem -->
<!-- 
<PP 
		sl_eadid="{string-length($special_eadid_x_unitid)}" 
		unittitle_b="{$unittitle_b}" 
		sl_n_unitid_b_p="{string-length($n_unitid_b_physdesc)}" 
		n_u_b_p="{$n_unitid_b_physdesc}"
/> -->

		<xsl:choose>
			<xsl:when 
				test="
					string-length($special_eadid_x_unitid)!=0 
					and 
					string-length($n_unitid_b_physdesc)!=0
				">
<!-- original test -->
<!-- 
					string-length($special_eadid_x_unitid)!=0 
					and 
					contains($unittitle_b, 'unitid*1006%')
					and 
					string-length($n_unitid_b_physdesc)!=0 -->

<!-- when eadid is ms00X00X -->
<!-- get number of unitid before physdesc -->

<!-- <X n_unitid_b_physdesc="{$n_unitid_b_physdesc}"/> -->
<!-- call unittitle -->
<!-- new table -->
					<TABLE WIDTH="100%" CELLSPACING="0" CELLPADDING="0">
<!-- unitid cells -->
						<TR>
							<xsl:call-template name="cell_2_physdesc_w_unitid">
								<xsl:with-param name="x" select="$u_p-sb_p"/>
								<xsl:with-param name="p" select="$p"/>
								<xsl:with-param 
									name="desc_series_query" 
									select="$desc_series_query"
								/>
							</xsl:call-template>
<!-- unittitle cell -->
							<TD VALIGN="top" WIDTH="{100 - number(30 * number(string-length($n_unitid_b_physdesc)))}%">
<!-- Special transformation of cell[2] -->
								<xsl:apply-templates select="parent::did/*[$p]">
									<xsl:with-param 
										name="desc_series_query" 
										select="$desc_series_query"
									/>
								</xsl:apply-templates>
							</TD>
						</TR>
					</TABLE>
				</xsl:when>
				<xsl:otherwise>
<!-- not special physdesc cell[2] -->
					<xsl:apply-templates select="parent::did/*[$p]">
						<xsl:with-param 
							name="desc_series_query" 
							select="$desc_series_query"
						/>
					</xsl:apply-templates>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
<!-- if name= 'container' -->
<!-- check to see if this container is not in the patterns -->
<!-- if not in patterns above, output as descriptive information -->
<!-- output in TD[2] just like a unitid -->
	<xsl:if test="name()='container'">
<!-- container in pattern or not -->
<!-- 
<X_rc rc="{$rogue_container}"/>
<X_rc container_a="{$container_a}"/>
<X_rc dsc_did_children_pattern="{$dsc_did_children_pattern}"/> -->
				<xsl:apply-templates select="parent::did/*[$p]">
					<xsl:with-param 
						name="desc_series_query" 
						select="$desc_series_query"
					/>
					<xsl:with-param name="dsc_did_cell_2">yes</xsl:with-param>
				</xsl:apply-templates>
	</xsl:if>
<!-- if name= 'unitid' -->
<!-- check to see if this unitid is not in the patterns -->
<!-- if not in patterns above, output as descriptive information -->
<!-- output in TD[2] just like a unitid -->
	<xsl:if test="name()='unitid'">
<!-- container in pattern or not -->
<!-- 
<X_rc rc="{$rogue_container}"/>
<X_rc container_a="{$container_a}"/>
<X_rc dsc_did_children_pattern="{$dsc_did_children_pattern}"/> -->
				<xsl:apply-templates select="parent::did/*[$p]">
					<xsl:with-param 
						name="desc_series_query" 
						select="$desc_series_query"
					/>
					<xsl:with-param name="dsc_did_cell_2">yes</xsl:with-param>
				</xsl:apply-templates>
	</xsl:if>

	</xsl:when>
<xsl:otherwise>
<!-- not unittitle or physdesc or container or unitid -->
					<xsl:apply-templates select="parent::did/*[$p]">
						<xsl:with-param 
							name="desc_series_query" 
							select="$desc_series_query"
						/>
					</xsl:apply-templates>
</xsl:otherwise>
</xsl:choose>


<!-- bottom of regular cell[2] -->
				</TD>
			</TR>
<!-- spacer after unittitle -->

		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<!-- get precding siblings before unittitle -->
<xsl:template name="check_b_unittitle">
	<xsl:param name="p"/>
	<xsl:param name="z"/>
	<xsl:param name="desc_series_toc_nix_container_x"/>
	<xsl:param name="desc_series_query"/>
	<xsl:choose>
		<xsl:when test="$z&lt;$p">
<!-- 
<xsl:text>&#xA;</xsl:text>
<X p="{$p}" z="{$z}" nm="{name(parent::*/*[$z])}" pt="{name(parent::*)}" id="{parent::did/@id}"/> -->
<!-- <xsl:value-of select="name(parent::*/*[$z])"/>
<xsl:text> XXX_hi_XXX </xsl:text>
<xsl:value-of select="parent::*/*[$z]"/> -->
<!-- SPECIAL CHOOSE for ms003030 -->
<xsl:choose>
	<xsl:when 
		test="
			string-length($special_eadid_x_unitid)!=0 
			and 
			name(parent::did/*[number($z)])='unitid'
		"
	>
	</xsl:when>
	<xsl:otherwise>
<!-- exclude BR if ms003030 -->
<!-- 
		<xsl:if test="$eadid_x!='ms001004'">
			<xsl:if test="
				name(parent::did/*[number($z -1)])='unitid'">
					<BR/>
			</xsl:if>
		</xsl:if>
		<xsl:if test="
			name(parent::did/*[number($z -1)])='container'">
				<BR/>
		</xsl:if> -->
		<xsl:apply-templates select="parent::did/*[number($z)]">
			<xsl:with-param 
				name="desc_series_toc_nix_container_x" 
				select="$desc_series_toc_nix_container_x"
			/>
			<xsl:with-param 
				name="desc_series_query" 
				select="$desc_series_query"
			/>
			<xsl:with-param name="dsc_did_head">yes</xsl:with-param>
		</xsl:apply-templates>
	</xsl:otherwise>
</xsl:choose>
			<xsl:call-template name="check_b_unittitle">
				<xsl:with-param name="p" select="$p"/>
				<xsl:with-param name="z" select="number($z + 1)"/>
				<xsl:with-param 
					name="desc_series_toc_nix_container_x" 
					select="$desc_series_toc_nix_container_x"
				/>
				<xsl:with-param 
					name="desc_series_query" 
					select="$desc_series_query"
				/>
			</xsl:call-template>
		</xsl:when>
		<xsl:otherwise>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<!-- special template for new table in cell[2] -->
<xsl:template name="check_b_unittitle_w_unittitle">
	<xsl:param name="p"/>
	<xsl:param name="z"/>
	<xsl:param name="desc_series_toc_nix_container_x"/>
	<xsl:param name="desc_series_query"/>
	<xsl:choose>
		<xsl:when test="$z&lt;$p">
<!-- <xsl:text>&#xA;</xsl:text> -->
<!-- <X p="{$p}" z="{$z}" nm="{name(parent::*/*[$z])}" pt="{name(parent::*)}" id="{parent::did/@id}"/> -->
<!-- <xsl:value-of select="name(parent::*/*[$z])"/>
<xsl:text> XXX_hi_XXX </xsl:text>
<xsl:value-of select="parent::*/*[$z]"/> -->
<!-- SPECIAL CHOOSE for ms003030 -->
<xsl:choose>
	<xsl:when 
		test="
			string-length($special_eadid_x_unitid)!=0 
			and 
			name(parent::did/*[number($z)])='unitid'
		"
	>
		<xsl:apply-templates select="parent::did/*[number($z)]">
			<xsl:with-param name="special_unittitle_cell">yes</xsl:with-param>
				<xsl:with-param 
					name="desc_series_toc_nix_container_x" 
					select="$desc_series_toc_nix_container_x"
				/>
				<xsl:with-param 
					name="desc_series_query" 
					select="$desc_series_query"
				/>
			<xsl:with-param name="dsc_did_head">yes</xsl:with-param>
		</xsl:apply-templates>
	</xsl:when>
	<xsl:otherwise>
<!-- exclude BR if ms003030 -->
	</xsl:otherwise>
</xsl:choose>
			<xsl:call-template name="check_b_unittitle_w_unittitle">
				<xsl:with-param name="p" select="$p"/>
				<xsl:with-param name="z" select="number($z + 1)"/>
				<xsl:with-param 
					name="desc_series_toc_nix_container_x" 
					select="$desc_series_toc_nix_container_x"
				/>
				<xsl:with-param 
					name="desc_series_query" 
					select="$desc_series_query"
				/>
			</xsl:call-template>
		</xsl:when>
		<xsl:otherwise>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<!-- special template for new table in cell[2] -->
<!-- count untid before unittitle -->
<xsl:template name="check_b_unittitle_ct">
	<xsl:param name="p"/>
	<xsl:param name="z"/>
	<xsl:choose>
		<xsl:when test="$z&lt;$p">
<!-- 
<xsl:text>&#xA;</xsl:text>
<X p="{$p}" z="{$z}" nm="{name(parent::*/*[$z])}" pt="{name(parent::*)}" id="{parent::did/@id}"/> -->
<!-- <xsl:value-of select="name(parent::*/*[$z])"/>
<xsl:text> XXX_hi_XXX </xsl:text>
<xsl:value-of select="parent::*/*[$z]"/> -->
<!-- get if unitid only -->
<xsl:choose>
	<xsl:when test="name(parent::did/*[number($z)])='unitid'">
		<xsl:text>X</xsl:text>
	</xsl:when>
	<xsl:otherwise>
	</xsl:otherwise>
</xsl:choose>
			<xsl:call-template name="check_b_unittitle_ct">
				<xsl:with-param name="p" select="$p"/>
				<xsl:with-param name="z" select="number($z + 1)"/>
			</xsl:call-template>
		</xsl:when>
		<xsl:otherwise>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="cell_2_physdesc">
	<xsl:param name="x"/>
	<xsl:param name="p"/>
	<xsl:param name="desc_series_query"/>
	<xsl:choose>
		<xsl:when test="$x&lt;$p">
<!-- 
<xsl:if test="
	name(parent::did/*[number($x -1)])='unitid' 
	or 
	name(parent::did/*[number($x -1)])='container'
">
				<BR/>
</xsl:if> -->
<xsl:choose>
	<xsl:when 
		test="
			string-length($special_eadid_x_unitid)!=0 
			and 
			name(parent::did/*[number($x)])='unitid'
		"
	>
	</xsl:when>
	<xsl:otherwise>
		<xsl:apply-templates select="parent::did/*[number($x)]">
			<xsl:with-param 
				name="desc_series_query" 
				select="$desc_series_query"
			/>
			<xsl:with-param name="dsc_did_head">yes</xsl:with-param>
		</xsl:apply-templates>
	</xsl:otherwise>
</xsl:choose>
			<xsl:call-template name="cell_2_physdesc">
				<xsl:with-param name="x" select="number($x + 1)"/>
				<xsl:with-param name="p" select="$p"/>
				<xsl:with-param 
					name="desc_series_query" 
					select="$desc_series_query"
				/>
			</xsl:call-template>
		</xsl:when>
		<xsl:otherwise>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="cell_2_physdesc_w_unitid">
	<xsl:param name="x"/>
	<xsl:param name="p"/>
	<xsl:param name="desc_series_query"/>
	<xsl:choose>
		<xsl:when test="$x&lt;$p">
<!-- 
<xsl:if test="
	name(parent::did/*[number($x -1)])='unitid' 
	or 
	name(parent::did/*[number($x -1)])='container'
">
				<BR/>
</xsl:if> -->
<xsl:choose>
	<xsl:when 
		test="
			string-length($special_eadid_x_unitid)!=0 
			and 
			name(parent::did/*[number($x)])='unitid'
		"
	>
		<xsl:apply-templates select="parent::did/*[number($x)]">
			<xsl:with-param name="special_unittitle_cell">yes</xsl:with-param>
			<xsl:with-param 
				name="desc_series_query" 
				select="$desc_series_query"
			/>
			<xsl:with-param name="dsc_did_head">yes</xsl:with-param>
		</xsl:apply-templates>
	</xsl:when>
	<xsl:otherwise>
<!-- exclude BR if ms003030 -->
	</xsl:otherwise>
</xsl:choose>
			<xsl:call-template name="cell_2_physdesc_w_unitid">
				<xsl:with-param name="x" select="number($x + 1)"/>
				<xsl:with-param name="p" select="$p"/>
				<xsl:with-param 
					name="desc_series_query" 
					select="$desc_series_query"
				/>
			</xsl:call-template>
		</xsl:when>
		<xsl:otherwise>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<!-- counting unitid before physdesc -->
<xsl:template name="check_a_unittitle_ct">
	<xsl:param name="physdesc_b"/>
	<xsl:param name="z"/>
<!-- check one name before string at 'physdesc%xxxx;' -->
<!-- if 'unitid' -->
	<xsl:variable name="st_p-sb" select="number(substring($physdesc_b, string-length($physdesc_b) -9, 4)) - 1000"/>
	<xsl:variable name="number_p-sb" select="substring($physdesc_b, string-length($physdesc_b) -4, 4)"/>
	<xsl:variable name="name_p-sb" select="substring($physdesc_b, string-length($physdesc_b) - number(10 + $st_p-sb), $st_p-sb)"/>
	<xsl:variable name="nn_p-sb" select="substring($physdesc_b, string-length($physdesc_b) - number(10 + $st_p-sb), number(10 + $st_p-sb +1))"/>
	<xsl:choose>
		<xsl:when test="$name_p-sb='unitid'">
<xsl:text>X</xsl:text>
			<xsl:call-template name="check_a_unittitle_ct">
				<xsl:with-param name="physdesc_b" select="substring-before($physdesc_b, $nn_p-sb)"/>
				<xsl:with-param name="z" select="$number_p-sb"/>
			</xsl:call-template>
		</xsl:when>
		<xsl:otherwise>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="check_a_unittitle_c">
	<xsl:param name="physdesc_b"/>
	<xsl:param name="z"/>
<!-- check one name before string at 'physdesc%xxxx;' -->
<!-- if 'container' -->
<!-- take number -->
<!-- loop --> 
	<xsl:variable name="st_p-sb" select="number(substring($physdesc_b, string-length($physdesc_b) -9, 4)) - 1000"/>
	<xsl:variable name="number_p-sb" select="substring($physdesc_b, string-length($physdesc_b) -4, 4)"/>
	<xsl:variable name="name_p-sb" select="substring($physdesc_b, string-length($physdesc_b) - number(10 + $st_p-sb), $st_p-sb)"/>
	<xsl:variable name="nn_p-sb" select="substring($physdesc_b, string-length($physdesc_b) - number(10 + $st_p-sb), number(10 + $st_p-sb +1))"/>
	<xsl:choose>
		<xsl:when test="$name_p-sb='container'">
			<xsl:call-template name="check_a_unittitle_c">
				<xsl:with-param name="physdesc_b" select="substring-before($physdesc_b, $nn_p-sb)"/>
				<xsl:with-param name="z" select="$number_p-sb"/>
			</xsl:call-template>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="number($z - 1000)"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="check_a_unittitle_u">
	<xsl:param name="physdesc_b"/>
	<xsl:param name="z"/>
<!-- check one name before string at 'physdesc%xxxx;' -->
<!-- if 'unitid' -->
	<xsl:variable name="st_p-sb" select="number(substring($physdesc_b, string-length($physdesc_b) -9, 4)) - 1000"/>
	<xsl:variable name="number_p-sb" select="substring($physdesc_b, string-length($physdesc_b) -4, 4)"/>
	<xsl:variable name="name_p-sb" select="substring($physdesc_b, string-length($physdesc_b) - number(10 + $st_p-sb), $st_p-sb)"/>
	<xsl:variable name="nn_p-sb" select="substring($physdesc_b, string-length($physdesc_b) - number(10 + $st_p-sb), number(10 + $st_p-sb +1))"/>
	<xsl:choose>
		<xsl:when test="$name_p-sb='unitid' or $name_p-sb='container'">
<!-- check for unitid or container -->
<!-- if container send to check_a_unittitle_c -->
<!-- do not process any siblings before container(s) -->
<!-- if unitid loop again -->
<xsl:if test="$name_p-sb='unitid'">
			<xsl:call-template name="check_a_unittitle_u">
				<xsl:with-param name="physdesc_b" select="substring-before($physdesc_b, $nn_p-sb)"/>
				<xsl:with-param name="z" select="$number_p-sb"/>
			</xsl:call-template>
</xsl:if>
<xsl:if test="$name_p-sb='container'">
			<xsl:call-template name="check_a_unittitle_c">
				<xsl:with-param name="physdesc_b" select="substring-before($physdesc_b, $nn_p-sb)"/>
				<xsl:with-param name="z" select="$number_p-sb"/>
			</xsl:call-template>
</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="number($z - 1000)"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="check_a_container_1">
	<xsl:param name="container_a"/>
	<xsl:param name="z"/>
<!-- check one name after string at 'container%xxxx;' -->
<!-- unitid*1006%1007; -->
<!-- 'name(), *, st(name), %, ct(did::child), ;' -->
	<xsl:variable name="st_1"
		select="concat(substring-before($container_a, ';'), ';')"/>
	<xsl:variable name="st_p-sb" 
		select="substring-before(substring-after($st_1, '*'), '%')"/>
	<xsl:variable 
		name="number_p-sb" 
		select="substring-before(substring-after($st_1, '%'), ';')"/>
	<xsl:variable name="name_p-sb" select="substring-before($st_1, '*')"/>
<!-- 
<X_rc_c st_p-sb="{$st_p-sb}"/>
<X_rc_c number_p-sb="{$number_p-sb}"/>
<X_rc_c name_p-sb="{$name_p-sb}"/>
<X_rc_c st_1="{$st_1}"/> -->
	<xsl:choose>
		<xsl:when 
			test="
				$name_p-sb='container' 
				or 
				$name_p-sb='unitid' 
				or 
				$name_p-sb='unittitle' 
				or 
				$name_p-sb='physdesc' 
				or 
				string-length($container_a)=0
			"
		>
<xsl:if test="$name_p-sb='container'">
			<xsl:call-template name="check_a_container_1">
				<xsl:with-param name="container_a" select="substring-after($container_a, ';')"/>
				<xsl:with-param name="z" select="$number_p-sb"/>
			</xsl:call-template>
</xsl:if>
<xsl:if test="$name_p-sb='unitid'">
			<xsl:call-template name="check_a_container_1">
				<xsl:with-param name="container_a" select="substring-after($container_a, ';')"/>
				<xsl:with-param name="z" select="$number_p-sb"/>
			</xsl:call-template>
</xsl:if>
<xsl:if test="$name_p-sb='unittitle'">
</xsl:if>
<xsl:if test="$name_p-sb='physdesc'">
</xsl:if>
<xsl:if test="string-length($container_a)=0">
	<xsl:text>X</xsl:text>
</xsl:if>
	</xsl:when>
		<xsl:otherwise>
<xsl:text>X</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<!-- EAD/EADHEADER/ARCHDESC/DID -->
<xsl:template match="did[parent::archdesc]">
	<xsl:param name="desc_series_query"/>
	<!-- children only -->
		<!-- head; -->
		<!-- abstract; container; langmaterial; materialspec; -->
		<!-- origination; physdesc; physloc; repository; -->
		<!-- unidate; unitid; unittitle; -->
		<!-- note; -->
		<!-- dao; daogrp; -->
		<!-- @id; -->
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
			<xsl:apply-templates select="
				*[
						not(name()='dao') 
						and 
						not(name()='daogrp') 
						and 
						not(name()='note')
					]
			">
				<xsl:with-param name="high_did">yes</xsl:with-param>
			</xsl:apply-templates>
			<xsl:apply-templates select="note">
				<xsl:with-param name="high_did">yes</xsl:with-param>
			</xsl:apply-templates>
			<xsl:apply-templates select="daogrp | dao">
				<xsl:with-param name="high_did">yes</xsl:with-param>
			</xsl:apply-templates>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<!-- EAD/EADHEADER/ARCHDESC/DESCGRP -->
<xsl:template match="descgrp">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:param name="break_x_a"/>
	<xsl:param name="break_x_b"/>
	<!-- children only -->
		<!-- head; -->
		<!-- accessrestrict; accruals; acqinfo; altformavail; appraisal; -->
		<!-- custodhist; originalsloc; -->
		<!-- phystech; prefercite; processinfo; userestrict; -->
	<!-- ADD children possible -->
		<!-- relatedmaterial; separatedmaterial; -->
		<!-- bibliography; fileplan; index; odd; otherfindaid; -->
	<!-- children NO template -->
		<!-- descgrp; -->
		<!-- address; note; blockquote; p; -->
		<!-- chronlist; list; table; -->
		<!-- controlaccess; -->
	<!-- @id; @type; -->
	<xsl:variable name="t" select="count(parent::*/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<xsl:variable name="child_x">
		<xsl:value-of select="
			concat(
				name(), 
				'*', 
				number(string-length(name())) + 1000, 
				'%', 
				number($p + 1000), 
				';'
			)
		"/>
	</xsl:variable>
		<xsl:if test="$break_x_a=$child_x">
			<P CLASS="breakmypage"></P>
		</xsl:if>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="parent::odd or ancestor::dsc or parent::descgrp[child::head]">
				<xsl:apply-templates select="*">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="*">
					<xsl:with-param name="high_did">yes</xsl:with-param>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<!-- ODD -->
<xsl:template match="odd">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:param name="break_x_a"/>
	<xsl:param name="break_x_b"/>
	<xsl:variable name="t" select="count(parent::*/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<xsl:variable name="child_x">
		<xsl:value-of select="
			concat(
				name(), 
				'*', 
				number(string-length(name())) + 1000, 
				'%', 
				number($p + 1000), 
				';'
			)
		"/>
	</xsl:variable>
		<xsl:if test="$break_x_a=$child_x">
			<P CLASS="breakmypage"></P>
		</xsl:if>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="parent::odd or ancestor::dsc or parent::descgrp[child::head]">
				<xsl:apply-templates select="*">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="*">
					<xsl:with-param name="high_did">yes</xsl:with-param>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>


<!-- children of ARCHDESC or DESCGRP -->
<!-- DESCGRP[@TYPE='admininfo'] -->
	<!-- accessrestrict; accruals; acqinfo; altformavail; appraisal; -->
	<!-- custodhist; originalsloc; -->
	<!-- phystech; prefercite; processinfo; userestrict; -->

<xsl:template match="accessrestrict">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:param name="break_x_a"/>
	<xsl:param name="break_x_b"/>
	<!-- children only -->
		<!-- head; -->
		<!-- accessrestrict; -->
		<!-- legalstatus; (only parent) -->
		<!-- address; blockquote; note; p; -->
		<!-- chronlist; list; table; -->
		<!-- @id; @type; -->
	<xsl:variable name="t" select="count(parent::*/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<xsl:variable name="child_x">
		<xsl:value-of select="
			concat(
				name(), 
				'*', 
				number(string-length(name())) + 1000, 
				'%', 
				number($p + 1000), 
				';'
			)
		"/>
	</xsl:variable>
		<xsl:if test="$break_x_a=$child_x">
			<P CLASS="breakmypage"></P>
		</xsl:if>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="parent::accessrestrict or ancestor::dsc or parent::descgrp[child::head]">
<xsl:if test="parent::accessrestrict and $p&gt;2">
<BR/>
</xsl:if>
				<xsl:apply-templates select="*">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="*">
					<xsl:with-param name="high_did">yes</xsl:with-param>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="accruals">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:param name="break_x_a"/>
	<xsl:param name="break_x_b"/>
	<!-- children only -->
		<!-- head; -->
		<!-- accruals; -->
		<!-- address; blockquote; note; p; -->
		<!-- chronlist; list; table; -->
		<!-- @id; @type; -->
	<xsl:variable name="t" select="count(parent::*/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<xsl:variable name="child_x">
		<xsl:value-of select="
			concat(
				name(), 
				'*', 
				number(string-length(name())) + 1000, 
				'%', 
				number($p + 1000), 
				';'
			)
		"/>
	</xsl:variable>
		<xsl:if test="$break_x_a=$child_x">
			<P CLASS="breakmypage"></P>
		</xsl:if>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="parent::accruals or ancestor::dsc or parent::descgrp[child::head]">
<xsl:if test="parent::accruals and $p&gt;2">
<BR/><BR/>
</xsl:if>
				<xsl:apply-templates select="*">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="*">
					<xsl:with-param name="high_did">yes</xsl:with-param>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="acqinfo">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:param name="break_x_a"/>
	<xsl:param name="break_x_b"/>
	<!-- children only -->
		<!-- head; -->
		<!-- acqinfo; -->
		<!-- address; blockquote; note; p; -->
		<!-- chronlist; list; table; -->
		<!-- @id; @type; -->
	<xsl:variable name="t" select="count(parent::*/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<xsl:variable name="child_x">
		<xsl:value-of select="
			concat(
				name(), 
				'*', 
				number(string-length(name())) + 1000, 
				'%', 
				number($p + 1000), 
				';'
			)
		"/>
	</xsl:variable>
		<xsl:if test="$break_x_a=$child_x">
			<P CLASS="breakmypage"></P>
		</xsl:if>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="parent::acqinfo or parent::custodhist or ancestor::dsc or parent::descgrp[child::head]">
<xsl:if test="parent::acqinfo and $p&gt;2">
<BR/><BR/>
</xsl:if>
<xsl:if test="parent::custodhist and $p&gt;2">
<BR/><BR/>
</xsl:if>
				<xsl:apply-templates select="*">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="*">
					<xsl:with-param name="high_did">yes</xsl:with-param>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="altformavail">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:param name="break_x_a"/>
	<xsl:param name="break_x_b"/>
	<!-- children only -->
		<!-- head; -->
		<!-- altformavail; -->
		<!-- address; blockquote; note; p; -->
		<!-- chronlist; list; table; -->
		<!-- @id; @type; -->
	<xsl:variable name="t" select="count(parent::*/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<xsl:variable name="child_x">
		<xsl:value-of select="
			concat(
				name(), 
				'*', 
				number(string-length(name())) + 1000, 
				'%', 
				number($p + 1000), 
				';'
			)
		"/>
	</xsl:variable>
		<xsl:if test="$break_x_a=$child_x">
			<P CLASS="breakmypage"></P>
		</xsl:if>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="parent::altformavail or ancestor::dsc or parent::descgrp[child::head]">
<xsl:if test="parent::altformavail and $p&gt;2">
<BR/><BR/>
</xsl:if>
				<xsl:apply-templates select="*">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="*">
					<xsl:with-param name="high_did">yes</xsl:with-param>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="appraisal">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:param name="break_x_a"/>
	<xsl:param name="break_x_b"/>
	<!-- children only -->
		<!-- head; -->
		<!-- appraisal; -->
		<!-- address; blockquote; note; p; -->
		<!-- chronlist; list; table; -->
		<!-- @id; @type; -->
	<xsl:variable name="t" select="count(parent::*/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<xsl:variable name="child_x">
		<xsl:value-of select="
			concat(
				name(), 
				'*', 
				number(string-length(name())) + 1000, 
				'%', 
				number($p + 1000), 
				';'
			)
		"/>
	</xsl:variable>
		<xsl:if test="$break_x_a=$child_x">
			<P CLASS="breakmypage"></P>
		</xsl:if>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="parent::appraisal or ancestor::dsc or parent::descgrp[child::head]">
<xsl:if test="parent::appraisal and $p&gt;2">
<BR/><BR/>
</xsl:if>
				<xsl:apply-templates select="*">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="*">
					<xsl:with-param name="high_did">yes</xsl:with-param>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="custodhist">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:param name="break_x_a"/>
	<xsl:param name="break_x_b"/>
	<!-- children only -->
		<!-- head; -->
		<!-- custodhist; -->
		<!-- acqinfo; -->
		<!-- address; blockquote; note; p; -->
		<!-- chronlist; list; table; -->
		<!-- @id; @type; -->
	<xsl:variable name="t" select="count(parent::*/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<xsl:variable name="child_x">
		<xsl:value-of select="
			concat(
				name(), 
				'*', 
				number(string-length(name())) + 1000, 
				'%', 
				number($p + 1000), 
				';'
			)
		"/>
	</xsl:variable>
		<xsl:if test="$break_x_a=$child_x">
			<P CLASS="breakmypage"></P>
		</xsl:if>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="parent::custodhist or ancestor::dsc or parent::descgrp[child::head]">
<xsl:if test="parent::custodhist and $p&gt;2">
<BR/><BR/>
</xsl:if>
				<xsl:apply-templates select="*">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="*">
					<xsl:with-param name="high_did">yes</xsl:with-param>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="originalsloc">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:param name="break_x_a"/>
	<xsl:param name="break_x_b"/>
	<!-- children only -->
		<!-- head; -->
		<!-- originalsloc; -->
		<!-- address; blockquote; note; p; -->
		<!-- chronlist; list; table; -->
		<!-- @id; @type; -->
	<xsl:variable name="t" select="count(parent::*/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<xsl:variable name="child_x">
		<xsl:value-of select="
			concat(
				name(), 
				'*', 
				number(string-length(name())) + 1000, 
				'%', 
				number($p + 1000), 
				';'
			)
		"/>
	</xsl:variable>
		<xsl:if test="$break_x_a=$child_x">
			<P CLASS="breakmypage"></P>
		</xsl:if>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="parent::originalsloc or ancestor::dsc or parent::descgrp[child::head]">
<xsl:if test="parent::originalsloc and $p&gt;2">
<BR/><BR/>
</xsl:if>
				<xsl:apply-templates select="*">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="*">
					<xsl:with-param name="high_did">yes</xsl:with-param>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="phystech">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:param name="break_x_a"/>
	<xsl:param name="break_x_b"/>
	<!-- children only -->
		<!-- head; -->
		<!-- phystech; -->
		<!-- address; blockquote; note; p; -->
		<!-- chronlist; list; table; -->
		<!-- @id; @type; -->
	<xsl:variable name="t" select="count(parent::*/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<xsl:variable name="child_x">
		<xsl:value-of select="
			concat(
				name(), 
				'*', 
				number(string-length(name())) + 1000, 
				'%', 
				number($p + 1000), 
				';'
			)
		"/>
	</xsl:variable>
		<xsl:if test="$break_x_a=$child_x">
			<P CLASS="breakmypage"></P>
		</xsl:if>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="parent::phystech or ancestor::dsc or parent::descgrp[child::head]">
<xsl:if test="parent::phystech and $p&gt;2">
<BR/><BR/>
</xsl:if>
				<xsl:apply-templates select="*">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="*">
					<xsl:with-param name="high_did">yes</xsl:with-param>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="prefercite">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:param name="break_x_a"/>
	<xsl:param name="break_x_b"/>
	<!-- children only -->
		<!-- head; -->
		<!-- prefercite; -->
		<!-- address; blockquote; note; p; -->
		<!-- chronlist; list; table; -->
		<!-- @id; @type; -->
	<xsl:variable name="t" select="count(parent::*/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<xsl:variable name="child_x">
		<xsl:value-of select="
			concat(
				name(), 
				'*', 
				number(string-length(name())) + 1000, 
				'%', 
				number($p + 1000), 
				';'
			)
		"/>
	</xsl:variable>
		<xsl:if test="$break_x_a=$child_x">
			<P CLASS="breakmypage"></P>
		</xsl:if>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="parent::prefercite or ancestor::dsc or parent::descgrp[child::head]">
<xsl:if test="parent::prefercite and $p&gt;2">
<BR/><BR/>
</xsl:if>
				<xsl:apply-templates select="*">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="*">
					<xsl:with-param name="high_did">yes</xsl:with-param>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="processinfo">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:param name="break_x_a"/>
	<xsl:param name="break_x_b"/>
	<!-- children only -->
		<!-- head; -->
		<!-- processinfo; -->
		<!-- address; blockquote; note; p; -->
		<!-- chronlist; list; table; -->
		<!-- @id; @type; -->
	<xsl:variable name="t" select="count(parent::*/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<xsl:variable name="child_x">
		<xsl:value-of select="
			concat(
				name(), 
				'*', 
				number(string-length(name())) + 1000, 
				'%', 
				number($p + 1000), 
				';'
			)
		"/>
	</xsl:variable>
		<xsl:if test="$break_x_a=$child_x">
			<P CLASS="breakmypage"></P>
		</xsl:if>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="parent::processinfo or ancestor::dsc or parent::descgrp[child::head]">
<xsl:if test="parent::processinfo and $p&gt;2">
<BR/><BR/>
</xsl:if>
				<xsl:apply-templates select="*">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="*">
					<xsl:with-param name="high_did">yes</xsl:with-param>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="userestrict">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:param name="break_x_a"/>
	<xsl:param name="break_x_b"/>
	<!-- children only -->
		<!-- head; -->
		<!-- userestrict; -->
		<!-- address; blockquote; note; p; -->
		<!-- chronlist; list; table; -->
		<!-- @id; @type; -->
	<xsl:variable name="t" select="count(parent::*/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<xsl:variable name="child_x">
		<xsl:value-of select="
			concat(
				name(), 
				'*', 
				number(string-length(name())) + 1000, 
				'%', 
				number($p + 1000), 
				';'
			)
		"/>
	</xsl:variable>
		<xsl:if test="$break_x_a=$child_x">
			<P CLASS="breakmypage"></P>
		</xsl:if>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="parent::userestrict or ancestor::dsc or parent::descgrp[child::head]">
<xsl:if test="parent::userestrict and $p&gt;2">
<BR/><BR/>
</xsl:if>
				<xsl:apply-templates select="*">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="*">
					<xsl:with-param name="high_did">yes</xsl:with-param>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<!-- children of ARCHDESC -->

<xsl:template match="arrangement">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:param name="break_x_a"/>
	<xsl:param name="break_x_b"/>
	<!-- children only -->
		<!-- head; -->
		<!-- arrangement; -->
		<!-- address; blockquote; note; p; -->
		<!-- chronlist; list; table; -->
		<!-- @id; @type; -->
<!-- test node -->
<!-- <arr_mnt desc_series_query="{$desc_series_query}"/> -->
	<xsl:variable name="t" select="count(parent::*/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<xsl:variable name="child_x">
		<xsl:value-of select="
			concat(
				name(), 
				'*', 
				number(string-length(name())) + 1000, 
				'%', 
				number($p + 1000), 
				';'
			)
		"/>
	</xsl:variable>
		<xsl:if test="$break_x_a=$child_x">
			<P CLASS="breakmypage"></P>
		</xsl:if>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="parent::arrangement or parent::scopecontent or ancestor::dsc or parent::descgrp[child::head]">
<xsl:if test="parent::arrangement  and $p&gt;2">
<BR/><BR/>
</xsl:if>
<xsl:if test="parent::scopecontent and $p&gt;2">
<BR/><BR/>
</xsl:if>
				<xsl:apply-templates select="*">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="*">
					<xsl:with-param name="high_did">yes</xsl:with-param>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="bioghist">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:param name="break_x_a"/>
	<xsl:param name="break_x_b"/>
	<!-- children only -->
		<!-- head; -->
		<!-- bioghist; -->
		<!-- address; blockquote; note; p; -->
		<!-- chronlist; list; table; -->
		<!-- dao; daogrp; -->
		<!-- @id; @type; -->
<!-- test node -->
<!-- <b_hist desc_series_query="{$desc_series_query}"/> -->
	<xsl:variable name="t" select="count(parent::*/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<xsl:variable name="child_x">
		<xsl:value-of select="
			concat(
				name(), 
				'*', 
				number(string-length(name())) + 1000, 
				'%', 
				number($p + 1000), 
				';'
			)
		"/>
	</xsl:variable>
		<xsl:if test="$break_x_a=$child_x">
			<P CLASS="breakmypage"></P>
		</xsl:if>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="parent::bioghist or ancestor::dsc or parent::descgrp[child::head]">
<xsl:if test="parent::bioghist and $p&gt;2">
<BR/><BR/>
</xsl:if>
				<xsl:apply-templates select="*">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="*">
					<xsl:with-param name="high_did">yes</xsl:with-param>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="controlaccess">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:param name="break_x_a"/>
	<xsl:param name="break_x_b"/>
	<!-- children only -->
		<!-- head; -->
		<!-- controlaccess -->
		<!-- address; note; blockquote; p; -->
		<!-- corpname; famname; function; genreform; geogname; -->
		<!-- name; occupation; persname; subject; title; -->
		<!-- chronlist; list; table; -->
		<!-- @id; -->
	<xsl:variable name="t" select="count(parent::*/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<xsl:variable name="child_x">
		<xsl:value-of select="
			concat(
				name(), 
				'*', 
				number(string-length(name())) + 1000, 
				'%', 
				number($p + 1000), 
				';'
			)
		"/>
	</xsl:variable>
		<xsl:if test="$break_x_a=$child_x">
			<P CLASS="breakmypage"></P>
		</xsl:if>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="parent::controlaccess or ancestor::dsc or parent::descgrp[child::head]">
<xsl:if test="parent::controlaccess and $p&gt;2">
<BR/><BR/>
</xsl:if>
				<xsl:apply-templates select="*">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="*">
					<xsl:with-param name="high_did">yes</xsl:with-param>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="scopecontent">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:param name="break_x_a"/>
	<xsl:param name="break_x_b"/>
	<!-- children only -->
		<!-- head; -->
		<!-- scopecontent; -->
		<!-- arrangement; -->
		<!-- address; blockquote; note; p; -->
		<!-- chronlist; list; table; -->
		<!-- dao; daogrp; -->
		<!-- @id; @type; -->
	<xsl:variable name="t" select="count(parent::*/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<xsl:variable name="child_x">
		<xsl:value-of select="
			concat(
				name(), 
				'*', 
				number(string-length(name())) + 1000, 
				'%', 
				number($p + 1000), 
				';'
			)
		"/>
	</xsl:variable>
		<xsl:if test="$break_x_a=$child_x">
			<P CLASS="breakmypage"></P>
		</xsl:if>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="parent::scopecontent or ancestor::dsc or parent::descgrp[child::head]">
<xsl:if test="parent::scopecontent and $p&gt;2">
<BR/><BR/>
</xsl:if>
				<xsl:apply-templates select="*">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="*">
					<xsl:with-param name="high_did">yes</xsl:with-param>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<!-- children of DESCGRP[@TYPE='add'] -->
		<!-- relatedmaterial; separatedmaterial; -->
		<!-- bibliography; fileplan; index; odd; otherfindaid; -->
<xsl:template match="relatedmaterial">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:param name="break_x_a"/>
	<xsl:param name="break_x_b"/>
	<!-- children only -->
		<!-- head; -->
		<!-- relatedmaterial; -->
		<!-- address; blockquote; note; p; title; -->
		<!-- chronlist; list; table; -->
		<!-- archref; bibref; extref; linkgrp; ref; -->
		<!-- @id; -->
	<xsl:variable name="t" select="count(parent::*/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<xsl:variable name="child_x">
		<xsl:value-of select="
			concat(
				name(), 
				'*', 
				number(string-length(name())) + 1000, 
				'%', 
				number($p + 1000), 
				';'
			)
		"/>
	</xsl:variable>
		<xsl:if test="$break_x_a=$child_x">
			<P CLASS="breakmypage"></P>
		</xsl:if>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="parent::relatedmaterial or ancestor::dsc or parent::descgrp[child::head]">
<xsl:if test="parent::relatedmaterial and $p&gt;2">
<BR/><BR/>
</xsl:if>
				<xsl:apply-templates select="*">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="*">
					<xsl:with-param name="high_did">yes</xsl:with-param>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="separatedmaterial">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:param name="break_x_a"/>
	<xsl:param name="break_x_b"/>
	<!-- children only -->
		<!-- head; -->
		<!-- separatedmaterial; -->
		<!-- address; blockquote; note; p; title; -->
		<!-- chronlist; list; table; -->
		<!-- extref; ref; linkgrp; bibref; archref; -->
		<!-- @id; -->
	<xsl:variable name="t" select="count(parent::*/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<xsl:variable name="child_x">
		<xsl:value-of select="
			concat(
				name(), 
				'*', 
				number(string-length(name())) + 1000, 
				'%', 
				number($p + 1000), 
				';'
			)
		"/>
	</xsl:variable>
		<xsl:if test="$break_x_a=$child_x">
			<P CLASS="breakmypage"></P>
		</xsl:if>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="parent::separatedmaterial or ancestor::dsc or parent::descgrp[child::head]">
<xsl:if test="parent::separatedmaterial and $p&gt;2">
<BR/><BR/>
</xsl:if>
				<xsl:apply-templates select="*">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="*">
					<xsl:with-param name="high_did">yes</xsl:with-param>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="bibliography">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:param name="break_x_a"/>
	<xsl:param name="break_x_b"/>
	<!-- children only -->
		<!-- head; -->
		<!-- bibliography; -->
		<!-- address; blockquote; note; p; title; -->
		<!-- chronlist; list; table; -->
		<!-- archref; bibref; extref; linkgrp; ref; -->
		<!-- @id; -->
	<xsl:variable name="t" select="count(parent::*/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<xsl:variable name="child_x">
		<xsl:value-of select="
			concat(
				name(), 
				'*', 
				number(string-length(name())) + 1000, 
				'%', 
				number($p + 1000), 
				';'
			)
		"/>
	</xsl:variable>
		<xsl:if test="$break_x_a=$child_x">
			<P CLASS="breakmypage"></P>
		</xsl:if>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="parent::bibliography or ancestor::dsc or parent::descgrp[child::head]">
<xsl:if test="parent::bibliography and $p&gt;2">
<BR/><BR/>
</xsl:if>
				<xsl:apply-templates select="*">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="*">
					<xsl:with-param name="high_did">yes</xsl:with-param>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="fileplan">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:param name="break_x_a"/>
	<xsl:param name="break_x_b"/>
	<!-- children only -->
		<!-- head; -->
		<!-- fileplan; -->
		<!-- address; blockquote; note; p; -->
		<!-- chronlist; list; table; -->
		<!-- @id; -->
	<xsl:variable name="t" select="count(parent::*/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<xsl:variable name="child_x">
		<xsl:value-of select="
			concat(
				name(), 
				'*', 
				number(string-length(name())) + 1000, 
				'%', 
				number($p + 1000), 
				';'
			)
		"/>
	</xsl:variable>
		<xsl:if test="$break_x_a=$child_x">
			<P CLASS="breakmypage"></P>
		</xsl:if>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="parent::fileplan or ancestor::dsc or parent::descgrp[child::head]">
<xsl:if test="parent::fileplan and $p&gt;2">
<BR/><BR/>
</xsl:if>
				<xsl:apply-templates select="*">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="*">
					<xsl:with-param name="high_did">yes</xsl:with-param>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="index">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:param name="break_x_a"/>
	<xsl:param name="break_x_b"/>
	<!-- children only -->
		<!-- head; -->
		<!-- index; -->
		<!-- address; blockquote; note; p; -->
		<!-- chronlist; list; table; -->
		<!-- listhead; -->
		<!-- indexentry; -->
		<!-- @id; -->
	<xsl:variable name="t" select="count(parent::*/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<xsl:variable name="child_x">
		<xsl:value-of select="
			concat(
				name(), 
				'*', 
				number(string-length(name())) + 1000, 
				'%', 
				number($p + 1000), 
				';'
			)
		"/>
	</xsl:variable>
		<xsl:if test="$break_x_a=$child_x">
			<P CLASS="breakmypage"></P>
		</xsl:if>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
<xsl:if test="parent::index and $p&gt;2">
<BR/><BR/>
</xsl:if>
		<xsl:choose>
			<xsl:when test="head">
				<xsl:choose>
					<xsl:when test="parent::index or ancestor::dsc or parent::descgrp[child::head]">
						<xsl:apply-templates 
							select="
								head | 
								address | 
								blockquote | 
								note | 
								p | 
								chronlist | 
								list | 
								table
							"
						/>
					<DL>
							<xsl:apply-templates 
								select="
									*[
									string(name())!='head' and 
									string(name())!='address' and 
									string(name())!='blockquote' and 
									string(name())!='note' and 
									string(name())!='p' and 
									string(name())!='chronlist' and 
									string(name())!='list' and 
									string(name())!='table']
								"
							/>
						</DL>
					</xsl:when>
					<xsl:otherwise>
						<xsl:apply-templates 
							select="
								head | 
								address | 
								blockquote | 
								note | 
								p | 
								chronlist | 
								list | 
								table
							"
						>
							<xsl:with-param name="high_did">yes</xsl:with-param>
						</xsl:apply-templates>
						<DL>
							<xsl:apply-templates 
								select="
									*[
									string(name())!='head' and 
									string(name())!='address' and 
									string(name())!='blockquote' and 
									string(name())!='note' and 
									string(name())!='p' and 
									string(name())!='chronlist' and 
									string(name())!='list' and 
									string(name())!='table']
								"
							/>
						</DL>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<DL>
					<xsl:apply-templates select="*"/>
				</DL>
			</xsl:otherwise>
		</xsl:choose>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="listhead[parent::index]">
	<xsl:param name="desc_series_query"/>
	<!-- children only -->
		<!-- head01; head02; -->
		<!-- @id; -->
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:apply-templates select="*" mode="index_listhead_child"/>
</xsl:template>

<xsl:template match="head01" mode="index_listhead_child">
	<xsl:param name="desc_series_query"/>
	<!-- mixed=true -->
		<!-- emph; lb; -->
		<!-- ptr; extptr; -->
		<!-- @id; -->
	<DT>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="descendant::emph">
				<xsl:apply-templates/>
			</xsl:when>
			<xsl:otherwise>
				<B>
					<xsl:apply-templates/>
				</B>
			</xsl:otherwise>
		</xsl:choose>
	</DT>
</xsl:template>

<xsl:template match="head02" mode="index_listhead_child">
	<xsl:param name="desc_series_query"/>
	<!-- mixed=true -->
		<!-- emph; lb; -->
		<!-- ptr; extptr; -->
		<!-- @id; -->
	<DD>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="descendant::emph">
				<xsl:apply-templates/>
			</xsl:when>
			<xsl:otherwise>
				<B>
					<xsl:apply-templates/>
				</B>
			</xsl:otherwise>
		</xsl:choose>
	</DD>
</xsl:template>

<xsl:template match="indexentry">
	<xsl:param name="desc_series_query"/>
	<!-- children only -->
		<!-- indexentry; -->
		<!-- indexentry; DTD=sibling::head OR sibling::listhead -->
		<!-- corpname; famname; function; genreform; geogname; -->
		<!-- name; namegrp; occupation; persname; subject; title; -->
		<!-- ptr; ptrgrp; ref; -->
		<!-- @id; -->
	<DT>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:apply-templates select="
			corpname | famname | function | genreform | geogname | 
			name | namegrp | occupation | persname | subject | title
		"/>
<!-- child::*[1] -->
	<!-- if parent::namegrp -->
	<!-- insert fo:block -->
<!-- child::*[2] -->
</DT>
<DD>
		<xsl:apply-templates select="ptr | ref | ptrgrp"/>
</DD>
	<!-- ptr; ref; -->
		<!-- insert fo:block -->
		<!-- insert fo:leader -->
	<!-- ptrgrp; -->
		<!-- if parent:: and ancestor:: -->
		<!-- insert fo:block -->
		<!-- insert fo:leader -->
<!-- child::*[3] DTD = indexentry -->
	<!-- shut down nested indexentry -->
		<xsl:apply-templates select="indexentry" mode="non_children"/>
		<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="namegrp">
	<xsl:param name="desc_series_query"/>
	<!-- children only -->
		<!-- corpname; famnane; genreform; geogname; name; -->
		<!-- occupation; persname; subject; function; title; -->
		<!-- note; -->
		<!-- @id; -->
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="otherfindaid">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- children only -->
		<!-- head; -->
		<!-- otherfindaid; -->
		<!-- address; blockquote; note; p; title; -->
		<!-- chronlist; list; table; -->
		<!-- archref; bibref; extref; linkgrp; ref; -->
		<!-- @id; -->
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="parent::otherfindaid or ancestor::dsc or parent::descgrp[child::head]">
				<xsl:apply-templates select="*">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="*">
					<xsl:with-param name="high_did">yes</xsl:with-param>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>


<!-- mechanical -->
<!-- @TITLE = IMG/@ALT -->
<!-- W3C list indicates use href if no alt-text -->
<!-- LC practices 2002 requires -->
<!-- External: @HREF; @ACTUATE; @SHOW; -->
	<!-- arc; archref; bibref; dao; daogrp; daoloc; -->
	<!-- extptr; extptrloc; extref; extrefloc; title; -->
<!-- Internal: @TARGET; @ACTUATE; @SHOW; -->
	<!-- arc; linkgrp; ref; refloc; ptr; ptrloc; resource; -->
<!-- Int/Ext = arc; resource; -->

<xsl:template match="arc">
	<xsl:param name="desc_series_query"/>
	<!-- attributes only -->
		<!-- @id -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
		<xsl:apply-templates/>
</xsl:template>

<xsl:template match="archref[string-length(@href)=0]">
	<xsl:param name="desc_series_query"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; bibref; ref; extref; -->
		<!-- dao; daogrp; -->
		<!-- emph; lb; abbr; expan; abstract; -->
		<!-- langmaterial; materialspec; origination; -->
		<!-- physdesc; physloc; repository; -->
		<!-- title; container; unitdate; unitid; unittitle; -->
		<!-- note; -->
	<xsl:choose>
		<xsl:when test="
			parent::bibliography
			or 
			parent::otherfindaid 
			or 
			parent::relatedmaterial 
			or 
			parent::separatedmaterial
		">
			<P>
				<xsl:if test="string-length(@id)&gt;0">
						<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
				</xsl:if>
				<xsl:apply-templates/>
			</P>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="string-length(@id)&gt;0">
					<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
			</xsl:if>
			<xsl:apply-templates/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="archref[string-length(@href)&gt;1]">
	<xsl:param name="desc_series_query"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; bibref; ref; extref; -->
		<!-- dao; daogrp; -->
		<!-- emph; lb; abbr; expan; abstract; -->
		<!-- langmaterial; materialspec; origination; -->
		<!-- physdesc; physloc; repository; -->
		<!-- title; container; unitdate; unitid; unittitle; -->
		<!-- note; -->
	<xsl:choose>
		<xsl:when test="
			parent::bibliography
			or 
			parent::otherfindaid 
			or 
			parent::relatedmaterial 
			or 
			parent::separatedmaterial
		">
		<P>
			<xsl:if test="string-length(@id)&gt;0">
					<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
			</xsl:if>
			<A HREF="{@href}">
				<xsl:attribute name="TITLE">
					<xsl:choose>
						<xsl:when test="string-length(@title)&gt;1">
							<xsl:value-of select="@title"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="@href"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<xsl:apply-templates/>
			</A>
		</P>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="string-length(@id)&gt;0">
					<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
			</xsl:if>
			<A HREF="{@href}">
				<xsl:attribute name="TITLE">
					<xsl:choose>
						<xsl:when test="string-length(@title)&gt;1">
							<xsl:value-of select="@title"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="@href"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<xsl:apply-templates/>
			</A>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="bibref[string-length(@href)=0]">
	<xsl:param name="desc_series_query"/>
	<!-- mixed=true -->
		<!-- archref; ptr; exptr; ref; extref; -->
		<!-- emph; lb; abbr; expan; num; -->
		<!-- edition; imprint; title; -->
		<!-- corpname; famname; name; -->
		<!-- bibseries -->
	<xsl:choose>
		<xsl:when test="
			parent::bibliography
			or 
			parent::otherfindaid 
			or 
			parent::relatedmaterial 
			or 
			parent::separatedmaterial
		">
			<P>
				<xsl:if test="string-length(@id)&gt;0">
						<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
				</xsl:if>
				<xsl:apply-templates/>
			</P>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="string-length(@id)&gt;0">
					<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
			</xsl:if>
			<xsl:apply-templates/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="bibref[string-length(@href)&gt;1]">
	<xsl:param name="desc_series_query"/>
	<!-- mixed=true -->
		<!-- archref; ptr; exptr; ref; extref; -->
		<!-- emph; lb; abbr; expan; num; -->
		<!-- edition; imprint; title; -->
		<!-- corpname; famname; name; -->
		<!-- bibseries -->
	<xsl:choose>
		<xsl:when test="
			parent::bibliography
			or 
			parent::otherfindaid 
			or 
			parent::relatedmaterial 
			or 
			parent::separatedmaterial
		">
			<P>
				<xsl:if test="string-length(@id)&gt;0">
						<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
				</xsl:if>
				<A HREF="{@href}">
					<xsl:attribute name="TITLE">
						<xsl:choose>
							<xsl:when test="string-length(@title)&gt;1">
								<xsl:value-of select="@title"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="@href"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:apply-templates/>
				</A>
			</P>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="string-length(@id)&gt;0">
					<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
			</xsl:if>
			<A HREF="{@href}">
				<xsl:attribute name="TITLE">
					<xsl:choose>
						<xsl:when test="string-length(@title)&gt;1">
							<xsl:value-of select="@title"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="@href"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<xsl:apply-templates/>
			</A>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<!-- lcpractices directs use to daogrp -->
<xsl:template match="dao[string-length(@href)=0]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- children only -->
		<!-- daodesc; -->
		<!-- @href; @id; @title; -->
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:apply-templates select="*">
			<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
		</xsl:apply-templates>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<!-- lcpractices directs use to daogrp -->
<xsl:template match="dao[string-length(@href)!=0]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- children only -->
		<!-- daodesc; -->
		<!-- @href; @id; @title; -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<A HREF="{@href}">
		<xsl:attribute name="TITLE">
			<xsl:choose>
				<xsl:when test="string-length(@title)&gt;1">
					<xsl:value-of select="@title"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="@href"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:attribute>
		<xsl:apply-templates select="*">
			<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
		</xsl:apply-templates>
	</A>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<!-- daogrp; -->
<xsl:template match="daogrp">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- children only -->
		<!-- arc; resource; -->
		<!-- daodesc; daoloc; -->
		<!-- ptrloc; extptrloc; refloc; extrefloc; -->
		<!-- @id; @title; -->
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:apply-templates select="*">
			<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
		</xsl:apply-templates>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="daodesc">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- children only -->
		<!-- head; address; note; blockquote; p; -->
		<!-- chronlist; list; table; -->
		<!-- @id; -->
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:apply-templates select="*[name()='head']"/>
		<xsl:if test="name(child::*[1])='head'">
			<BR/>
		</xsl:if>
		<xsl:apply-templates select="*[name()!='head']"/>
		<xsl:if test="parent::daogrp">
			<BR/>
		</xsl:if>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<!-- block elements stomped out -->
<xsl:template match="
	blockquote[parent::daodesc] 
	|
	chronlist[parent::daodesc] 
	| 
	list[parent::daodesc]
	| 
	note[parent::daodesc] 
	| 
	table[parent::daodesc]
">
</xsl:template>

<xsl:template match="daoloc[string-length(@href)=0]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- children only -->
		<!-- daodesc; -->
		<!-- @href; @id; @label; @title; -->
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:apply-templates select="*">
			<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
		</xsl:apply-templates>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="daoloc[string-length(@href)!=0]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- children only -->
		<!-- daodesc; -->
		<!-- @href; @id; @label; @title; -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<A HREF="{@href}">
		<xsl:attribute name="TITLE">
			<xsl:choose>
				<xsl:when test="string-length(@title)&gt;1">
					<xsl:value-of select="@title"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="@href"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:attribute>
		<xsl:apply-templates select="*">
			<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
		</xsl:apply-templates>
	</A>
	<xsl:if test="following-sibling::daoloc[@href]">
		<BR/>
	</xsl:if>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="extptr[not(parent::publisher)]">
	<xsl:param name="desc_series_query"/>
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<A HREF="{unparsed-entity-uri(@href)}">
		<xsl:attribute name="TITLE">
			<xsl:choose>
				<xsl:when test="string-length(@title)&gt;1">
					<xsl:value-of select="@title"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="unparsed-entity-uri(@href)"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:attribute>
		<xsl:text> GoTo: External Link </xsl:text>
	</A>
</xsl:template>

<!-- lc seal -->
<xsl:template match="extptr[parent::publisher and ancestor::publicationstmt]">
	<xsl:param name="desc_series_query"/>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<IMG 
			ALIGN="top"
			SRC="{unparsed-entity-uri(@href)}">
		<xsl:attribute name="ALT">
			<xsl:choose>
				<xsl:when test="string-length(@title)&gt;1">
					<xsl:value-of select="@title"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="unparsed-entity-uri(@href)"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:attribute>
		</IMG>
	<BR CLEAR="none"/>
	<BR CLEAR="none"/>
</xsl:template>

<xsl:template match="extptrloc">
	<xsl:param name="desc_series_query"/>
	<!-- empty tag -->
		<!-- @href; @entityref; -->
		<!-- @target; -->
		<!-- @label; @id; @title; -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<A HREF="{unparsed-entity-uri(@href)}">
		<xsl:attribute name="TITLE">
			<xsl:choose>
				<xsl:when test="string-length(@title)&gt;1">
					<xsl:value-of select="@title"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="unparsed-entity-uri(@href)"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:attribute>
		<xsl:text> GoTo: External Link </xsl:text>
	</A>
</xsl:template>

<!-- extref can be used as wrapper -->
<xsl:template match="extref[string-length(@href)&gt;1]">
	<xsl:param name="desc_series_query"/>
	<!-- mixed=true -->
		<!-- archref; bibref; ptr; exptr; ref; -->
		<!-- note; blockquote; emph; lb; -->
		<!-- address; abbr; date; expan; num; title; -->
		<!-- coprname; famname; genreform; geogname; function; -->
		<!-- occupation; persname; subject; name; -->
		<!-- origination; repository; unidate; unittitle; -->
		<!-- chronlist; list; table; -->
		<!-- @href; @id; @title; -->
	<xsl:choose>
		<xsl:when test="
			parent::bibliography
			or 
			parent::otherfindaid 
			or 
			parent::relatedmaterial 
			or 
			parent::separatedmaterial
		">
			<P>
				<xsl:if test="string-length(@id)&gt;0">
						<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
				</xsl:if>
				<A HREF="{@href}">
					<xsl:attribute name="TITLE">
						<xsl:choose>
							<xsl:when test="string-length(@title)&gt;1">
								<xsl:value-of select="@title"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="@href"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:apply-templates/>
				</A>
			</P>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="string-length(@id)&gt;0">
					<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
			</xsl:if>
			<A HREF="{@href}">
				<xsl:attribute name="TITLE">
					<xsl:choose>
						<xsl:when test="string-length(@title)&gt;1">
							<xsl:value-of select="@title"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="@href"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<xsl:apply-templates/>
			</A>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<!-- extref can be used as wrapper -->
<xsl:template match="extref[string-length(@href)=0]">
	<xsl:param name="desc_series_query"/>
	<!-- mixed=true -->
		<!-- archref; bibref; ptr; exptr; ref; -->
		<!-- note; blockquote; emph; lb; -->
		<!-- address; abbr; date; expan; num; title; -->
		<!-- coprname; famname; genreform; geogname; function; -->
		<!-- occupation; persname; subject; name; -->
		<!-- origination; repository; unidate; unittitle; -->
		<!-- chronlist; list; table; -->
		<!-- @href; @id; @title; -->
	<xsl:choose>
		<xsl:when test="
			parent::bibliography
			or 
			parent::otherfindaid 
			or 
			parent::relatedmaterial 
			or 
			parent::separatedmaterial
		">
			<P>
				<xsl:if test="string-length(@id)&gt;0">
						<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
				</xsl:if>
				<xsl:apply-templates/>
			</P>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="string-length(@id)&gt;0">
					<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
			</xsl:if>
			<xsl:apply-templates/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="extrefloc">
	<xsl:param name="desc_series_query"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; -->
		<!-- emph; lb; abbr; expan; date; num; blockquote; -->
		<!-- corpname; famname; geogname; name; -->
		<!-- occupation; persname; subject; -->
		<!-- genreform; function; -->
		<!-- origination; repository; -->
		<!-- unitdate; unittitle; -->
		<!-- chronlist; list; table; -->
		<!-- address; note; -->
		<!-- @href; @entityref; @target -->
		<!-- @label; @id; @title -->
	<P>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<A HREF="{@href}">
			<xsl:attribute name="TITLE">
				<xsl:choose>
					<xsl:when test="string-length(@title)&gt;1">
						<xsl:value-of select="@title"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="@href"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:apply-templates/>
		</A>
	</P>
</xsl:template>

<!-- all children unique for this element -->
<xsl:template match="linkgrp">
	<xsl:param name="desc_series_query"/>
	<!-- children only -->
		<!-- arc; resource; -->
		<!-- ptrloc; extptrloc; -->
		<!-- refloc; extrefloc; -->
	<P>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
	</P>
			<xsl:apply-templates select="*"/>
			<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="ptr">
	<xsl:param name="desc_series_query"/>
	<!-- attributes only -->
		<!-- @target; @id; @title; -->
	<xsl:if test="parent::ptrgrp and ancestor::indexentry">
		<P>
			<xsl:text>&#x20;&#x20;&#x20;&#x20;&#x20;</xsl:text>
		</P>
	</xsl:if>
	<xsl:if test="string-length(@id)&gt;0">
		<xsl:apply-templates select="@id">
			<xsl:with-param 
				name="desc_series_query" 
				select="$desc_series_query"
			/>
		</xsl:apply-templates>
	</xsl:if>
	<A>
		<xsl:attribute name="HREF">
			<xsl:text>#</xsl:text>
			<xsl:value-of select="@target"/>
		</xsl:attribute>
		<xsl:attribute name="TITLE">
			<xsl:choose>
				<xsl:when test="string-length(@title)&gt;1">
					<xsl:value-of select="@title"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="@target"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:attribute>
		<xsl:text> GoTo: Internal Link </xsl:text>
	</A>
</xsl:template>

<xsl:template match="ptrgrp">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- children only -->
		<!-- ptr; ref; -->
		<!-- @id; -->
	<P>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
	</P>
		<xsl:apply-templates select="*">
			<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
		</xsl:apply-templates>

	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="ptrloc">
	<xsl:param name="desc_series_query"/>
	<!-- empty tag -->
		<!-- @href; @entityref; -->
		<!-- @target; -->
		<!-- @label; @id; @title; -->
	<xsl:if test="string-length(@id)&gt;0">
		<xsl:apply-templates select="@id">
			<xsl:with-param 
				name="desc_series_query" 
				select="$desc_series_query"
			/>
		</xsl:apply-templates>
	</xsl:if>
	<A>
		<xsl:attribute name="HREF">
			<xsl:text>#</xsl:text>
			<xsl:value-of select="@target"/>
		</xsl:attribute>
		<xsl:attribute name="TITLE">
			<xsl:choose>
				<xsl:when test="string-length(@title)&gt;1">
					<xsl:value-of select="@title"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="@target"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:attribute>
		<xsl:text> GoTo: Internal Link </xsl:text>
	</A>
</xsl:template>

<!-- ref can be used as wrapper -->
<xsl:template match="ref[string-length(@target)&gt;1]">
	<xsl:param name="desc_series_query"/>
	<!-- mixed=true -->
		<!-- archref; bibref; ptr; exptr; ref; -->
		<!-- note; blockquote; emph; lb; -->
		<!-- address; abbr; date; expan; num; title; -->
		<!-- coprname; famname; genreform; geogname; function; -->
		<!-- occupation; persname; subject; name; -->
		<!-- origination; repository; unidate; unittitle; -->
		<!-- chronlist; list; table; -->
		<!-- @href; @id; @title; -->
	<xsl:if test="parent::ptrgrp and ancestor::indexentry">
		<P>
			<xsl:text>&#x20;&#x20;&#x20;&#x20;&#x20;</xsl:text>
		</P>
	</xsl:if>
	<xsl:choose>
		<xsl:when test="
			parent::bibliography
			or 
			parent::otherfindaid 
			or 
			parent::relatedmaterial 
			or 
			parent::separatedmaterial
		">
			<P>
				<xsl:if test="string-length(@id)&gt;0">
					<xsl:apply-templates select="@id">
						<xsl:with-param 
							name="desc_series_query" 
							select="$desc_series_query"
						/>
					</xsl:apply-templates>
				</xsl:if>
				<A>
					<xsl:attribute name="HREF">
						<xsl:text>#</xsl:text>
						<xsl:value-of select="@target"/>
					</xsl:attribute>
					<xsl:attribute name="TITLE">
						<xsl:choose>
							<xsl:when test="string-length(@title)&gt;1">
								<xsl:value-of select="@title"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="@target"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:apply-templates/>
				</A>
			</P>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
					<xsl:with-param 
						name="desc_series_query" 
						select="$desc_series_query"
					/>
				</xsl:apply-templates>
			</xsl:if>
			<A>
				<xsl:attribute name="HREF">
					<xsl:text>#</xsl:text>
					<xsl:value-of select="@target"/>
				</xsl:attribute>
				<xsl:attribute name="TITLE">
					<xsl:choose>
						<xsl:when test="string-length(@title)&gt;1">
							<xsl:value-of select="@title"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="@target"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<xsl:apply-templates/>
			</A>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<!-- ref can be used as wrapper -->
<xsl:template match="ref[string-length(@target)=0]">
	<xsl:param name="desc_series_query"/>
	<!-- mixed=true -->
		<!-- archref; bibref; ptr; exptr; ref; -->
		<!-- note; blockquote; emph; lb; -->
		<!-- address; abbr; date; expan; num; title; -->
		<!-- coprname; famname; genreform; geogname; function; -->
		<!-- occupation; persname; subject; name; -->
		<!-- origination; repository; unidate; unittitle; -->
		<!-- chronlist; list; table; -->
		<!-- @href; @id; @title; -->
	<xsl:choose>
		<xsl:when test="
			parent::bibliography
			or 
			parent::otherfindaid 
			or 
			parent::relatedmaterial 
			or 
			parent::separatedmaterial
		">
			<P>
				<xsl:if test="string-length(@id)&gt;0">
						<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
				</xsl:if>
				<xsl:apply-templates/>
			</P>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="string-length(@id)&gt;0">
					<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
			</xsl:if>
			<xsl:apply-templates/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="refloc">
	<xsl:param name="desc_series_query"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; -->
		<!-- emph; lb; abbr; expan; date; num; blockquote; -->
		<!-- corpname; famname; geogname; name; -->
		<!-- occupation; persname; subject; -->
		<!-- genreform; function; -->
		<!-- origination; repository; -->
		<!-- unitdate; unittitle; -->
		<!-- chronlist; list; table; -->
		<!-- address; note; -->
		<!-- @href; @entityref; @target -->
		<!-- @label; @id; @title -->
	<P>
		<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
				<xsl:with-param 
					name="desc_series_query" 
					select="$desc_series_query"
				/>
			</xsl:apply-templates>
		</xsl:if>
		<A>
			<xsl:attribute name="HREF">
				<xsl:text>#</xsl:text>
				<xsl:value-of select="@target"/>
			</xsl:attribute>
			<xsl:attribute name="TITLE">
				<xsl:choose>
					<xsl:when test="string-length(@title)&gt;1">
						<xsl:value-of select="@title"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="@target"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:apply-templates/>
		</A>
	</P>
</xsl:template>

<!-- TEXT elements -->
<!-- @label -->
	<!-- abstract; container;  note;-->
	<!-- langmaterial; materialspec; origination; -->
	<!-- physdesc; physloc; repository; -->
	<!-- unitid; unitdate; unittitle; -->
<!-- not(@label) -->
	<!-- abbr; expan; lb; -->
	<!-- bibseries; corpname; famname; name; -->
	<!-- edition; imprint; -->
	<!-- ref; extref; -->
	<!-- dao; daogrp; -->

<xsl:template match="abbr">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- text only -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
		<xsl:apply-templates>
			<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
		</xsl:apply-templates>
</xsl:template>

<xsl:template match="abstract[string-length(@label)&gt;1]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- emph; lb; abbr; expan; title; -->
		<!-- ptr; extptr; -->
		<!-- ref; extref; bibref; archref; -->
		<!-- linkgrp; -->
		<!-- @label; @id; -->
	<xsl:variable name="label_n">
		<xsl:call-template name="label_x"/>
	</xsl:variable>
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:choose>
		<xsl:when test="$label_n='true'">
<xsl:if test="not(ancestor::dsc)">
			<BR/>
</xsl:if>
				<B>
					<xsl:value-of select="@label"/>
					<xsl:if test="not(substring(@label, string-length(@label), 1)=':')">
						<xsl:text>:</xsl:text>
					</xsl:if>
					<xsl:text> </xsl:text>
				</B>
				<xsl:apply-templates>
					<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
		</xsl:when>
		<xsl:otherwise>
			<xsl:apply-templates>
				<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
			</xsl:apply-templates>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="abstract[string-length(@label)=0]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- emph; lb; abbr; expan; title; -->
		<!-- ptr; extptr; -->
		<!-- ref; extref; bibref; archref; -->
		<!-- linkgrp; -->
		<!-- @label; @id; -->
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
			<xsl:apply-templates/>
</xsl:template>

<xsl:template match="address">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- children only -->
		<!-- addressline; -->
		<!-- @id; -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates select="*">
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="addressline">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; -->
		<!-- emph; lb; -->
		<!-- @id; -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:if test="preceding-sibling::addressline">
		<BR/>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
</xsl:template>

<xsl:template match="bibseries">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; -->
		<!-- emph; lb; title; num; -->
		<!-- @id; -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
</xsl:template>

<xsl:template match="blockquote">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- children only -->
		<!-- address; note; p; -->
		<!-- chronlist; list; table; -->
		<!-- @id; -->
	<BLOCKQUOTE>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:apply-templates select="*">
			<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
		</xsl:apply-templates>
	</BLOCKQUOTE>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<!-- @parent = @id -->
<xsl:template match="container[string-length(@label)=0]">
	<xsl:param name="dsc_did_cell_2"/>
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:param name="desc_series_toc_nix_container_x"/>
	<xsl:variable name="t" select="count(parent::did/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<!-- mixed=true -->
		<!-- emph; lb; abbr; expan; title; -->
		<!-- ptr; extptr; -->
		<!-- ref; extref; bibref; archref; -->
		<!-- linkgrp; -->
		<!-- @label; @parent; @type; @id -->
	<xsl:variable name="br_br">
		<xsl:choose>
			<xsl:when test="string-length($special_eadid_x_unitid)!=0">
				<xsl:text>container</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:text>container;unitid</xsl:text>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
<!-- beg choose check $desc_series_toc_nix_container_x -->
	<xsl:choose>
		<xsl:when test="string-length($desc_series_toc_nix_container_x)!=0">
<!-- beg when check $desc_series_toc_nix_container_x != 0 -->
<!-- end when check $desc_series_toc_nix_container_x != 0 -->
		</xsl:when>
		<xsl:otherwise>
<!-- beg otherwise check $desc_series_toc_nix_container_x = 0 -->
<!-- test node -->
<xsl:if test="string-length(name(parent::did/*[number($p -1)]))!=0">
	<xsl:if 
		test="
			contains(
				$br_br,
				name(parent::did/*[number($p -1)])
			) 
			and 
			string-length($dsc_did_cell_2)=0
		"
	>
		<BR/>
	</xsl:if>
</xsl:if>
	<xsl:if test="string-length(@parent)&gt;1">
		<xsl:variable name="x" select="@parent"/>
			<xsl:apply-templates select="preceding::container[@id=$x]" mode="c_parent">
				<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
			</xsl:apply-templates>
<BR/>
	</xsl:if>
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:if test="string-length(@type)&gt;1">
		<B>
			<SMALL>
				<xsl:text> </xsl:text>
				<xsl:value-of select="translate(@type, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
<!-- 
				<xsl:if test="parent::did and ancestor::dsc">
					<xsl:if test="not(substring(@type, string-length(@type), 1)=':')">
						<xsl:text>:</xsl:text>
					</xsl:if>
				</xsl:if> -->
				<xsl:text> </xsl:text>
			</SMALL>
		</B>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>

<!-- end otherwise check $desc_series_toc_nix_container_x = 0 -->
	</xsl:otherwise>
</xsl:choose>
<!-- end choose check $desc_series_toc_nix_container_x -->
</xsl:template>

<!-- @parent = @id -->
<xsl:template match="container[string-length(@label)&gt;1]">
	<xsl:param name="dsc_did_cell_2"/>
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:param name="desc_series_toc_nix_container_x"/>
	<xsl:variable name="t" select="count(parent::did/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<!-- mixed=true -->
		<!-- emph; lb; abbr; expan; title; -->
		<!-- ptr; extptr; -->
		<!-- ref; extref; bibref; archref; -->
		<!-- linkgrp; -->
		<!-- @label; @parent; @type; @id -->
	<xsl:variable name="label_n">
		<xsl:call-template name="label_x"/>
	</xsl:variable>
	<xsl:variable name="br_br">
		<xsl:choose>
			<xsl:when test="string-length($special_eadid_x_unitid)!=0">
				<xsl:text>container</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:text>container;unitid</xsl:text>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>

<!-- beg choose check $desc_series_toc_nix_container_x -->
	<xsl:choose>
		<xsl:when test="string-length($desc_series_toc_nix_container_x)!=0">
<!-- beg when check $desc_series_toc_nix_container_x != 0 -->
<!-- end when check $desc_series_toc_nix_container_x != 0 -->
		</xsl:when>
		<xsl:otherwise>
<!-- beg otherwise check $desc_series_toc_nix_container_x = 0 -->

	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
<xsl:if test="string-length(name(parent::did/*[number($p -1)]))!=0">
	<xsl:if 
		test="
			contains(
				$br_br,
				name(parent::did/*[number($p -1)])
			)
			and 
			string-length($dsc_did_cell_2)=0
		"
	>
		<BR/>
	</xsl:if>
</xsl:if>
	<xsl:choose>
		<xsl:when test="$label_n='true'">
			<xsl:if test="string-length(@parent)&gt;1">
				<xsl:variable name="x" select="@parent"/>
					<xsl:apply-templates select="preceding::container[@id=$x]" mode="c_parent">
						<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
					</xsl:apply-templates>
<BR/>
			</xsl:if>

<!-- label preceds node() when not in DID -->
<!-- ancestor::dsc -->
<!-- string-length(.)=0 -->
			<xsl:if test="not(ancestor::dsc)">
				<B>
					<xsl:value-of select="@label"/>
					<xsl:if test="not(substring(@label, string-length(@label), 1)=':')">
						<xsl:text>:</xsl:text>
					</xsl:if>
					<xsl:text> </xsl:text>
				</B>
			</xsl:if>
<!-- @parent -->
				<xsl:if test="string-length(@type)&gt;1">
					<B>
						<SMALL>
							<xsl:text> </xsl:text>
							<xsl:value-of select="translate(@type, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
<!-- 
							<xsl:if test="parent::did and ancestor::dsc">
								<xsl:if test="not(substring(@type, string-length(@type), 1)=':')">
									<xsl:text>:</xsl:text>
								</xsl:if>
							</xsl:if> -->
							<xsl:text> </xsl:text>
						</SMALL>
					</B>
				</xsl:if>
				<xsl:apply-templates>
					<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
<!-- label follows node() when in DID -->
<!-- ancestor::dsc -->
<!-- string-length(.)=0 -->
				<xsl:if test="ancestor::dsc">
					<xsl:choose>
						<xsl:when test="string-length(.)=0">
							<xsl:value-of select="@label"/>
						</xsl:when>
						<xsl:otherwise>
							<B>
								<SMALL>
									<xsl:text> (</xsl:text>
									<xsl:value-of select="@label"/>
									<xsl:text>)</xsl:text>
								</SMALL>
							</B>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
			
		</xsl:when>
		<xsl:otherwise>
<!-- @parent -->
			<xsl:if test="string-length(@parent)&gt;1">
				<xsl:variable name="x" select="@parent"/>
					<xsl:apply-templates select="preceding::container[@id=$x]" mode="c_parent">
						<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
					</xsl:apply-templates>
<BR/>
			</xsl:if>
			<xsl:if test="string-length(@type)&gt;1">
				<B>
					<SMALL>
						<xsl:text> </xsl:text>
						<xsl:value-of select="translate(@type, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
<!-- 
						<xsl:if test="parent::did and ancestor::dsc">
							<xsl:if test="not(substring(@type, string-length(@type), 1)=':')">
								<xsl:text>:</xsl:text>
							</xsl:if>
						</xsl:if> -->
						<xsl:text> </xsl:text>
					</SMALL>
				</B>
			</xsl:if>
			<xsl:apply-templates>
				<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
			</xsl:apply-templates>
		</xsl:otherwise>
	</xsl:choose>

<!-- end otherwise check $desc_series_toc_nix_container_x = 0 -->
	</xsl:otherwise>
</xsl:choose>
<!-- end choose check $desc_series_toc_nix_container_x -->
</xsl:template>

<xsl:template match="container" mode="c_parent">
	<xsl:param name="dsc_did_cell_2"/>
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:if test="string-length(@type)&gt;1">
		<B>
			<SMALL>
				<xsl:text> </xsl:text>
				<xsl:value-of select="translate(@type, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
<!-- 
				<xsl:if test="parent::did and ancestor::dsc">
					<xsl:if test="not(substring(@type, string-length(@type), 1)=':')">
						<xsl:text>:</xsl:text>
					</xsl:if>
				</xsl:if> -->
				<xsl:text> </xsl:text>
			</SMALL>
		</B>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
</xsl:template>

<xsl:template match="corpname">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; -->
		<!-- emph; lb; subarea; -->
		<!-- @id -->
	<xsl:if test="parent::controlaccess or parent::namegrp">
		<BR/>
	</xsl:if>
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	<xsl:if 
		test="
			parent::repository 
			and 
			following-sibling::address
		"
	>
		<xsl:text>, </xsl:text>
	</xsl:if>
</xsl:template>

<xsl:template match="date">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; emph; lb; -->
		<!-- @id; -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
</xsl:template>

<!-- child::dimensions -->
<xsl:template match="dimensions[string-length(@label)=0]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; -->
		<!-- ref; extref; bibref; archref; -->
		<!-- linkgrp; -->
		<!-- dimensions -->
		<!-- emph; lb; abbr; expan; title; -->
		<!-- @label; @id; -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
</xsl:template>

<!-- child::dimensions -->
<xsl:template match="dimensions[string-length(@label)&gt;1]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; -->
		<!-- ref; extref; bibref; archref; -->
		<!-- linkgrp; -->
		<!-- dimensions -->
		<!-- emph; lb; abbr; expan; title; -->
		<!-- @label; @id; -->
	<xsl:variable name="label_n">
		<xsl:call-template name="label_x"/>
	</xsl:variable>
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:choose>
		<xsl:when test="$label_n='true'">
<xsl:if test="not(ancestor::dsc)">
			<BR/>
</xsl:if>
				<B>
					<xsl:value-of select="@label"/>
					<xsl:if test="not(substring(@label, string-length(@label), 1)=':')">
						<xsl:text>:</xsl:text>
					</xsl:if>
					<xsl:text> </xsl:text>
				</B>
				<xsl:apply-templates>
					<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
		</xsl:when>
		<xsl:otherwise>
			<xsl:apply-templates>
				<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
			</xsl:apply-templates>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<!-- parent::frontmatter -->
<xsl:template match="div">
</xsl:template>

<xsl:template match="edition">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; -->
		<!-- emph; lb; -->
		<!-- @id -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
</xsl:template>

<!-- text elements -->
<xsl:template match="emph[@render='altrender']">
	<xsl:param name="desc_series_query"/>
	<xsl:if test="string-length(@id)!=0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:choose>
		<xsl:when test="@altrender='strikeout'">
			<STRIKE>
				<xsl:apply-templates/>
			</STRIKE>
		</xsl:when>
		<xsl:otherwise>
			<xsl:apply-templates/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="emph[@render='bold']">
	<xsl:param name="desc_series_query"/>
	<xsl:if test="string-length(@id)!=0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<B>
		<xsl:apply-templates/>
	</B>
</xsl:template>

<xsl:template match="emph[@render='bolddoublequote']">
	<xsl:param name="desc_series_query"/>
	<xsl:if test="string-length(@id)!=0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<B>
		<xsl:text>"</xsl:text>
		<xsl:apply-templates/>
		<xsl:text>"</xsl:text>
	</B>
</xsl:template>

<xsl:template match="emph[@render='bolditalic']">
	<xsl:param name="desc_series_query"/>
	<xsl:if test="string-length(@id)!=0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<B>
		<I>
			<xsl:apply-templates/>
		</I>
	</B>
</xsl:template>

<xsl:template match="emph[@render='boldsinglequote']">
	<xsl:param name="desc_series_query"/>
	<xsl:if test="string-length(@id)!=0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<B>
		<xsl:text>'</xsl:text>
		<xsl:apply-templates/>
		<xsl:text>'</xsl:text>
	</B>
</xsl:template>

<xsl:template match="emph[@render='boldsmcaps']">
	<xsl:param name="desc_series_query"/>
	<xsl:if test="string-length(@id)!=0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<B>
		<SMALL>
			<xsl:apply-templates/>
		</SMALL>
	</B>
</xsl:template>

<xsl:template match="emph[@render='boldunderline']">
	<xsl:param name="desc_series_query"/>
	<xsl:if test="string-length(@id)!=0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<B>
		<U>
		<xsl:apply-templates/>
		</U>
	</B>
</xsl:template>

<xsl:template match="emph[@render='doublequote']">
	<xsl:param name="desc_series_query"/>
	<xsl:if test="string-length(@id)!=0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:text>"</xsl:text>
	<xsl:apply-templates/>
	<xsl:text>"</xsl:text>
</xsl:template>

<xsl:template match="emph[@render='italic']">
	<xsl:param name="desc_series_query"/>
	<xsl:if test="string-length(@id)!=0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<I>
		<xsl:apply-templates/>
	</I>
</xsl:template>

<xsl:template match="emph[@render='nonproport']">
	<xsl:param name="desc_series_query"/>
	<xsl:if test="string-length(@id)!=0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="emph[@render='singlequote']">
	<xsl:param name="desc_series_query"/>
	<xsl:if test="string-length(@id)!=0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:text>'</xsl:text>
	<xsl:apply-templates/>
	<xsl:text>'</xsl:text>
</xsl:template>

<xsl:template match="emph[@render='smcaps']">
	<xsl:param name="desc_series_query"/>
	<xsl:if test="string-length(@id)!=0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<SMALL>
		<xsl:apply-templates/>
	</SMALL>
</xsl:template>

<xsl:template match="emph[@render='sub']">
	<xsl:param name="desc_series_query"/>
	<xsl:if test="string-length(@id)!=0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<SUB>
		<xsl:apply-templates/>
	</SUB>
</xsl:template>

<xsl:template match="emph[@render='super']">
	<xsl:param name="desc_series_query"/>
	<xsl:if test="string-length(@id)!=0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<SUP>
		<xsl:apply-templates/>
	</SUP>
</xsl:template>

<xsl:template match="emph[@render='underline']">
	<xsl:param name="desc_series_query"/>
	<xsl:if test="string-length(@id)!=0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<U>
		<xsl:apply-templates/>
	</U>
</xsl:template>

<xsl:template match="expan">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- text only -->
		<!-- @id; -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
</xsl:template>

<xsl:template match="extent[string-length(@label)=0]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; -->
		<!-- ref; extref; bibref; archref; -->
		<!-- linkgrp; -->
		<!-- emph; lb; abbr; expan; title; -->
		<!-- @label; @id; @type; -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	<xsl:if test="following-sibling::extent">
		<xsl:text>; </xsl:text>
	</xsl:if>
</xsl:template>

<xsl:template match="extent[string-length(@label)&gt;1]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; -->
		<!-- ref; extref; bibref; archref; -->
		<!-- linkgrp; -->
		<!-- emph; lb; abbr; expan; title; -->
		<!-- @label; @id; @type; -->
	<xsl:variable name="label_n">
		<xsl:call-template name="label_x"/>
	</xsl:variable>
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:choose>
		<xsl:when test="$label_n='true'">
<xsl:if test="not(ancestor::dsc)">
			<BR/>
</xsl:if>
				<B>
					<xsl:value-of select="@label"/>
					<xsl:if test="not(substring(@label, string-length(@label), 1)=':')">
						<xsl:text>:</xsl:text>
					</xsl:if>
					<xsl:text> </xsl:text>
				</B>
				<xsl:apply-templates>
					<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
		</xsl:when>
		<xsl:otherwise>
			<xsl:apply-templates>
				<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
			</xsl:apply-templates>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="following-sibling::extent">
		<xsl:text>; </xsl:text>
	</xsl:if>
</xsl:template>

<xsl:template match="famname">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; -->
		<!-- emph; lb; -->
		<!-- @id -->
	<xsl:if test="parent::controlaccess or parent::namegrp">
		<BR/>
	</xsl:if>
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
</xsl:template>

<xsl:template match="function">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; -->
		<!-- emph; lb; -->
		<!-- @id; -->
	<xsl:if test="parent::controlaccess or parent::namegrp">
		<BR/>
	</xsl:if>
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
</xsl:template>

<xsl:template match="genreform">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; -->
		<!-- emph; lb; -->
		<!-- @id; -->
	<xsl:if test="parent::controlaccess or parent::namegrp">
		<BR/>
	</xsl:if>
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
</xsl:template>

<xsl:template match="geogname">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- ptr; exptr; -->
		<!-- emph; lb; -->
		<!-- @id; -->
	<xsl:if test="parent::controlaccess or parent::namegrp">
		<BR/>
	</xsl:if>
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
</xsl:template>

<xsl:template match="head">
	<xsl:param name="dsc_did_head"/>
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; emph; lb; -->
		<!-- @id; -->
<!-- begin choose check dsc//did/* -->
<xsl:choose>
<xsl:when test="string-length($dsc_did_head)!=0">
<!-- begin when check dsc//did/* = true -->
<!-- end when check dsc//did/* = true -->
</xsl:when>
<xsl:otherwise>
<!-- begin otherwise check dsc//did/* = false -->

	<xsl:variable name="id_id">
		<xsl:call-template name="axf_attributes_archdesc"/>
	</xsl:variable>
	<xsl:choose>
		<xsl:when test="string-length($high_did)&gt;1">
			<H3>
<xsl:choose>
<xsl:when test="string-length($id_id)!=0">
				<A>
					<xsl:attribute name="NAME">
						<xsl:value-of select="substring-after($id_id, ';')"/>
					</xsl:attribute>
					<xsl:apply-templates>
						<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
					</xsl:apply-templates>
				</A>
</xsl:when>
<xsl:otherwise>
					<xsl:apply-templates>
						<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
					</xsl:apply-templates>
</xsl:otherwise>
</xsl:choose>
			</H3>
		</xsl:when>
		<xsl:otherwise>
<!-- <X_h prnt="{name(parent::*)}" p_prnt="{name(parent::*[parent::*[child::head]])}"/> -->
<xsl:choose>
<xsl:when test="parent::*[parent::*[child::head]]">
</xsl:when>
<xsl:otherwise>
	<xsl:choose>
		<xsl:when test="ancestor::dsc">
		</xsl:when>
		<xsl:otherwise>
			<BR/><BR/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:otherwise>
</xsl:choose>
			<B>
<xsl:choose>
<xsl:when test="string-length($id_id)!=0">
				<A>
					<xsl:attribute name="NAME">
						<xsl:value-of select="substring-after($id_id, ';')"/>
					</xsl:attribute>
					<xsl:apply-templates>
						<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
					</xsl:apply-templates>
				</A>
</xsl:when>
<xsl:otherwise>
					<xsl:apply-templates>
						<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
					</xsl:apply-templates>
</xsl:otherwise>
</xsl:choose>
			</B>
		</xsl:otherwise>
	</xsl:choose>

<!-- end otherwise check dsc//did/* = false -->
</xsl:otherwise>
</xsl:choose>
<!-- end choose check dsc//did/* -->
</xsl:template>

<xsl:template match="head" mode="toc_xx">
	<xsl:param name="desc_series_query"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; emph; lb; -->
		<!-- @id; -->
	<xsl:variable name="id_id">
		<xsl:call-template name="axf_attributes_archdesc"/>
	</xsl:variable>
<!-- <X nm="{name()}" prt="{name(parent::*)}" anc_1="{name(ancestor::*[1])}" anc_2="{name(ancestor::*[2])}" anc_3="{name(ancestor::*[3])}" anc_4="{name(ancestor::*[4])}" id_id="{$id_id}"/> -->
	<xsl:choose>
		<xsl:when test="substring-before($id_id, ';')='1' or substring-before($id_id, ';')='2'">
			<xsl:if test="parent::dsc//c01[@level='series']">
				<xsl:element name="H{number(substring-before($id_id, ';')) + 2}">
					<xsl:attribute name="style">
						<xsl:text>margin-left: </xsl:text>
						<xsl:number value="18 * number(substring-before($id_id, ';'))"/>
						<xsl:text>px</xsl:text>
					</xsl:attribute>
					<A>
						<xsl:attribute name="HREF">
							<xsl:text>#desc_series</xsl:text>
						</xsl:attribute>
						<xsl:text>Description of Series</xsl:text>
					</A>
				</xsl:element>
			</xsl:if>
			<xsl:element name="H{number(substring-before($id_id, ';')) + 2}">
				<xsl:attribute name="style">
					<xsl:text>margin-left: </xsl:text>
					<xsl:number value="18 * number(substring-before($id_id, ';'))"/>
					<xsl:text>px</xsl:text>
				</xsl:attribute>
				<A>
					<xsl:attribute name="HREF">
						<xsl:text>#</xsl:text>
						<xsl:value-of select="substring-after($id_id, ';')"/>
					</xsl:attribute>
					<xsl:apply-templates mode="footer_x_children"/>
				</A>
			</xsl:element>
			<xsl:if test="parent::dsc//c01[@level='series']">
				<xsl:apply-templates select="parent::*[name()='dsc']" mode="desc_series_toc"/>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<!-- table of contents for container heading -->
<xsl:template match="dsc[parent::archdesc]" mode="desc_series_toc">
	<xsl:param name="desc_series_query"/>
	<!-- children only -->
		<!-- head; SEQUENCE: first child -->
		<!-- address; blockquote; note; p; SEQUENCE: before thead; -->
		<!-- chronlist; list; table; SEQUENCE: before thead; -->
		<!-- thead; SEQUENCE: before c; or c01; -->
		<!-- c; c01; SEQUENCE: only thead; can follow -->
		<!-- dsc; SEQUENCE: cannot follow c; or c01; or thead; -->
		<!-- @type; /analyticover; combined; in-depth; othertype; -->
		<!-- @id; -->
	<xsl:variable name="get_names">
		<xsl:apply-templates select="*" mode="dsc_children_x"/>
	</xsl:variable>

<!-- desccription of series pages -->
<!-- empty marker -->
<!-- head -->
<!-- table -->
<!-- make @id with fo:inline -->
<!-- c01[1]/@id='CL1001' -->
<!-- c01[2]/@id='CL2001' -->
		<TABLE CELLSPACING="3" WIDTH="100%">
<TBODY>
	<TR>
                           <TD VALIGN="top" WIDTH="10%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="2%"></TD>
                           <TD VALIGN="top" WIDTH="66%"></TD>
	</TR>

<!-- C01 rows -->
						<xsl:apply-templates select="c01[@level='series']" mode="desc_series_toc_x">
							<xsl:with-param name="get_names" select="$get_names"/>
							<xsl:with-param name="desc_series_toc_nix_container_x">yes</xsl:with-param>
						</xsl:apply-templates>

					</TBODY>
				</TABLE>
</xsl:template>

<!-- table of contents for container heading -->
<xsl:template match="c01" mode="desc_series_toc_x">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="get_names"/>
	<xsl:param name="desc_series_toc_nix_container_x"/>
	<xsl:variable name="c_n_nm" select="number(substring(name(), 2, string-length(name()))) + 1"/>
	<xsl:variable name="fixed_c_sl">
		<xsl:if test="string-length($c_n_nm)=1">
			<xsl:value-of select="concat('c0', $c_n_nm)"/>
		</xsl:if>
		<xsl:if test="string-length($c_n_nm)=2">
			<xsl:value-of select="concat('c', $c_n_nm)"/>
		</xsl:if>
	</xsl:variable>
	<xsl:variable name="c01_ct">
		<xsl:number count="c01"/>
	</xsl:variable>
	<xsl:variable name="d_s_q">
		<xsl:number count="c01"/>
	</xsl:variable>
<!-- test node -->
<!-- <X_c01_toc fixed_c_sl="{$fixed_c_sl}" c_n_nm="{$c_n_nm}" agg_ct="{number(1000 + $c01_ct)}"/> -->
<!-- C01 Rows -->
<!-- spacer row before series -->
<!-- spacer row before series -->
						<TR>
							<TD VALIGN="top" COLSPAN="14"></TD>
						</TR>

<!-- row for unittitle -->
						<xsl:apply-templates select="did/unittitle" mode="dsc_did_children">
							<xsl:with-param name="lv" select="number(substring(name(), 2, string-length(name())))"/>
							<xsl:with-param name="c01_ct" select="$c01_ct"/>
							<xsl:with-param name="desc_series_query" select="$d_s_q"/>
							<xsl:with-param name="agg_ct" select="number(1000 + $c01_ct)"/>
							<xsl:with-param 
								name="desc_series_toc_nix_container_x"
								select="$desc_series_toc_nix_container_x"
							/>
						</xsl:apply-templates>
<!-- non-did children and non c?? children -->
<!-- 
						<xsl:apply-templates select="*[not(name()='did') and not(name()=$fixed_c_sl)]" mode="dsc_c_children">
							<xsl:with-param name="lv" select="number(substring(name(), 2, string-length(name())))"/>
						</xsl:apply-templates> -->
<!-- subseries -->
<!-- beg choose check 'mu' -->
<xsl:choose>
<xsl:when test="$agg_x_c = 'mu'">
<!-- beg when check 'mu' = true -->
	<xsl:choose>
		<xsl:when test="*[name()=$fixed_c_sl and @level='subseries' and child::scopecontent]">
			<xsl:apply-templates select="*[name()=$fixed_c_sl and @level='subseries' and child::scopecontent]" mode="desc_series_toc_xx">
				<xsl:with-param name="agg_ct" select="number(1000 + $c01_ct)"/>
				<xsl:with-param 
					name="desc_series_toc_nix_container_x"
					select="$desc_series_toc_nix_container_x"
				/>
			</xsl:apply-templates>
		</xsl:when>
		<xsl:otherwise>
		</xsl:otherwise>
	</xsl:choose>
<!-- end when check 'mu' = true -->
</xsl:when>
<xsl:otherwise>
<!-- beg otherwise check 'mu' = false -->
	<xsl:choose>
		<xsl:when test="*[name()=$fixed_c_sl and @level='subseries']">
			<xsl:apply-templates select="*[name()=$fixed_c_sl and @level='subseries']" mode="desc_series_toc_xx">
				<xsl:with-param name="agg_ct" select="number(1000 + $c01_ct)"/>
				<xsl:with-param 
					name="desc_series_toc_nix_container_x"
					select="$desc_series_toc_nix_container_x"
				/>
			</xsl:apply-templates>
		</xsl:when>
		<xsl:otherwise>
		</xsl:otherwise>
	</xsl:choose>
<!-- end otherwise check 'mu' = false -->
</xsl:otherwise>
</xsl:choose>
<!-- end choose check 'mu' -->
</xsl:template>

<!-- table of contents for container heading -->
<xsl:template match="
		c02 | 
		c03 | 
		c04 | 
		c05 | 
		c06 | 
		c07 | 
		c08 | 
		c09 | 
		c10 | 
		c11 | 
		c12" 
	mode="desc_series_toc_xx"
>
	<xsl:param name="desc_series_query"/>
	<xsl:param name="get_names"/>
	<xsl:param name="agg_ct"/>
	<xsl:param name="desc_series_toc_nix_container_x"/>
	<xsl:variable name="t" select="count(parent::*/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<xsl:variable name="c_n_nm" select="number(substring(name(), 2, string-length(name()))) + 1"/>
	<xsl:variable name="fixed_c_sl">
		<xsl:if test="string-length($c_n_nm)=1">
			<xsl:value-of select="concat('c0', $c_n_nm)"/>
		</xsl:if>
		<xsl:if test="string-length($c_n_nm)=2">
			<xsl:value-of select="concat('c', $c_n_nm)"/>
		</xsl:if>
	</xsl:variable>
<!-- test node -->
<!-- <X_c_toc fixed_c_sl="{$fixed_c_sl}" c_n_nm="{$c_n_nm}" agg_ct="{$agg_ct}"/> -->
<!-- C0? Rows -->
<!-- spacer row before series -->
						<TR>
							<TD VALIGN="top" COLSPAN="14"></TD>
						</TR>


						<xsl:apply-templates select="did/unittitle" mode="dsc_did_children">
							<xsl:with-param name="lv" select="number(substring(name(), 2, string-length(name())))"/>
							<xsl:with-param name="c02_ct" select="number($p)"/>
							<xsl:with-param name="desc_series_query" select="number($p)"/>
							<xsl:with-param name="agg_ct" select="concat($agg_ct, number(1000 + $p))"/>
							<xsl:with-param 
								name="desc_series_toc_nix_container_x"
								select="$desc_series_toc_nix_container_x"
							/>
						</xsl:apply-templates>
<!-- non-did childern and non-c0? children -->
<!-- 
						<xsl:apply-templates select="*[not(name()='did') and not(name()=$fixed_c_sl)]" mode="dsc_c_children">
							<xsl:with-param name="lv" select="number(substring(name(), 2, string-length(name())))"/>
						</xsl:apply-templates> -->
<!-- subseries -->
<!-- beg choose check 'mu' -->
<xsl:choose>
<xsl:when test="$agg_x_c = 'mu'">
<!-- beg when check 'mu' = true -->
	<xsl:choose>
		<xsl:when test="*[name()=$fixed_c_sl and @level='subseries' and child::scopecontent]">
			<xsl:apply-templates select="*[name()=$fixed_c_sl and @level='subseries' and child::scopecontent]" mode="desc_series_toc_xx">
				<xsl:with-param name="agg_ct" select="concat($agg_ct, number(1000 + $p))"/>
				<xsl:with-param 
					name="desc_series_toc_nix_container_x"
					select="$desc_series_toc_nix_container_x"
				/>
			</xsl:apply-templates>
		</xsl:when>
		<xsl:otherwise>
		</xsl:otherwise>
	</xsl:choose>
<!-- end when check 'mu' = true -->
</xsl:when>
<xsl:otherwise>
<!-- beg otherwise check 'mu' = false -->
	<xsl:choose>
		<xsl:when test="*[name()=$fixed_c_sl and @level='subseries']">
			<xsl:apply-templates select="*[name()=$fixed_c_sl and @level='subseries']" mode="desc_series_toc_xx">
				<xsl:with-param name="agg_ct" select="concat($agg_ct, number(1000 + $p))"/>
				<xsl:with-param 
					name="desc_series_toc_nix_container_x"
					select="$desc_series_toc_nix_container_x"
				/>
			</xsl:apply-templates>
		</xsl:when>
		<xsl:otherwise>
		</xsl:otherwise>
	</xsl:choose>
<!-- end otherwise check 'mu' = false -->
</xsl:otherwise>
</xsl:choose>
<!-- end choose check 'mu' -->
</xsl:template>


<xsl:template name="axf_attributes_archdesc">
<xsl:variable name="t" select="count(ancestor::ead/archdesc//head)"/>
<xsl:variable name="f" select="count(following::head[ancestor::archdesc])"/>
<xsl:variable name="p" select="$t - $f"/>
	<xsl:variable name="id_x">
		<xsl:choose>
			<xsl:when test="string-length(@id)=0">
				<xsl:value-of select="
					concat(
						substring(
							ancestor::ead/eadheader/eadid[1], 
							string-length(ancestor::ead/eadheader/eadid[1])-7, 
							string-length(ancestor::ead/eadheader/eadid[1])
						), 
						'_', 
						name(parent::*), 
						'_', 
						substring(translate(normalize-space(.), ' ', '_'), 1, 5), 
						'_', 
						$p
					)
				"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="@id"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
<!-- if parent is a child of archdesc -->
<!-- if parent[A] has a parent[B] that is a child of archdesc  -->
<!-- if parent[B] has head -->
<!-- if parent[B] no head level = 1 -->
<!-- if parent[B] has head level = 2 -->
<xsl:choose>
<xsl:when test="parent::*[parent::archdesc] or parent::*[ancestor::archdesc]">
<!-- descendant of archdesc -->
	<xsl:choose>
		<xsl:when test="parent::*[parent::archdesc]">
<!-- parent is child of archdesc -->
<!-- level = 1 -->
			<xsl:text>1;</xsl:text>
			<xsl:value-of select="$id_x"/>
		</xsl:when>
		<xsl:otherwise>
<!-- parent of parent is child of archdesc -->
			<xsl:choose>
				<xsl:when test="parent::*[parent::*[parent::archdesc]]">
<!-- parent of parent has head or not -->
					<xsl:choose>
						<xsl:when test="parent::*[parent::*[parent::archdesc and child::head]]">
<!-- parent of parent has head -->
<!-- level = 2 -->
						<xsl:text>2;</xsl:text>
						<xsl:value-of select="$id_x"/>
						</xsl:when>
						<xsl:otherwise>
<!-- parent of parent does not have head -->
<!-- level = 1 -->
						<xsl:text>1;</xsl:text>
						<xsl:value-of select="$id_x"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:otherwise>
<!-- do nothing -->
				</xsl:otherwise>
			</xsl:choose>
		</xsl:otherwise>
	</xsl:choose>
</xsl:when>
<xsl:otherwise>
<!-- do nothing -->
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template match="imprint">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; -->
		<!-- emph; lb; publisher; geogname; date -->
		<!-- @id -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
</xsl:template>

<xsl:template match="item[parent::change]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- archref; bibref; extptr; extref; linkgrp; ptr; ref; -->
		<!-- emph; lb; blockquote; -->
		<!-- address; abbr; date; expan; note; num; title; -->
		<!-- corpname; famname; function; genreform; geogname; -->
		<!-- name; occupation; persname; subject; -->
		<!-- origination; repository; unidate; unittitle; -->
		<!-- chronlist; list; table; -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:text> </xsl:text>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
</xsl:template>

<xsl:template match="langmaterial[string-length(@label)=0]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- emph; lb; abbr; expan; title; language; -->
		<!-- ptr; extptr; ref; extref; archref; bibref; -->
		<!-- linkgrp; -->
		<!-- @label; @id; -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
</xsl:template>

<xsl:template match="langmaterial[string-length(@label)&gt;1]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- emph; lb; abbr; expan; title; -->
		<!-- ptr; extptr; ref; extref; archref; bibref; -->
		<!-- linkgrp; -->
		<!-- @label; @id; -->
	<xsl:variable name="label_n">
		<xsl:call-template name="label_x"/>
	</xsl:variable>
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:choose>
		<xsl:when test="$label_n='true'">
<xsl:if test="preceding-sibling::langmaterial or parent::did[parent::archdesc]">
			<BR/>
</xsl:if>
				<B>
					<xsl:value-of select="@label"/>
					<xsl:if test="not(substring(@label, string-length(@label), 1)=':')">
						<xsl:text>:</xsl:text>
					</xsl:if>					<xsl:text> </xsl:text>
				</B>
				<xsl:apply-templates>
					<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
				<xsl:if test="string-length($high_did)&gt;1">
					<xsl:apply-templates select="text()" mode="kill_txt"/>
				</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:apply-templates>
				<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
			</xsl:apply-templates>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="language">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; -->
		<!-- emph; lb; -->
		<!-- @id -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
</xsl:template>

<xsl:template match="lb">
	<BR/>
</xsl:template>

<!-- only parent::accessrestrict -->
<xsl:template match="legalstatus">
	<xsl:param name="desc_series_query"/>
	<!-- mixed=true -->
		<!-- date; emph; lb; -->
		<!-- extptr; ptr; -->
		<!-- @id; @type; -->
<xsl:if test="preceding-sibling::legalstatus">
	<BR/>
</xsl:if>
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates/>
</xsl:template>

<!-- child::materialspec -->
<xsl:template match="materialspec[string-length(@label)&gt;1]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- materialspec; -->
		<!-- emph; lb; abbr; expan; num; title; -->
		<!-- archref; bibref -->
		<!-- ptr; extptr; ref; extref; -->
		<!-- linkgrp; -->
		<!-- @label; @id; -->
	<xsl:variable name="label_n">
		<xsl:call-template name="label_x"/>
	</xsl:variable>
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:choose>
		<xsl:when test="$label_n='true'">
<xsl:if test="not(ancestor::dsc)">
			<BR/>
</xsl:if>
				<B>
					<xsl:value-of select="@label"/>
					<xsl:if test="not(substring(@label, string-length(@label), 1)=':')">
						<xsl:text>:</xsl:text>
					</xsl:if>
					<xsl:text> </xsl:text>
				</B>
				<xsl:apply-templates>
					<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
		</xsl:when>
		<xsl:otherwise>
			<xsl:apply-templates>
				<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
			</xsl:apply-templates>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<!-- child::materialspec -->
<xsl:template match="materialspec[string-length(@label)=0]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- materialspec; -->
		<!-- emph; lb; abbr; expan; num; title; -->
		<!-- archref; bibref -->
		<!-- ptr; extptr; ref; extref; -->
		<!-- linkgrp; -->
		<!-- @label; @id; -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
</xsl:template>

<xsl:template match="name">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; -->
		<!-- emph; lb; -->
		<!-- @id -->
	<xsl:if test="parent::controlaccess or parent::namegrp">
		<BR/>
	</xsl:if>
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
</xsl:template>

<!-- child::note -->
<xsl:template match="note[string-length(@label)&gt;1]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- children only -->
		<!-- note; -->
		<!-- address; blockquote; p; -->
		<!-- chronlist; list; table; -->
			<!-- min=1 max=1 -->
		<!-- @label; @id; @type; -->
	<xsl:variable name="label_n">
		<xsl:call-template name="label_x"/>
	</xsl:variable>
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:choose>
		<xsl:when test="$label_n='true'">
			<xsl:if test="not(ancestor::dsc)">
				<BR/>
			</xsl:if>
			<xsl:choose>
				<xsl:when test="ancestor::eadheader">
					<P ALIGN="center">
						<B>
							<xsl:value-of select="@label"/>
							<xsl:if test="not(substring(@label, string-length(@label), 1)=':')">
								<xsl:text>:</xsl:text>
							</xsl:if>
							<xsl:text> </xsl:text>
						</B>
					</P>
					<xsl:apply-templates>
						<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
					</xsl:apply-templates>
				</xsl:when>
				<xsl:otherwise>
					<B>
						<xsl:value-of select="@label"/>
						<xsl:if test="not(substring(@label, string-length(@label), 1)=':')">
							<xsl:text>:</xsl:text>
						</xsl:if>
						<xsl:text> </xsl:text>
					</B>
					<xsl:apply-templates>
						<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
					</xsl:apply-templates>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:when>
		<xsl:otherwise>
			<xsl:apply-templates>
				<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
			</xsl:apply-templates>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<!-- child::note -->
<xsl:template match="note[string-length(@label)=0]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- children only -->
		<!-- note; -->
		<!-- address; blockquote; p; -->
		<!-- chronlist; list; table; -->
			<!-- min=1 max=1 -->
		<!-- @label; @id; @type; -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="num">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; emph; lb; -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
</xsl:template>

<xsl:template match="occupation">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; -->
		<!-- emph; lb; -->
		<!-- @id; -->
	<xsl:if test="parent::controlaccess or parent::namegrp">
		<BR/>
	</xsl:if>
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
</xsl:template>

<xsl:template match="origination[string-length(@label)=0]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; -->
		<!-- ref; extref; archref; bibref; -->
		<!-- emph; lb; abbr; expan; title; -->
		<!-- corpname; famname; name; persname; -->
		<!-- linkgrp; -->
		<!-- @label; @id; -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
</xsl:template>

<xsl:template match="origination[string-length(@label)&gt;1]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; -->
		<!-- ref; extref; archref; bibref; -->
		<!-- emph; lb; abbr; expan; title; -->
		<!-- corpname; famname; name; persname; -->
		<!-- linkgrp; -->
		<!-- @label; @id; -->
	<xsl:variable name="label_n">
		<xsl:call-template name="label_x"/>
	</xsl:variable>
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:choose>
		<xsl:when test="$label_n='true'">
<xsl:if test="not(ancestor::dsc)">
			<BR/>
</xsl:if>
				<B>
					<xsl:value-of select="@label"/>
					<xsl:if test="not(substring(@label, string-length(@label), 1)=':')">
						<xsl:text>:</xsl:text>
					</xsl:if>
					<xsl:text> </xsl:text>
				</B>
				<xsl:apply-templates>
					<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
		</xsl:when>
		<xsl:otherwise>
			<xsl:apply-templates>
				<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
			</xsl:apply-templates>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="p">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:param name="high_did_label"/>
	<xsl:param name="child_one"/>
	<!-- mixed=true -->
		<!-- archref; bibref; ptr; extptr; ref; extref; linkgrp; -->
		<!-- blockquote; emph; lb; -->
		<!-- abbr; address; date; expan; note; num; title; -->
		<!-- coprname; famname; function; genreform; -->
		<!-- geogname; name; occupation; persname; subject; -->
		<!-- origination; repository; unitdate; unittitle; -->
		<!-- chronlist; list; table; -->
		<!-- @id; -->
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
<xsl:choose>
<xsl:when test="ancestor::dsc">
	<xsl:choose>
		<xsl:when test="preceding-sibling::p">
			<BR/>
		</xsl:when>
		<xsl:otherwise>
		</xsl:otherwise>
	</xsl:choose>
		<xsl:apply-templates>
			<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
		</xsl:apply-templates>
</xsl:when>
<xsl:otherwise>
<P>
	<xsl:if test="ancestor::eadheader">
		<xsl:attribute name="ALIGN">center</xsl:attribute>
	</xsl:if>
		<xsl:apply-templates>
			<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
		</xsl:apply-templates>
</P>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template match="persname">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; -->
		<!-- emph; lb; -->
		<!-- @id -->
	<xsl:if test="parent::controlaccess or parent::namegrp">
		<BR/>
	</xsl:if>
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	<xsl:if test="following-sibling::* and parent::origination">
		<xsl:text>; </xsl:text>
	</xsl:if>
</xsl:template>

<xsl:template match="physdesc[string-length(@label)=0]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- emph; lb; abbr; expan; title; -->
		<!-- dimensions; physfacet; extent; genreform; -->
		<!-- date; corpname; famname; geogname; occupation; -->
		<!-- persname; subject; function; -->
		<!-- ptr; extptr; -->
		<!-- ref; extref; archref; bibref; -->
		<!-- linkgrp; -->
		<!-- @label; @id; -->
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:apply-templates/>
</xsl:template>

<xsl:template match="physdesc[string-length(@label)&gt;1]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- emph; lb; abbr; expan; title; -->
		<!-- dimensions; physfacet; extent; genreform; -->
		<!-- date; corpname; famname; geogname; occupation; -->
		<!-- persname; subject; function; -->
		<!-- ptr; extptr; -->
		<!-- ref; extref; archref; bibref; -->
		<!-- linkgrp; -->
		<!-- @label; @id; -->
	<xsl:variable name="label_n">
		<xsl:call-template name="label_x"/>
	</xsl:variable>
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:choose>
		<xsl:when test="$label_n='true'">
<xsl:if test="not(ancestor::dsc)">
			<BR/>
</xsl:if>
				<B>
					<xsl:value-of select="@label"/>
					<xsl:if test="not(substring(@label, string-length(@label), 1)=':')">
						<xsl:text>:</xsl:text>
					</xsl:if>
					<xsl:text> </xsl:text>
				</B>
				<xsl:apply-templates>
					<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
		</xsl:when>
		<xsl:otherwise>
			<xsl:apply-templates>
				<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
			</xsl:apply-templates>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="physfacet">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; -->
		<!-- ref; extref; bibref; archref; -->
		<!-- linkgrp; -->
		<!-- emph; lb; abbr; expan; title; date; -->
		<!-- corpname; famname; geogname; name; -->
		<!-- occupation; persname; subject; -->
		<!-- genreform; function; -->
		<!-- @id; -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
</xsl:template>

<!-- @parent = @id -->
<xsl:template match="physloc[string-length(@label)=0]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- emph; lb; abbr; expan; title; -->
		<!-- ptr; extptr; -->
		<!-- ref; extref; archref; bibref; -->
		<!-- linkgrp; -->
		<!-- @label; @id; @parent; @type; -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:if test="string-length(@parent)&gt;1">
		<xsl:variable name="x" select="@parent"/>
		<xsl:apply-templates select="preceding::physloc[@id=$x]" mode="pl_parent">
			<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
		</xsl:apply-templates>
	</xsl:if>
	<xsl:if test="string-length(@type)&gt;1">
		<B>
			<xsl:text> </xsl:text>
			<xsl:value-of select="translate(@type, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
			<xsl:text> </xsl:text>
		</B>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
</xsl:template>

<!-- @parent = @id -->
<xsl:template match="physloc[string-length(@label)&gt;1]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- emph; lb; abbr; expan; title; -->
		<!-- ptr; extptr; -->
		<!-- ref; extref; archref; bibref; -->
		<!-- linkgrp; -->
		<!-- @label; @id; @parent; @type; -->
	<xsl:variable name="label_n">
		<xsl:call-template name="label_x"/>
	</xsl:variable>
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:choose>
		<xsl:when test="$label_n='true'">
<xsl:if test="not(ancestor::dsc)">
			<BR/>
</xsl:if>
				<B>
					<xsl:value-of select="@label"/>
					<xsl:if test="not(substring(@label, string-length(@label), 1)=':')">
						<xsl:text>:</xsl:text>
					</xsl:if>
					<xsl:text> </xsl:text>
				</B>
<!-- @parent -->
				<xsl:if test="string-length(@parent)&gt;1">
					<xsl:variable name="x" select="@parent"/>
					<xsl:apply-templates select="preceding::physloc[@id=$x]" mode="pl_parent">
						<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
					</xsl:apply-templates>
				</xsl:if>
				<xsl:if test="string-length(@type)&gt;1">
					<B>
						<xsl:text> </xsl:text>
						<xsl:value-of select="translate(@type, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
						<xsl:text> </xsl:text>
					</B>
				</xsl:if>
				<xsl:apply-templates>
					<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
		</xsl:when>
		<xsl:otherwise>
<!-- @parent -->
			<xsl:if test="string-length(@parent)&gt;1">
				<xsl:variable name="x" select="@parent"/>
				<xsl:apply-templates select="preceding::physloc[@id=$x]" mode="pl_parent">
					<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</xsl:if>
			<xsl:if test="string-length(@type)&gt;1">
				<B>
					<xsl:text> </xsl:text>
					<xsl:value-of select="translate(@type, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
					<xsl:text> </xsl:text>
				</B>
			</xsl:if>
			<xsl:apply-templates>
				<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
			</xsl:apply-templates>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="physloc" mode="pl_parent">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:if test="string-length(@type)&gt;1">
		<B>
			<xsl:text> </xsl:text>
			<xsl:value-of select="translate(@type, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
			<xsl:text> </xsl:text>
		</B>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
</xsl:template>

<xsl:template match="publisher">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- ptr; exptr; -->
		<!-- emph; lb; -->
		<!-- @id -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
</xsl:template>

<xsl:template match="repository[string-length(@label)=0]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; -->
		<!-- ref; extref; archref; bibref; -->
		<!-- linkgrp; -->
		<!-- emph; lb; abbr; expan; title; -->
		<!-- address; corpname; name; subarea; -->
		<!-- @label; @id; -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
</xsl:template>

<xsl:template match="repository[string-length(@label)&gt;1]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; -->
		<!-- ref; extref; archref; bibref; -->
		<!-- linkgrp; -->
		<!-- emph; lb; abbr; expan; title; -->
		<!-- address; corpname; name; subarea; -->
		<!-- @label; @id; -->
	<xsl:variable name="label_n">
		<xsl:call-template name="label_x"/>
	</xsl:variable>
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:choose>
		<xsl:when test="$label_n='true'">
<xsl:if test="not(ancestor::dsc)">
			<BR/>
</xsl:if>
				<B>
					<xsl:value-of select="@label"/>
					<xsl:if test="not(substring(@label, string-length(@label), 1)=':')">
						<xsl:text>:</xsl:text>
					</xsl:if>
					<xsl:text> </xsl:text>
				</B>
				<xsl:apply-templates>
					<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
				<xsl:if test="string-length($high_did)&gt;1">
					<xsl:apply-templates select="text()" mode="kill_txt"/>
				</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:apply-templates>
				<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
			</xsl:apply-templates>
			<xsl:if test="string-length($high_did)&gt;1">
				<xsl:apply-templates select="text()" mode="kill_txt"/>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="resource">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- emph; lb; -->
		<!-- @label; @id; @title; -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
</xsl:template>

<xsl:template match="runner">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; emph; lb; -->
		<!-- @placement /header; footer; watermark; -->
		<!-- @id; -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
</xsl:template>

<xsl:template match="subarea">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; -->
		<!-- emph; lb; -->
		<!-- @id -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	<xsl:if test="string-length($high_did)&gt;1">
		<xsl:text>, </xsl:text>
	</xsl:if>
</xsl:template>

<xsl:template match="subject">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; -->
		<!-- emph; lb; -->
		<!-- @id; -->
	<xsl:if test="parent::controlaccess or parent::namegrp">
		<BR/>
	</xsl:if>
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
</xsl:template>

<xsl:template match="title[string-length(@href)&gt;1]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; -->
		<!-- emph; lb; date; num; -->
		<!-- @entityref; @href; @id; @render; -->
	<xsl:if test="parent::controlaccess or parent::namegrp">
		<BR/>
	</xsl:if>
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
<!-- @render -->
	<xsl:choose>
		<xsl:when test="@altrender='normal' or string-length(@render)=0">
<!-- @altrender=normal -->
			<xsl:if test="@altrender='normal'">
				<A HREF="{@href}">
					<xsl:attribute name="TITLE">
						<xsl:value-of select="@href"/>
					</xsl:attribute>
					<xsl:apply-templates>
						<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
					</xsl:apply-templates>
				</A>
			</xsl:if>
<!-- @render = 0 -->
			<xsl:if test="string-length(@render)=0">
				<I>
				<A HREF="{@href}">
					<xsl:attribute name="TITLE">
						<xsl:value-of select="@href"/>
					</xsl:attribute>
					<xsl:apply-templates>
						<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
					</xsl:apply-templates>
				</A>
				</I>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
<!-- @render -->
<!-- altrender -->
<!-- bold -->
<!-- bolddoublequote -->
<!-- bolditalic -->
<!-- boldsinglequote -->
<!-- boldsmcaps -->
<!-- boldunderline -->
<!-- doublequote -->
<!-- italic -->
<!-- nonproport -->
<!-- singlequote -->
<!-- smcaps -->
<!-- sub -->
<!-- super -->
<!-- underline -->
<xsl:choose>
<xsl:when test="@altrender='strikeout'">
	<STRIKE>
				<A HREF="{@href}">
					<xsl:attribute name="TITLE">
						<xsl:value-of select="@href"/>
					</xsl:attribute>
					<xsl:apply-templates>
						<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
					</xsl:apply-templates>
				</A>
	</STRIKE>
</xsl:when>
<xsl:otherwise>
<!-- bold -->
	<xsl:if test="@render='bold'">
		<B>
				<A HREF="{@href}">
					<xsl:attribute name="TITLE">
						<xsl:value-of select="@href"/>
					</xsl:attribute>
					<xsl:apply-templates>
						<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
					</xsl:apply-templates>
				</A>
		</B>
	</xsl:if>
<!-- bolddoublequote -->
	<xsl:if test="@render='bolddoublequote'">
		<B>
				<A HREF="{@href}">
					<xsl:attribute name="TITLE">
						<xsl:value-of select="@href"/>
					</xsl:attribute>
			<xsl:text>"</xsl:text>
					<xsl:apply-templates>
						<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
					</xsl:apply-templates>
			<xsl:text>"</xsl:text>
				</A>
		</B>
	</xsl:if>
<!-- bolditalic -->
	<xsl:if test="@render='bolditalic'">
		<B>
			<I>
				<A HREF="{@href}">
					<xsl:attribute name="TITLE">
						<xsl:value-of select="@href"/>
					</xsl:attribute>
					<xsl:apply-templates>
						<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
					</xsl:apply-templates>
				</A>
			</I>
		</B>
	</xsl:if>
<!-- boldsinglequote -->
	<xsl:if test="@render='boldsinglequote'">
		<B>
				<A HREF="{@href}">
			<xsl:text>'</xsl:text>
					<xsl:attribute name="TITLE">
						<xsl:value-of select="@href"/>
					</xsl:attribute>
					<xsl:apply-templates>
						<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
					</xsl:apply-templates>
			<xsl:text>'</xsl:text>
				</A>
		</B>
	</xsl:if>
<!-- boldsmcaps -->
	<xsl:if test="@render='boldsmcaps'">
		<B>
			<SMALL>
				<A HREF="{@href}">
					<xsl:attribute name="TITLE">
						<xsl:value-of select="@href"/>
					</xsl:attribute>
					<xsl:apply-templates>
						<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
					</xsl:apply-templates>
				</A>
			</SMALL>
		</B>
	</xsl:if>
<!-- boldunderline -->
	<xsl:if test="@render='boldunderline'">
		<B>
			<U>
				<A HREF="{@href}">
					<xsl:attribute name="TITLE">
						<xsl:value-of select="@href"/>
					</xsl:attribute>
					<xsl:apply-templates>
						<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
					</xsl:apply-templates>
				</A>
			</U>
		</B>
	</xsl:if>
<!-- doublequote -->
	<xsl:if test="@render='doublequote'">
				<A HREF="{@href}">
					<xsl:attribute name="TITLE">
						<xsl:value-of select="@href"/>
					</xsl:attribute>
		<xsl:text>"</xsl:text>
					<xsl:apply-templates>
						<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
					</xsl:apply-templates>
		<xsl:text>"</xsl:text>
				</A>
	</xsl:if>
<!-- italic -->
	<xsl:if test="@render='italic'">
		<I>
				<A HREF="{@href}">
					<xsl:attribute name="TITLE">
						<xsl:value-of select="@href"/>
					</xsl:attribute>
					<xsl:apply-templates>
						<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
					</xsl:apply-templates>
				</A>
		</I>
	</xsl:if>
<!-- nonproport -->
	<xsl:if test="@render='nonproport'">
				<A HREF="{@href}">
					<xsl:attribute name="TITLE">
						<xsl:value-of select="@href"/>
					</xsl:attribute>
					<xsl:apply-templates>
						<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
					</xsl:apply-templates>
				</A>
	</xsl:if>
<!-- singlequote -->
	<xsl:if test="@render='singlequote'">
				<A HREF="{@href}">
					<xsl:attribute name="TITLE">
						<xsl:value-of select="@href"/>
					</xsl:attribute>
		<xsl:text>'</xsl:text>
					<xsl:apply-templates>
						<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
					</xsl:apply-templates>
		<xsl:text>'</xsl:text>
				</A>
	</xsl:if>
<!-- smcaps -->
	<xsl:if test="@render='smcaps'">
		<SMALL>
				<A HREF="{@href}">
					<xsl:attribute name="TITLE">
						<xsl:value-of select="@href"/>
					</xsl:attribute>
					<xsl:apply-templates>
						<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
					</xsl:apply-templates>
				</A>
		</SMALL>
	</xsl:if>
<!-- sub -->
	<xsl:if test="@render='sub'">
		<SUB>
				<A HREF="{@href}">
					<xsl:attribute name="TITLE">
						<xsl:value-of select="@href"/>
					</xsl:attribute>
					<xsl:apply-templates>
						<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
					</xsl:apply-templates>
				</A>
		</SUB>
	</xsl:if>
<!-- super -->
	<xsl:if test="@render='super'">
		<SUP>
				<A HREF="{@href}">
					<xsl:attribute name="TITLE">
						<xsl:value-of select="@href"/>
					</xsl:attribute>
					<xsl:apply-templates>
						<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
					</xsl:apply-templates>
				</A>
		</SUP>
	</xsl:if>
<!-- underline -->
	<xsl:if test="@render='underline'">
		<U>
				<A HREF="{@href}">
					<xsl:attribute name="TITLE">
						<xsl:value-of select="@href"/>
					</xsl:attribute>
					<xsl:apply-templates>
						<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
					</xsl:apply-templates>
				</A>
		</U>
	</xsl:if>
</xsl:otherwise>
</xsl:choose>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="title[string-length(@href)=0]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; -->
		<!-- emph; lb; date; num; -->
		<!-- @entityref; @href; @id; @render; -->
	<xsl:if test="parent::controlaccess or parent::namegrp">
		<BR/>
	</xsl:if>
	<xsl:if test="string-length(@id)&gt;=0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:choose>
		<xsl:when test="@altrender='normal' or string-length(@render)=0">
<!-- @altrender=normal -->
			<xsl:if test="@altrender='normal'">
					<xsl:apply-templates>
						<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
					</xsl:apply-templates>
			</xsl:if>
<!-- @render = 0 -->
			<xsl:if test="string-length(@render)=0">
				<I>
					<xsl:apply-templates>
						<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
					</xsl:apply-templates>
				</I>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
<!-- @render -->
<!-- altrender -->
<!-- bold -->
<!-- bolddoublequote -->
<!-- bolditalic -->
<!-- boldsinglequote -->
<!-- boldsmcaps -->
<!-- boldunderline -->
<!-- doublequote -->
<!-- italic -->
<!-- nonproport -->
<!-- singlequote -->
<!-- smcaps -->
<!-- sub -->
<!-- super -->
<!-- underline -->
<xsl:choose>
<xsl:when test="@altrender='strikeout'">
	<STRIKE>
		<xsl:apply-templates>
			<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
		</xsl:apply-templates>
	</STRIKE>
</xsl:when>
<xsl:otherwise>
<!-- bold -->
	<xsl:if test="@render='bold'">
		<B>
			<xsl:apply-templates>
				<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
			</xsl:apply-templates>
		</B>
	</xsl:if>
<!-- bolddoublequote -->
	<xsl:if test="@render='bolddoublequote'">
		<B>
			<xsl:text>"</xsl:text>
			<xsl:apply-templates>
				<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
			</xsl:apply-templates>
			<xsl:text>"</xsl:text>
		</B>
	</xsl:if>
<!-- bolditalic -->
	<xsl:if test="@render='bolditalic'">
		<B>
			<I>
				<xsl:apply-templates>
					<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</I>
		</B>
	</xsl:if>
<!-- boldsinglequote -->
	<xsl:if test="@render='boldsinglequote'">
		<B>
			<xsl:text>'</xsl:text>
			<xsl:apply-templates>
				<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
			</xsl:apply-templates>
			<xsl:text>'</xsl:text>
		</B>
	</xsl:if>
<!-- boldsmcaps -->
	<xsl:if test="@render='boldsmcaps'">
		<B>
			<SMALL>
				<xsl:apply-templates>
					<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</SMALL>
		</B>
	</xsl:if>
<!-- boldunderline -->
	<xsl:if test="@render='boldunderline'">
		<B>
			<U>
				<xsl:apply-templates>
					<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
			</U>
		</B>
	</xsl:if>
<!-- doublequote -->
	<xsl:if test="@render='doublequote'">
		<xsl:text>"</xsl:text>
		<xsl:apply-templates>
			<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
		</xsl:apply-templates>
		<xsl:text>"</xsl:text>
	</xsl:if>
<!-- italic -->
	<xsl:if test="@render='italic'">
		<I>
			<xsl:apply-templates>
				<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
			</xsl:apply-templates>
		</I>
	</xsl:if>
<!-- nonproport -->
	<xsl:if test="@render='nonproport'">
		<xsl:apply-templates>
			<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
		</xsl:apply-templates>
	</xsl:if>
<!-- singlequote -->
	<xsl:if test="@render='singlequote'">
		<xsl:text>'</xsl:text>
		<xsl:apply-templates>
			<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
		</xsl:apply-templates>
		<xsl:text>'</xsl:text>
	</xsl:if>
<!-- smcaps -->
	<xsl:if test="@render='smcaps'">
		<SMALL>
			<xsl:apply-templates>
				<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
			</xsl:apply-templates>
		</SMALL>
	</xsl:if>
<!-- sub -->
	<xsl:if test="@render='sub'">
		<SUB>
			<xsl:apply-templates>
				<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
			</xsl:apply-templates>
		</SUB>
	</xsl:if>
<!-- super -->
	<xsl:if test="@render='super'">
		<SUP>
			<xsl:apply-templates>
				<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
			</xsl:apply-templates>
		</SUP>
	</xsl:if>
<!-- underline -->
	<xsl:if test="@render='underline'">
		<U>
			<xsl:apply-templates>
				<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
			</xsl:apply-templates>
		</U>
	</xsl:if>
</xsl:otherwise>
</xsl:choose>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="@altrender" mode="title-x">
</xsl:template>

<xsl:template match="unitid[string-length(@label)=0]">
	<xsl:param name="dsc_did_cell_2"/>
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:param name="special_unittitle_cell"/>
	<xsl:param name="desc_series_toc_nix_container_x"/>
	<xsl:variable name="t" select="count(parent::did/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<!-- mixed=true -->
		<!-- ptr; exptr; ref; extref; -->
		<!-- emph; abbr; expan; title; -->
		<!-- archref; bibref; -->
		<!-- linkgrp; -->
		<!-- @id; @label; -->
	<xsl:variable name="br_br">
		<xsl:choose>
			<xsl:when test="string-length($special_eadid_x_unitid)!=0">
				<xsl:text>unitid</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:text>container;unitid</xsl:text>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>

<!-- beg choose check $desc_series_toc_nix_container_x -->
	<xsl:choose>
		<xsl:when test="string-length($desc_series_toc_nix_container_x)!=0">
<!-- beg when check $desc_series_toc_nix_container_x != 0 -->
<!-- end when check $desc_series_toc_nix_container_x != 0 -->
		</xsl:when>
		<xsl:otherwise>
<!-- beg otherwise check $desc_series_toc_nix_container_x = 0 -->

<xsl:choose>
<xsl:when test="string-length($special_unittitle_cell)!=0">
<!-- special unittitle cell in dsc -->
<TD WIDTH="30%" VALIGN="top" ALIGN="left">
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:apply-templates>
		<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
</TD>
</xsl:when>
<xsl:otherwise>
<!-- regular transformation -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
<xsl:if test="string-length(name(parent::did/*[number($p -1)]))!=0">
	<xsl:if 
		test="
			contains(
				$br_br,
				name(parent::did/*[number($p -1)])
			)
			and 
			ancestor::dsc 
			and 
			string-length($dsc_did_cell_2)=0
		"
	>
		<BR/>
	</xsl:if>
</xsl:if>
		<xsl:apply-templates>
			<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
		</xsl:apply-templates>
</xsl:otherwise>
</xsl:choose>

<!-- end otherwise check $desc_series_toc_nix_container_x = 0 -->
	</xsl:otherwise>
</xsl:choose>
<!-- end choose check $desc_series_toc_nix_container_x -->
</xsl:template>

<xsl:template match="unitid[string-length(@label)&gt;1]">
	<xsl:param name="dsc_did_cell_2"/>
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:param name="special_unittitle_cell"/>
	<xsl:param name="desc_series_toc_nix_container_x"/>
	<xsl:variable name="t" select="count(parent::did/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<!-- mixed=true -->
		<!-- ptr; exptr; ref; extref; -->
		<!-- emph; abbr; expan; title; -->
		<!-- archref; bibref; -->
		<!-- linkgrp; -->
		<!-- @id; @label; -->
	<xsl:variable name="label_n">
		<xsl:call-template name="label_x"/>
	</xsl:variable>
	<xsl:variable name="br_br">
		<xsl:choose>
			<xsl:when test="string-length($special_eadid_x_unitid)!=0">
				<xsl:text>unitid</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:text>container;unitid</xsl:text>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>

<!-- beg choose check $desc_series_toc_nix_container_x -->
	<xsl:choose>
		<xsl:when test="string-length($desc_series_toc_nix_container_x)!=0">
<!-- beg when check $desc_series_toc_nix_container_x != 0 -->
<!-- end when check $desc_series_toc_nix_container_x != 0 -->
		</xsl:when>
		<xsl:otherwise>
<!-- beg otherwise check $desc_series_toc_nix_container_x = 0 -->


<xsl:choose>
<xsl:when test="string-length($special_unittitle_cell)!=0">
<!-- special unittitle cell in dsc -->
<TD WIDTH="30%" VALIGN="top" ALIGN="left">

	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:choose>
		<xsl:when test="$label_n='true'">
			<B>
				<SMALL>
					<xsl:text> </xsl:text>
						<xsl:choose>
							<xsl:when test="parent::did and ancestor::dsc">
									<xsl:value-of select="translate(@label, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="@label"/>
							</xsl:otherwise>
						</xsl:choose>
					<xsl:if test="not(substring(@label, string-length(@label), 1)=':')">
						<xsl:text>:</xsl:text>
					</xsl:if>
					<xsl:text> </xsl:text>
				</SMALL>
			</B>
			<xsl:apply-templates>
				<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
			</xsl:apply-templates>
		</xsl:when>
		<xsl:otherwise>
			<xsl:apply-templates>
				<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
			</xsl:apply-templates>
		</xsl:otherwise>
	</xsl:choose>

</TD>
</xsl:when>
<xsl:otherwise>
<!-- regular transformation -->

	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
<xsl:if test="string-length(name(parent::did/*[number($p -1)]))!=0">
	<xsl:if 
		test="
			contains(
				$br_br,
				name(parent::did/*[number($p -1)])
			)
			and 
			ancestor::dsc 
			and 
			string-length($dsc_did_cell_2)=0
		"
	>
		<BR/>
	</xsl:if>
</xsl:if>
<xsl:choose>
		<xsl:when test="$label_n='true'">
			<xsl:if test="not(ancestor::dsc)">
				<BR/>
			</xsl:if>

	<xsl:choose>
		<xsl:when test="parent::did[parent::archdesc]">
			<B>
				<xsl:text> </xsl:text>
					<xsl:choose>
							<xsl:when test="parent::did and ancestor::dsc">
									<xsl:value-of select="translate(@label, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="@label"/>
							</xsl:otherwise>
						</xsl:choose>
					<xsl:if test="not(substring(@label, string-length(@label), 1)=':')">
						<xsl:text>:</xsl:text>
					</xsl:if>
					<xsl:text> </xsl:text>
				</B>
		</xsl:when>
		<xsl:otherwise>
			<B>
				<SMALL>
					<xsl:text> </xsl:text>
						<xsl:choose>
							<xsl:when test="parent::did and ancestor::dsc">
									<xsl:value-of select="translate(@label, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="@label"/>
							</xsl:otherwise>
						</xsl:choose>
					<xsl:if test="not(substring(@label, string-length(@label), 1)=':')">
						<xsl:text>:</xsl:text>
					</xsl:if>
					<xsl:text> </xsl:text>
				</SMALL>
			</B>
		</xsl:otherwise>
		</xsl:choose>

			<xsl:apply-templates>
				<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
			</xsl:apply-templates>
		</xsl:when>
		<xsl:otherwise>
			<xsl:apply-templates>
				<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
			</xsl:apply-templates>
		</xsl:otherwise>
	</xsl:choose>

</xsl:otherwise>
</xsl:choose>

<!-- end otherwise check $desc_series_toc_nix_container_x = 0 -->
	</xsl:otherwise>
</xsl:choose>
<!-- end choose check $desc_series_toc_nix_container_x -->
</xsl:template>

<xsl:template match="unitdate[string-length(@label)=0]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:variable name="t" select="count(parent::did/*)"/>
	<xsl:variable name="f" select="count(following-sibling::*)"/>
	<xsl:variable name="p" select="$t - $f"/>
	<!-- mixed=true -->
		<!-- archref; bibref; -->
		<!-- ptr; extptr; ref; extref; -->
		<!-- emph; lb; abbr; expan; title; -->
		<!-- linkgrp; -->
		<!-- @era; @calendar; @datechar; @id; @label -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:choose>
		<xsl:when test="string-length($high_did)&gt;1">
			<xsl:text>, </xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:apply-templates>
				<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
			</xsl:apply-templates>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="unitdate[string-length(@label)&gt;1]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<!-- mixed=true -->
		<!-- archref; bibref; -->
		<!-- ptr; extptr; ref; extref; -->
		<!-- emph; lb; abbr; expan; title; -->
		<!-- linkgrp; -->
		<!-- @era; @calendar; @datechar; @id; @label -->
	<xsl:variable name="label_n">
		<xsl:call-template name="label_x"/>
	</xsl:variable>
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<xsl:choose>
		<xsl:when test="$label_n='true'">
<xsl:if test="not(ancestor::dsc)">
			<BR/>
</xsl:if>
				<B>
					<xsl:text> </xsl:text>
					<xsl:value-of select="@label"/>
					<xsl:if test="not(substring(@label, string-length(@type), 1)=':')">
						<xsl:text>:</xsl:text>
					</xsl:if>
					<xsl:text> </xsl:text>
				</B>
				<xsl:apply-templates>
					<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
				</xsl:apply-templates>
		</xsl:when>
		<xsl:otherwise>
			<xsl:apply-templates>
				<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
			</xsl:apply-templates>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="unittitle[string-length(@label)=0]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:param name="id_x_series"/>
	<xsl:param name="id_x_subseries"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; -->
		<!-- ref; extref; archref; bibref; -->
		<!-- linkgrp; -->
		<!-- emph; lb; abbr; expan; title; num; date; -->
		<!-- edition; imprint; -->
		<!-- corpname; famname; geogname; name; -->
		<!-- occupation; persname; subject; -->
		<!-- function; genreform; -->
		<!-- bibseries; unitdate; -->
		<!-- @label; @id; -->
	<xsl:variable name="target_id_x">
		<xsl:choose>
			<xsl:when test="contains($id_x_subseries, '__')">
<!-- series id -->
				<xsl:value-of select="$id_x_series"/>
			</xsl:when>
<!-- subseries id -->
			<xsl:otherwise>
				<xsl:value-of select="$id_x_subseries"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
<!-- <X_u_x target_id_x="{$target_id_x}" id_s="{$id_x_series}" id_ss="{$id_x_subseries}" id_dsc_q="{$desc_series_query}"/> -->
<xsl:choose>
	<xsl:when test="
	parent::did[parent::*[@level='series']] 
	or 
	parent::did[parent::*[@level='subseries']]
">
<!-- series -->
<!-- desc -->
<!-- dsc -->
<xsl:choose>
		<xsl:when test="string-length($desc_series_query)=0">
			<xsl:if test="string-length(@id)&gt;0">
					<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
			</xsl:if>
<!-- HTML @HREF INTERNAL -->
			<xsl:apply-templates>
				<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
			</xsl:apply-templates>
		</xsl:when>
		<xsl:otherwise>
<!-- HTML @HREF INTERNAL -->
			<A>
				<xsl:attribute name="HREF">
					<xsl:text>#</xsl:text>
					<xsl:value-of select="$target_id_x"/>
				</xsl:attribute>
				<xsl:attribute name="TITLE">
					<xsl:value-of select="$target_id_x"/>
				</xsl:attribute>
					<xsl:apply-templates>
						<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
					</xsl:apply-templates>
			</A>
		</xsl:otherwise>
	</xsl:choose>
</xsl:when>
<xsl:otherwise>
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
<!-- not('series') -->
			<xsl:apply-templates>
				<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
			</xsl:apply-templates>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template match="unittitle[string-length(@label)&gt;1]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:param name="id_x_series"/>
	<xsl:param name="id_x_subseries"/>
	<!-- mixed=true -->
		<!-- ptr; extptr; -->
		<!-- ref; extref; archref; bibref; -->
		<!-- linkgrp; -->
		<!-- emph; lb; abbr; expan; title; num; date; -->
		<!-- edition; imprint; -->
		<!-- corpname; famname; geogname; name; -->
		<!-- occupation; persname; subject; -->
		<!-- function; genreform; -->
		<!-- bibseries; unitdate; -->
		<!-- @label; @id; -->
	<xsl:variable name="target_id_x">
		<xsl:choose>
			<xsl:when test="contains($id_x_subseries, '__')">
<!-- series id -->
				<xsl:value-of select="$id_x_series"/>
			</xsl:when>
<!-- subseries id -->
			<xsl:otherwise>
				<xsl:value-of select="$id_x_subseries"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	<xsl:variable name="label_n">
		<xsl:call-template name="label_x"/>
	</xsl:variable>
<!-- <X_u_x target_id_x="{$target_id_x}" id_s="{$id_x_series}" id_ss="{$id_x_subseries}" id_dsc_q="{$desc_series_query}"/> -->
<xsl:choose>
	<xsl:when test="
	parent::did[parent::*[@level='series']] 
	or 
	parent::did[parent::*[@level='subseries']]
">
<!-- series -->
<!-- desc -->
<!-- dsc -->
<xsl:choose>
		<xsl:when test="string-length($desc_series_query)=0">
			<xsl:if test="string-length(@id)&gt;0">
					<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
			</xsl:if>
<!-- HTML @HREF INTERNAL -->
			<xsl:if test="$label_n='true'">
				<xsl:if test="not(ancestor::dsc)">
<BR/>
				</xsl:if>
				<B>
					<xsl:value-of select="@label"/>
					<xsl:if test="not(substring(@label, string-length(@label), 1)=':')">
						<xsl:text>:</xsl:text>
					</xsl:if>
					<xsl:text> </xsl:text>
				</B>
			</xsl:if>
			<A>
				<xsl:attribute name="NAME">
					<xsl:value-of select="$target_id_x"/>
				</xsl:attribute>
				<xsl:attribute name="TITLE">
					<xsl:value-of select="$target_id_x"/>
				</xsl:attribute>
					<xsl:apply-templates>
						<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
					</xsl:apply-templates>
			</A>
		</xsl:when>
		<xsl:otherwise>
<!-- HTML @HREF INTERNAL -->
			<xsl:if test="$label_n='true'">
<xsl:if test="not(ancestor::dsc)">
<BR/>
</xsl:if>
				<B>
					<xsl:value-of select="@label"/>
					<xsl:if test="not(substring(@label, string-length(@label), 1)=':')">
						<xsl:text>:</xsl:text>
					</xsl:if>
					<xsl:text> </xsl:text>
				</B>
			</xsl:if>
			<A>
				<xsl:attribute name="HREF">
					<xsl:text>#</xsl:text>
					<xsl:value-of select="$target_id_x"/>
				</xsl:attribute>
				<xsl:attribute name="TITLE">
					<xsl:value-of select="$target_id_x"/>
				</xsl:attribute>
					<xsl:apply-templates>
						<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
					</xsl:apply-templates>
			</A>
		</xsl:otherwise>
	</xsl:choose>
</xsl:when>
<xsl:otherwise>
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
<!-- not('series') -->
			<xsl:if test="$label_n='true'">
<!-- <X x="{name(parent::did[parent::archdesc]/*[2])}"/> -->
<xsl:if test="not(ancestor::dsc)">
<xsl:choose>
<xsl:when test="name(parent::did[parent::archdesc]/*[2])='unittitle'">
</xsl:when>
<xsl:otherwise>
			<BR/>
</xsl:otherwise>
</xsl:choose>
</xsl:if>
				<B>
					<xsl:value-of select="@label"/>
					<xsl:if test="not(substring(@label, string-length(@label), 1)=':')">
						<xsl:text>:</xsl:text>
					</xsl:if>
					<xsl:text> </xsl:text>
				</B>
			</xsl:if>
			<xsl:apply-templates>
				<xsl:with-param name="high_did" select="$high_did"/>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
			</xsl:apply-templates>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<!-- CHRONLIST -->
<xsl:template match="chronlist">
	<xsl:param name="desc_series_query"/>
	<!-- children only -->
		<!-- head; -->
		<!-- listhead; chronitem; -->
		<!-- @id; -->
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<TABLE WIDTH="100%">
			<xsl:if test="child::head">
				<CAPTION>
					<xsl:apply-templates select="head">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
				</CAPTION>
			</xsl:if>
			<xsl:apply-templates select="*[name()!='head']" mode="chronlist_child">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</TABLE>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="listhead[parent::chronlist]" mode="chronlist_child">
	<xsl:param name="desc_series_query"/>
	<THEAD>
		<TR>
			<xsl:apply-templates select="*">
				<xsl:with-param 
					name="desc_series_query" 
					select="$desc_series_query"
				/>
			</xsl:apply-templates>
		</TR>
	</THEAD>
</xsl:template>

<xsl:template match="head01[ancestor::chronlist]">
	<xsl:param name="desc_series_query"/>
	<TH VALIGN="top" ALIGN="left" WIDTH="20%">
<!-- listhead/@id -->
		<xsl:if test="string-length(parent::listhead/@id)&gt;0">
			<xsl:apply-templates select="parent::listhead/@id">
				<xsl:with-param 
					name="desc_series_query" 
					select="$desc_series_query"
				/>
			</xsl:apply-templates>
		</xsl:if>
<!-- head01/@id -->
		<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
				<xsl:with-param 
					name="desc_series_query" 
					select="$desc_series_query"
				/>
			</xsl:apply-templates>
		</xsl:if>
		<xsl:apply-templates>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</TH>
</xsl:template>

<xsl:template match="head02[ancestor::chronlist]">
	<xsl:param name="desc_series_query"/>
	<TH VALIGN="top" ALIGN="left" WIDTH="80%">
		<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
				<xsl:with-param 
					name="desc_series_query" 
					select="$desc_series_query"
				/>
			</xsl:apply-templates>
		</xsl:if>
		<xsl:apply-templates>
			<xsl:with-param 
				name="desc_series_query" 
				select="$desc_series_query"
			/>
		</xsl:apply-templates>
	</TH>
</xsl:template>

<xsl:template match="chronitem" mode="chronlist_child">
	<xsl:param name="desc_series_query"/>
	<!-- children only -->
		<!-- date; event; -->
		<!-- date; eventgrp; -->
		<!-- @id; -->
		<TR>
			<xsl:apply-templates select="*" mode="chronitem_child">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</TR>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="date" mode="chronitem_child">
	<xsl:param name="desc_series_query"/>
	<!-- mixed=true -->
		<!-- emph; lb; -->
		<!-- ptr; extptr; -->
		<!-- @id; -->
	<TD VALIGN="top" WIDTH="20%">
<!-- chronitem/@id -->
		<xsl:if test="string-length(parent::chronitem/@id)&gt;0">
			<xsl:apply-templates select="parent::chronitem/@id">
				<xsl:with-param 
					name="desc_series_query" 
					select="$desc_series_query"
				/>
			</xsl:apply-templates>
		</xsl:if>
<!-- chronitem/date/@id -->
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:apply-templates>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</TD>
</xsl:template>

<xsl:template match="event[parent::eventgrp]" mode="chronitem_child">
	<xsl:param name="desc_series_query"/>
	<!-- mixed=true -->
		<!-- archref; bibref; extptr; extref; ptr; ref; linkgrp; -->
		<!-- abbr; date; emph; expan; lb; num; -->
		<!-- address; blockquote; note; title; -->
		<!-- corpname; famname; function; genreform; geogname; name; -->
		<!-- occupation; persname; subject; -->
		<!-- origination; repository; unidate; unittitle; -->
		<!-- chronlist; list; table; -->
		<!-- @id; -->
<xsl:if test="preceding-sibling::event">
			<BR/>
</xsl:if>
			<xsl:if test="string-length(@id)&gt;0">
					<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
			</xsl:if>
			<xsl:apply-templates>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
</xsl:template>

<xsl:template match="event[parent::chronitem]" mode="chronitem_child">
	<xsl:param name="desc_series_query"/>
	<!-- mixed=true -->
		<!-- archref; bibref; extptr; extref; ptr; ref; linkgrp; -->
		<!-- abbr; date; emph; expan; lb; num; -->
		<!-- address; blockquote; note; title; -->
		<!-- corpname; famname; function; genreform; geogname; name; -->
		<!-- occupation; persname; subject; -->
		<!-- origination; repository; unidate; unittitle; -->
		<!-- chronlist; list; table; -->
		<!-- @id; -->
	<TD VALIGN="top" WIDTH="80%">
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:apply-templates>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</TD>
</xsl:template>

<xsl:template match="eventgrp" mode="chronitem_child">
	<xsl:param name="desc_series_query"/>
	<!-- children only -->
		<!-- event; -->
		<!-- @id; -->
	<TD VALIGN="top" WIDTH="80%">
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
			<xsl:apply-templates mode="chronitem_child">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</TD>
</xsl:template>


<!-- LIST -->
<xsl:template match="list[string-length(@type)=0 and not(child::defitem)]">
	<xsl:param name="desc_series_query"/>
	<!-- children only -->
		<!-- head; (NOT allowed lcpractices) -->
		<!-- item; -->
		<!-- listhead; defitem; -->
		<!-- @id; -->
		<!-- @continuation /continues; starts; -->
		<!-- @numberation /arabic; -->
		<!--              /upperalpha; loweralpha; -->
		<!--              /upperroman; lowerroman; -->
		<!-- @type /simple; deflist; marked; ordered; -->
		<!--       /simple 'no numbers or bullets' -->
		<!--       /deflist = defitem/label; item; --> 
		<!--       /marked = see @mark -->
		<!--       /ordered = 'each list item lettered or numbered' -->
		<!-- @mark /'bullet, box, dash, or etc.' -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<UL>
		<xsl:apply-templates select="*[not(name()='head')]">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</UL>
	<xsl:apply-templates select="head" mode="non_children"/>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="item[parent::list[string-length(@type)=0]]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="tabular_fo_list_item"/>
	<!-- mixed=true -->
		<!-- archref; bibref; extptr; extref; linkgrp; ptr; ref; -->
		<!-- emph; lb; blockquote; -->
		<!-- address; abbr; date; expan; note; num; title; -->
		<!-- corpname; famname; function; genreform; geogname; -->
		<!-- name; occupation; persname; subject; -->
		<!-- origination; repository; unidate; unittitle; -->
		<!-- chronlist; list; table; -->
		<!-- @id; -->
<!-- beg choose check tabular -->
<xsl:choose>
<xsl:when test="string-length($tabular_fo_list_item)!=0">
<!-- beg when check tabular = true -->
			<xsl:if test="string-length(@id)&gt;0">
					<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
			</xsl:if>
			<xsl:apply-templates>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
<!-- end when check tabular = true -->
</xsl:when>
<xsl:otherwise>
<!-- beg otherwise check tabular = false -->
	  <LI>
			<xsl:if test="string-length(@id)&gt;0">
					<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
			</xsl:if>
			<xsl:apply-templates>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</LI>
<!-- end otherwise check tabular = false -->
</xsl:otherwise>
</xsl:choose>
<!-- end choose check tabular -->
</xsl:template>

<xsl:template match="list[@type='simple' and not(child::defitem)]">
	<xsl:param name="desc_series_query"/>
	<!-- children only -->
		<!-- head; (NOT allowed lcpractices) -->
		<!-- item; -->
		<!-- listhead; defitem; -->
		<!-- @id; -->
		<!-- @continuation /continues; starts; -->
		<!-- @numberation /arabic; -->
		<!--              /upperalpha; loweralpha; -->
		<!--              /upperroman; lowerroman; -->
		<!-- @type /simple; deflist; marked; ordered; -->
		<!--       /simple 'no numbers or bullets' -->
		<!--       /deflist = defitem/label; item; --> 
		<!--       /marked = see @mark -->
		<!--       /ordered = 'each list item lettered or numbered' -->
		<!-- @mark /'bullet, box, dash, or etc.' -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<UL>
		<xsl:apply-templates select="*[not(name()='head')]">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</UL>
	<xsl:apply-templates select="head" mode="non_children"/>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="item[parent::list[@type='simple']]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="tabular_fo_list_item"/>
	<!-- mixed=true -->
		<!-- archref; bibref; extptr; extref; linkgrp; ptr; ref; -->
		<!-- emph; lb; blockquote; -->
		<!-- address; abbr; date; expan; note; num; title; -->
		<!-- corpname; famname; function; genreform; geogname; -->
		<!-- name; occupation; persname; subject; -->
		<!-- origination; repository; unidate; unittitle; -->
		<!-- chronlist; list; table; -->
		<!-- @id; -->
<!-- beg choose check tabular -->
<xsl:choose>
<xsl:when test="string-length($tabular_fo_list_item)!=0">
<!-- beg when check tabular = true -->
			<xsl:if test="string-length(@id)&gt;0">
					<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
			</xsl:if>
			<xsl:apply-templates>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
<!-- end when check tabular = true -->
</xsl:when>
<xsl:otherwise>
<!-- beg otherwise check tabular = false -->
	  <LI>
			<xsl:if test="string-length(@id)&gt;0">
					<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
			</xsl:if>
			<xsl:apply-templates>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</LI>
<!-- end otherwise check tabular = false -->
</xsl:otherwise>
</xsl:choose>
<!-- end choose check tabular -->
</xsl:template>

<xsl:template match="list[@type='marked' and not(child::defitem)]">
	<xsl:param name="desc_series_query"/>
	<!-- children only -->
		<!-- head; (NOT allowed lcpractices) -->
		<!-- item; -->
		<!-- listhead; defitem; -->
		<!-- @id; -->
		<!-- @continuation /continues; starts; -->
		<!-- @numberation /arabic; -->
		<!--              /upperalpha; loweralpha; -->
		<!--              /upperroman; lowerroman; -->
		<!-- @type /simple; deflist; marked; ordered; -->
		<!--       /simple 'no numbers or bullets' -->
		<!--       /deflist = defitem/label; item; --> 
		<!--       /marked = see @mark -->
		<!--       /ordered = 'each list item lettered or numbered' -->
		<!-- @mark /'bullet, box, dash, or etc.' -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<UL>
		<xsl:apply-templates select="*[not(name()='head')]">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</UL>
	<xsl:apply-templates select="head" mode="non_children"/>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="item[parent::list[@type='marked']]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="tabular_fo_list_item"/>
	<!-- mixed=true -->
		<!-- archref; bibref; extptr; extref; linkgrp; ptr; ref; -->
		<!-- emph; lb; blockquote; -->
		<!-- address; abbr; date; expan; note; num; title; -->
		<!-- corpname; famname; function; genreform; geogname; -->
		<!-- name; occupation; persname; subject; -->
		<!-- origination; repository; unidate; unittitle; -->
		<!-- chronlist; list; table; -->
		<!-- @id; -->
<!-- beg choose check tabular -->
<xsl:choose>
<xsl:when test="string-length($tabular_fo_list_item)!=0">
<!-- beg when check tabular = true -->
			<xsl:if test="string-length(@id)&gt;0">
					<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
			</xsl:if>
			<xsl:apply-templates>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
<!-- end when check tabular = true -->
</xsl:when>
<xsl:otherwise>
<!-- beg otherwise check tabular = false -->
	  <LI>
			<xsl:if test="string-length(@id)&gt;0">
					<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
			</xsl:if>
			<xsl:apply-templates>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</LI>
<!-- end otherwise check tabular = false -->
</xsl:otherwise>
</xsl:choose>
<!-- end choose check tabular -->
</xsl:template>

<xsl:template match="list[@type='ordered' and not(child::defitem)]">
	<xsl:param name="desc_series_query"/>
	<!-- children only -->
		<!-- head; (NOT allowed lcpractices) -->
		<!-- item; -->
		<!-- listhead; defitem; -->
		<!-- @id; -->
		<!-- @continuation /continues; starts; -->
		<!-- @numeration /arabic; -->
		<!--              /upperalpha; loweralpha; -->
		<!--              /upperroman; lowerroman; -->
		<!-- @type /simple; deflist; marked; ordered; -->
		<!--       /simple 'no numbers or bullets' -->
		<!--       /deflist = defitem/label; item; --> 
		<!--       /marked = see @mark -->
		<!--       /ordered = 'each list item lettered or numbered' -->
		<!-- @mark /'bullet, box, dash, or etc.' -->
	<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</xsl:if>
	<OL>
		<xsl:if test="string-length(@numeration)&gt;0">
			<xsl:apply-templates select="@numeration" mode="ordered_list"/>
		</xsl:if>
		<xsl:apply-templates select="*[not(name()='head')]">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</OL>
	<xsl:apply-templates select="head" mode="non_children"/>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="@numeration" mode="list_ordered">
	<xsl:attribute name="TYPE">
		<xsl:if test=".='arabic'">
			<xsl:text>1</xsl:text>
		</xsl:if>
		<xsl:if test=".='upperalpha'">
			<xsl:text>A</xsl:text>
		</xsl:if>
		<xsl:if test=".='loweralpha'">
			<xsl:text>a</xsl:text>
		</xsl:if>
		<xsl:if test=".='upperroman'">
			<xsl:text>I</xsl:text>
		</xsl:if>
		<xsl:if test=".='lowerroman'">
			<xsl:text>i</xsl:text>
		</xsl:if>
	</xsl:attribute>
</xsl:template>

<xsl:template match="item[parent::list[@type='ordered']]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="tabular_fo_list_item"/>
	<!-- mixed=true -->
		<!-- archref; bibref; extptr; extref; linkgrp; ptr; ref; -->
		<!-- emph; lb; blockquote; -->
		<!-- address; abbr; date; expan; note; num; title; -->
		<!-- corpname; famname; function; genreform; geogname; -->
		<!-- name; occupation; persname; subject; -->
		<!-- origination; repository; unidate; unittitle; -->
		<!-- chronlist; list; table; -->
		<!-- @id; -->
<!-- parent::list/@numeration -->
		<!-- @numeration /arabic; -->
		<!--              /upperalpha; loweralpha; -->
		<!--              /upperroman; lowerroman; -->
<!-- beg choose check tabular -->
<xsl:choose>
<xsl:when test="string-length($tabular_fo_list_item)!=0">
<!-- beg when check tabular = true -->
			<xsl:if test="string-length(@id)&gt;0">
					<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
			</xsl:if>
			<xsl:apply-templates>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
<!-- end when check tabular = true -->
</xsl:when>
<xsl:otherwise>
<!-- beg otherwise check tabular = false -->
	  <LI>
			<xsl:if test="string-length(@id)&gt;0">
					<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
			</xsl:if>
			<xsl:apply-templates>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</LI>
<!-- end otherwise check tabular = false -->
</xsl:otherwise>
</xsl:choose>
<!-- end choose check tabular -->
</xsl:template>

<xsl:template name="count_list_items">
	<xsl:param name="list_num"/>
	<xsl:param name="item_x"/>
	<!-- find last 'starts' -->
	<!-- get position of element relative to root -->
	<!-- highest position but less than current list position -->
	<!-- call next list[@continuation='continues'] -->
	<!-- if list ct is not same as current count items -->
	<!-- add items to item_x and loop -->
</xsl:template>

<xsl:template match="list[child::defitem]">
	<xsl:param name="desc_series_query"/>
	<!-- children only -->
		<!-- head; (NOT allowed lcpractices) -->
		<!-- item; -->
		<!-- listhead; defitem; -->
		<!-- @id; -->
		<!-- @continuation /continues; starts; -->
		<!-- @numberation /arabic; -->
		<!--              /upperalpha; loweralpha; -->
		<!--              /upperroman; lowerroman; -->
		<!-- @type /simple; deflist; marked; ordered; -->
		<!--       /simple 'no numbers or bullets' -->
		<!--       /deflist = defitem/label; item; --> 
		<!--       /marked = see @mark -->
		<!--       /ordered = 'each list item lettered or numbered' -->
		<!-- @mark /'bullet, box, dash, or etc.' -->
	<DL>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:apply-templates select="*[not(name()='head')]">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</DL>
	<xsl:apply-templates select="head" mode="non_children"/>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="listhead[not(parent::index)]">
	<xsl:param name="desc_series_query"/>
<!-- children only -->
<!-- head01; head02; -->
<!-- @id; -->
	<xsl:apply-templates select="*" mode="ll_head">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="head01[ancestor::list]" mode="ll_head">
	<xsl:param name="desc_series_query"/>
	<!-- element: head01 head02 -->
	<!-- mixed=true -->
		<!-- emph; lb; -->
		<!-- ptr; extptr; -->
		<!-- @id; -->
	<DT>
<!-- listhead/@id -->
		<xsl:if test="string-length(parent::listhead/@id)&gt;0">
			<xsl:apply-templates select="parent::listhead/@id">
				<xsl:with-param 
					name="desc_series_query" 
					select="$desc_series_query"
				/>
			</xsl:apply-templates>
		</xsl:if>
<!-- head01/@id -->
		<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
				<xsl:with-param 
					name="desc_series_query" 
					select="$desc_series_query"
				/>
			</xsl:apply-templates>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="descendant::*[string-length(@render)&gt;0]">
				<xsl:apply-templates>
					<xsl:with-param 
						name="desc_series_query" 
						select="$desc_series_query"
					/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<B>
					<xsl:apply-templates>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
				</B>
			</xsl:otherwise>
		</xsl:choose>
	</DT>
</xsl:template>

<xsl:template match="head02[ancestor::list]" mode="ll_head">
	<xsl:param name="desc_series_query"/>
	<!-- element: head01 head02 -->
	<!-- mixed=true -->
		<!-- emph; lb; -->
		<!-- ptr; extptr; -->
		<!-- @id; -->
	<DD>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="descendant::*[string-length(@render)&gt;0]">
				<xsl:apply-templates>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<B>
					<xsl:apply-templates>
						<xsl:with-param 
							name="desc_series_query" 
							select="$desc_series_query"
						/>
					</xsl:apply-templates>
				</B>
			</xsl:otherwise>
		</xsl:choose>
	</DD>
</xsl:template>

<xsl:template match="defitem">
	<xsl:param name="desc_series_query"/>
	<!-- children only -->
		<!-- label; item; -->
		<!-- @id; -->
	<xsl:apply-templates select="*"/>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="label[parent::defitem]">
	<xsl:param name="desc_series_query"/>
	<!-- mixed=true -->
		<!-- archref; bibref; extptr; extref; linkgrp; ptr; ref; -->
		<!-- emph; lb; blockquote; -->
		<!-- address; abbr; date; expan; note; num; title; -->
		<!-- corpname; famname; function; genreform; geogname; -->
		<!-- name; occupation; persname; subject; -->
		<!-- origination; repository; unidate; unittitle; -->
		<!-- chronlist; list; table; -->
		<!-- @id; -->
	<DT>
<!-- defitem/@id -->
		<xsl:if test="string-length(parent::defitem/@id)&gt;0">
			<xsl:apply-templates select="parent::defitem/@id">
				<xsl:with-param 
					name="desc_series_query" 
					select="$desc_series_query"
				/>
			</xsl:apply-templates>
		</xsl:if>
<!-- defitem/label/@id -->
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:apply-templates>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</DT>
</xsl:template>

<xsl:template match="item[parent::defitem]">
	<xsl:param name="desc_series_query"/>
	<!-- mixed=true -->
		<!-- archref; bibref; extptr; extref; linkgrp; ptr; ref; -->
		<!-- emph; lb; blockquote; -->
		<!-- address; abbr; date; expan; note; num; title; -->
		<!-- corpname; famname; function; genreform; geogname; -->
		<!-- name; occupation; persname; subject; -->
		<!-- origination; repository; unidate; unittitle; -->
		<!-- chronlist; list; table; -->
		<!-- @id; -->
	<DD>
		<xsl:if test="string-length(@id)&gt;0">
				<xsl:apply-templates select="@id">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</xsl:if>
		<xsl:apply-templates>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</DD>
</xsl:template>


<!-- TABLE -->
<!-- @char /horizontal alignment of a single character -->
<!--       /attribute names the character -->
<!--       /'decimal point'; 'asterisk'; 'em-dash'; -->
<!-- @charoff /character offset used with @char -->
<!--          /When @align='char' @charoff = % column width left edge of @char -->
<!--          /value is a number or starts with a number -->
<!--          /value see: @colwidth -->
<!-- @colname /value is one 'word' (leters, numbers) -->
<!--          /value= no spaces -->
<!-- @colnum /# of column, counting from 1 at left -->
<!--         /value=number -->
<!-- @colwidth /fixed measure = number followed by unit -->
<!--           /'cm'='centimeters'; '2cm' -->
<!--           /'in'='inches'; '2in' -->
<!--           /'pt'='point'; '2pt' -->
<!-- @colwidth /Proportional measure = number followed by asterisk -->
<!--           /'*'= '%'; '5*' -->
<!-- @colsep /1 (display a rule to the right of the column) -->
<!--         /0 (no rule is displayed) -->
<!-- @frame /top; bottom; topbot; all; sides; none; -->
<!--        /Indication of external rules -->
<!--        /'top' = horizontal rule below the title -->
<!--        /'sides' = left and right vertical rules -->
<!--        /'topbot' = horizontal rules top and bottom -->
<!--        /'all' = table is printed in a box -->
<!--        /'none' = no rules surround the table -->
<!-- @pgwide /width of page or width of text column -->
<!--         /'1' = as wide as the page -->
<!--         /'0' = fills the text column only -->
<!-- @rowsep /if the rows are to be separated by horizontal rules -->
<!--         /'1' = display a rule below the row -->
<!--         /'0' = no rule is displayed -->
<!-- @morerows /number of addtional rows in a vertical straddle -->
<!--           /value is a number -->
<!--           /'0' to indication one row only -->
<!-- @namest /name of leftmost column of a span -->
<!--         /value must be a column name per colspec/@colname -->
<!-- @nameend /name of rightmost column of span -->
<!--          /value must be a column name per colspec/@colname -->

<xsl:template match="table">
	<xsl:param name="desc_series_query"/>
	<!-- children only -->
		<!-- head; tgroup; DTD=SEQUENCE-->
		<!-- @rowsep; @pgwide; -->
		<!-- @frame /top; bottom; topbot; all; sides; none; -->
		<!-- @id; -->
<!-- test node -->
<!-- <tbl_check desc_series_query="{$desc_series_query}"/> -->
		<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
				<xsl:with-param 
					name="desc_series_query" 
					select="$desc_series_query"
				/>
			</xsl:apply-templates>
		</xsl:if>
		<TABLE WIDTH="100%">
			<xsl:if test="string-length(@frame)&gt;0">
				<xsl:attribute name="FRAME">
					<xsl:value-of select="@frame"/>
				</xsl:attribute>
			</xsl:if>
			<xsl:attribute name="SUMMARY">
				<xsl:choose>
					<xsl:when test="string-length(child::head)=0">
						<xsl:text>Data table</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:variable name="head_n">
							<xsl:value-of select="child::head"/>
						</xsl:variable>
						<xsl:value-of select="normalize-space($head_n)"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		<xsl:if test="child::head">
			<CAPTION>
				<xsl:apply-templates select="head"/>
			</CAPTION>
		</xsl:if>
			<xsl:apply-templates select="tgroup" mode="table_child">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
		</TABLE>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="tgroup" mode="table_child">
	<xsl:param name="desc_series_query"/>
	<!-- children only -->
		<!-- colspec; thead; tbody; DTD=SEQUENCE-->
		<!-- @cols; use=REQUIRED -->
		<!-- @rowsep; @colsep; -->
		<!-- @align /left; right; center; justify; char; -->
		<!-- @id; -->
	<xsl:apply-templates select="colspec | thead | tbody">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="colspec">
</xsl:template>

<xsl:template match="colspec" mode="first_row">
	<!-- attributes only -->
		<!-- @char; @charoff; @colname; -->
		<!-- @colnum; @colwidth; @rowsep; @colsep; -->
		<!-- @align /left; right; center; justify; char; -->
	<TD>
<!-- HTML no @colnum attribute -->
		<xsl:if test="string-length(@colwidth)&gt;0">
			<xsl:variable name="cl_wd_x">
				<xsl:call-template name="colwidth_data"/>
			</xsl:variable>
			<xsl:attribute name="WIDTH">
				<xsl:value-of select="$cl_wd_x"/>
			</xsl:attribute>
		</xsl:if>
		<xsl:if test="string-length(@align)&gt;0">
			<xsl:attribute name="ALIGN">
				<xsl:value-of select="@align"/>
			</xsl:attribute>
		</xsl:if>
		<xsl:if test="string-length(@char)&gt;0">
			<xsl:attribute name="CHAR">
				<xsl:value-of select="@char"/>
			</xsl:attribute>
		</xsl:if>
		<xsl:if test="string-length(@charoff)&gt;0">
			<xsl:attribute name="CHAROFF">
				<xsl:value-of select="@charoff"/>
			</xsl:attribute>
		</xsl:if>
	</TD>
</xsl:template>

<xsl:template match="thead[parent::tgroup]">
	<xsl:param name="desc_series_query"/>
	<!-- children only -->
		<!-- row; -->
		<!-- @valign /top; middle; bottom; -->
		<!-- @id; -->
	<THEAD>
		<xsl:if test="string-length(@valign)&gt;0">
			<xsl:attribute name="VALIGN">
				<xsl:value-of select="@valign"/>
			</xsl:attribute>
		</xsl:if>
		<xsl:apply-templates select="*">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</THEAD>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="tbody">
	<xsl:param name="desc_series_query"/>
	<!-- children only -->
		<!-- row; -->
		<!-- @valign /top; middle; bottom; -->
		<!-- @id; -->
	<TBODY>
		<xsl:if test="string-length(@valign)&gt;0">
			<xsl:attribute name="VALIGN">
				<xsl:value-of select="@valign"/>
			</xsl:attribute>
		</xsl:if>
		<xsl:if test="parent::tgroup/colspec">
			<TR>
				<xsl:apply-templates select="parent::tgroup/colspec" mode="first_row"/>
			</TR>
		</xsl:if>
		<xsl:apply-templates select="*">
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</TBODY>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="row">
	<xsl:param name="desc_series_query"/>
	<!-- children only -->
		<!-- entry; -->
		<!-- @rowsep; -->
		<!-- @valign /top; middle; bottom; -->
		<!-- @id; -->
<!-- entry /sort select='number(@colnum + 10000)' -->
	<TR>
		<xsl:if test="string-length(@valign)&gt;0">
			<xsl:attribute name="VALIGN">
				<xsl:value-of select="@valign"/>
			</xsl:attribute>
		</xsl:if>
		<xsl:apply-templates select="*">
			<xsl:sort select="number(@colnum) + 10000"/>
			<xsl:with-param 
				name="desc_series_query" 
				select="$desc_series_query"
			/>
			<xsl:with-param 
				name="tbody_tgroup_id_check" 
				select="string-length(name(preceding-sibling::row))"
			/>
		</xsl:apply-templates>
	</TR>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="entry[not(ancestor::thead)]">
	<xsl:param name="tbody_tgroup_id_check"/>
	<xsl:param name="desc_series_query"/>
	<!-- mixed=true -->
		<!-- archref; bibref; extptr; extref; linkgrp; ptr; ref; -->
		<!-- abbr; date; expan; emph; lb; note; num; title; -->
		<!-- corpname; famname; function; genreform; geogname; -->
		<!-- name; occupation; persname; subject; -->
		<!-- origination; repository; unitdate; unittitle; -->
		<!-- list; -->
		<!-- @char; @charoff; @namest; @nameend; -->
		<!-- @colsep; @morerows; @rowsep; -->
		<!-- @align /left; right; center; justify; char; -->
		<!-- @valign /top; middle; bottom; -->
		<!-- @id; -->
	<TD VALIGN="top">
		<xsl:if test="string-length(@align)&gt;0">
			<xsl:attribute name="ALIGN">
				<xsl:value-of select="@align"/>
			</xsl:attribute>
		</xsl:if>
		<xsl:if test="string-length(@valign)&gt;0">
			<xsl:attribute name="VALIGN">
				<xsl:value-of select="@valign"/>
			</xsl:attribute>
		</xsl:if>
<!-- test node -->
<!-- 
<xx tbody_tgroup_id_check="{$tbody_tgroup_id_check}" strl_tbody_tgroup_id_check="{string-length($tbody_tgroup_id_check)}" strl_ps_entry="{string-length(name(preceding-sibling::entry))}" desc_series_query="{$desc_series_query}">
	<tgroup_id>
		<xsl:value-of select="ancestor::tgroup/@id"/>
	</tgroup_id>
	<tbody_id>
		<xsl:value-of select="ancestor::tbody/@id"/>
	</tbody_id>
	<thead_id>
		<xsl:value-of select="ancestor::thead/@id"/>
	</thead_id>
</xx> -->
<!-- tgroup/@id = generate in entry[1] -->
		<xsl:if 
			test="
				string-length(name(preceding-sibling::entry))=0 
				and 
				$tbody_tgroup_id_check=0
			"
		>
			<xsl:if test="string-length(ancestor::tgroup/@id)&gt;0">
				<xsl:apply-templates select="ancestor::tgroup/@id">
					<xsl:with-param 
						name="desc_series_query" 
						select="$desc_series_query"
					/>
				</xsl:apply-templates>
			</xsl:if>
		</xsl:if>
<!-- tbody/@id = generate in entry[1] -->
		<xsl:if 
			test="
				string-length(name(preceding-sibling::entry))=0 
				and 
				$tbody_tgroup_id_check=0
			"
		>
			<xsl:if test="string-length(ancestor::tbody/@id)&gt;0">
				<xsl:apply-templates select="ancestor::tbody/@id">
					<xsl:with-param 
						name="desc_series_query" 
						select="$desc_series_query"
					/>
				</xsl:apply-templates>
			</xsl:if>
		</xsl:if>
<!-- row/@id = generate in entry[1] -->
		<xsl:if test="string-length(name(preceding-sibling::entry))=0">
			<xsl:if test="string-length(parent::row/@id)&gt;0">
				<xsl:apply-templates select="parent::row/@id">
					<xsl:with-param 
						name="desc_series_query" 
						select="$desc_series_query"
					/>
				</xsl:apply-templates>
			</xsl:if>
		</xsl:if>
<!-- entry/@id -->
		<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
				<xsl:with-param 
					name="desc_series_query" 
					select="$desc_series_query"
				/>
			</xsl:apply-templates>
		</xsl:if>
		<xsl:apply-templates>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
	</TD>
</xsl:template>

<xsl:template match="entry[parent::row[parent::thead]]">
	<xsl:param name="tbody_tgroup_id_check"/>
	<xsl:param name="desc_series_query"/>
	<!-- mixed=true -->
		<!-- archref; bibref; extptr; extref; linkgrp; ptr; ref; -->
		<!-- abbr; date; expan; emph; lb; note; num; title; -->
		<!-- corpname; famname; function; genreform; geogname; -->
		<!-- name; occupation; persname; subject; -->
		<!-- origination; repository; unitdate; unittitle; -->
		<!-- list; -->
		<!-- @char; @charoff; @namest; @nameend; -->
		<!-- @colsep; @morerows; @rowsep; -->
		<!-- @align /left; right; center; justify; char; -->
		<!-- @valign /top; middle; bottom; -->
		<!-- @id; -->
	<TH VALIGN="top" ALIGN="left">
		<xsl:if test="string-length(@align)&gt;0">
			<xsl:attribute name="ALIGN">
				<xsl:value-of select="@align"/>
			</xsl:attribute>
		</xsl:if>
		<xsl:if test="string-length(@valign)&gt;0">
			<xsl:attribute name="VALIGN">
				<xsl:value-of select="@valign"/>
			</xsl:attribute>
		</xsl:if>
<!-- test node -->
<!-- 
<xx tbody_tgroup_id_check="{$tbody_tgroup_id_check}" strl_tbody_tgroup_id_check="{string-length($tbody_tgroup_id_check)}" strl_ps_entry="{string-length(name(preceding-sibling::entry))}" desc_series_query="{$desc_series_query}">
	<tgroup_id>
		<xsl:value-of select="ancestor::tgroup/@id"/>
	</tgroup_id>
	<tbody_id>
		<xsl:value-of select="ancestor::tbody/@id"/>
	</tbody_id>
	<thead_id>
		<xsl:value-of select="ancestor::thead/@id"/>
	</thead_id>
</xx> -->
<!-- thead/@id = generate in entry[1] -->
		<xsl:if 
			test="
				string-length(name(preceding-sibling::entry))=0 
				and 
				$tbody_tgroup_id_check=0
			"
		>
			<xsl:if test="string-length(ancestor::thead/@id)&gt;0">
				<xsl:apply-templates select="ancestor::thead/@id">
					<xsl:with-param 
						name="desc_series_query" 
						select="$desc_series_query"
					/>
				</xsl:apply-templates>
			</xsl:if>
		</xsl:if>
<!-- row/@id = generate in entry[1] -->
		<xsl:if test="string-length(name(preceding-sibling::entry))=0">
			<xsl:if test="string-length(parent::row/@id)&gt;0">
				<xsl:apply-templates select="parent::row/@id">
					<xsl:with-param 
						name="desc_series_query" 
						select="$desc_series_query"
					/>
				</xsl:apply-templates>
			</xsl:if>
		</xsl:if>
<!-- entry/@id -->
		<xsl:if test="string-length(@id)&gt;0">
			<xsl:apply-templates select="@id">
				<xsl:with-param 
					name="desc_series_query" 
					select="$desc_series_query"
				/>
			</xsl:apply-templates>
		</xsl:if>
			<xsl:choose>
				<xsl:when test="ancestor::thead and not(descendant::emph)">
					<B>
						<xsl:apply-templates>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
					</B>
				</xsl:when>
				<xsl:otherwise>
					<xsl:apply-templates>
		<xsl:with-param 
			name="desc_series_query" 
			select="$desc_series_query"
		/>
	</xsl:apply-templates>
				</xsl:otherwise>
			</xsl:choose>
	</TH>
</xsl:template>

<xsl:template name="colwidth_data">
<!-- num -->
<!-- num + text -->
<!-- num + * -->
<!-- normalize -->
<!-- lowercase -->
<!-- case 'pi' = 'pc' -->
	<xsl:variable name="col_wd_n" 
		select="normalize-space(translate(@colwidth, ' ', ''))"
	/>
	<xsl:variable name="col_wd_lc" 
		select="translate($col_wd_n, 
			'ABCDEFGHIJKLMNOPQRSTUVWXYZ.0123456789', 
			'abcdefghijklmnopqrstuvwxyz.0123456789')"
	/>
	<xsl:variable name="col_wd_txt" 
		select="translate($col_wd_lc, 
			'abcdefghijklmnopqrstuvwxyz*.0123456789', 
			'abcdefghijklmnopqrstuvwxyz*')"
	/>
	<xsl:variable name="col_wd_num" 
		select="translate($col_wd_lc, 
			'.0123456789*abcdefghijklmnopqrstuvwxyz', 
			'.0123456789')"
	/>
	<xsl:choose>
		<xsl:when test="string-length($col_wd_txt)&gt;0">
			<!-- units present -->
			<!-- units OR proportional -->
			<xsl:if test="$col_wd_txt='*'">
				<xsl:value-of select="$col_wd_num"/>
				<xsl:text>%</xsl:text>
			</xsl:if>
			<xsl:if test="not($col_wd_txt='*')">
				<xsl:choose>
					<xsl:when test="$col_wd_txt='pi'">
						<xsl:value-of select="$col_wd_num"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$col_wd_num"/>
						<xsl:value-of select="$col_wd_txt"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<!-- number only -->
			<xsl:value-of select="$col_wd_lc"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<!-- REVISIONDESC/chronlist; list; table; -->
<xsl:template match="chronlist[ancestor::revisiondesc]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:param name="high_did_label"/>
	<xsl:param name="child_one"/>
<!-- 	<xsl:apply-templates select="*">
		<xsl:with-param name="high_did" select="$high_did"/>
	</xsl:apply-templates> -->
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="list[ancestor::revisiondesc]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:param name="high_did_label"/>
	<xsl:param name="child_one"/>
<!-- 	<xsl:apply-templates select="*">
		<xsl:with-param name="high_did" select="$high_did"/>
	</xsl:apply-templates> -->
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

<xsl:template match="table[ancestor::revisiondesc]">
	<xsl:param name="desc_series_query"/>
	<xsl:param name="high_did"/>
	<xsl:param name="high_did_label"/>
	<xsl:param name="child_one"/>
<!-- 		<xsl:apply-templates select="*">
			<xsl:with-param name="high_did" select="$high_did"/>
		</xsl:apply-templates> -->
		<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>


<!-- boiler plate templates -->
<xsl:template match="@id">
	<xsl:param name="desc_series_query"/>
	<xsl:choose>
		<xsl:when test="string-length($desc_series_query)=0">
<!-- @id = @name -->
			<A NAME="{.}"></A>
		</xsl:when>
		<xsl:otherwise>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="label_x">
	<xsl:choose>
		<xsl:when test="string-length(translate(substring(@label, 1, 1), 'ABCDEFGHIJKLMNOPQRSTUVWXYZ', 'abcdefghijklmnopqrstuvwxyz'))=1">
			<xsl:text>true</xsl:text>
		</xsl:when>
		<xsl:otherwise>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="attrib1">
	<xsl:for-each select="@*">
		<xsl:if test="string-length(.)!=0">
			<xsl:attribute name="{name()}">
				<xsl:value-of select="."/>
			</xsl:attribute>
		</xsl:if>
	</xsl:for-each>
</xsl:template>

<xsl:template match="text()">
	<xsl:value-of select="translate(., '&#x9;', '')"/>
</xsl:template>

<xsl:template match="text()" mode="kill_txt">
</xsl:template>

<xsl:template match="thead" mode="thead_tabular_nodes">
<xsl:param name="nm_thead"/>
	<!-- children only -->
		<!-- row; -->
		<!-- @valign /top; middle; bottom; -->
		<!-- @id; -->
	<xsl:element name="{$nm_thead}">
		<xsl:if test="string-length(@valign)&gt;0">
			<xsl:attribute name="VALIGN">
				<xsl:value-of select="@valign"/>
			</xsl:attribute>
		</xsl:if>
		<xsl:apply-templates select="*"/>
	</xsl:element>
	<xsl:apply-templates select="text()" mode="kill_txt"/>
</xsl:template>

</xsl:transform>